#ifndef _SPC58NN_GTM_H_
#define _SPC58NN_GTM_H_

/****************************************************************************************
*                     Copyright STMicroelectronics
*                            ST RESTRICTED
*     Unauthorized reproduction and communication strictly prohibited
*----------------------------------------------------------------------------------------
*
*  Purpose : It declares C preprocessor definitions for component, register and 
*            register fields parameters
*
*  PLEASE DO NOT MODIFY THIS FILE
*****************************************************************************************
* REVISION HISTORY                                                                      *
*  REV      DATE       RM REV          DESCRIPTION OF CHANGE                            *
* ----- ----------- ------------ -------------------------------------------------------*
* 1.0D2 09-Jun-2016    Rev.1     Initial draft version (GTM344) in big endian.          *
* ----- ----------- ------------ -------------------------------------------------------*
* 1.0D1 18-May-2016 Rev.1 draftB Initial version (GTM344).                              *
****************************************************************************************/



/*************************************************************************
 * module GTM.TBU
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t ENDIS_CH3:2;
    volatile uint32_t ENDIS_CH2:2;
    volatile uint32_t ENDIS_CH1:2;
    volatile uint32_t ENDIS_CH0:2;
}  bf_GTM_TBU_CHEN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CHEN_bf_type B;
} GTM_TBU_CHEN_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t CH_CLK_SRC:3;
    volatile uint32_t LOW_RES:1;
}  bf_GTM_TBU_CH0_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH0_CTRL_bf_type B;
} GTM_TBU_CH0_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:5;
    volatile uint32_t BASE:27;
}  bf_GTM_TBU_CH0_BASE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH0_BASE_bf_type B;
} GTM_TBU_CH0_BASE_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t CH_CLK_SRC:3;
    volatile uint32_t CH_MODE:1;
}  bf_GTM_TBU_CH1_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH1_CTRL_bf_type B;
} GTM_TBU_CH1_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t BASE:24;
}  bf_GTM_TBU_CH1_BASE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH1_BASE_bf_type B;
} GTM_TBU_CH1_BASE_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t CH_CLK_SRC:3;
    volatile uint32_t CH_MODE:1;
}  bf_GTM_TBU_CH2_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH2_CTRL_bf_type B;
} GTM_TBU_CH2_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t BASE:24;
}  bf_GTM_TBU_CH2_BASE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH2_BASE_bf_type B;
} GTM_TBU_CH2_BASE_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t USE_CH2:1;
    uint32_t reserved_1:3;
    volatile uint32_t CH_MODE:1;
}  bf_GTM_TBU_CH3_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH3_CTRL_bf_type B;
} GTM_TBU_CH3_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t BASE:24;
}  bf_GTM_TBU_CH3_BASE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH3_BASE_bf_type B;
} GTM_TBU_CH3_BASE_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t BASE_MARK:24;
}  bf_GTM_TBU_CH3_BASE_MARK_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH3_BASE_MARK_bf_type B;
} GTM_TBU_CH3_BASE_MARK_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t BASE_CAPTURE:24;
}  bf_GTM_TBU_CH3_BASE_CAPTURE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TBU_CH3_BASE_CAPTURE_bf_type B;
} GTM_TBU_CH3_BASE_CAPTURE_bf_type;

typedef struct {
    GTM_TBU_CHEN_bf_type CHEN; 
    GTM_TBU_CH0_CTRL_bf_type CH0_CTRL; 
    GTM_TBU_CH0_BASE_bf_type CH0_BASE; 
    GTM_TBU_CH1_CTRL_bf_type CH1_CTRL; 
    GTM_TBU_CH1_BASE_bf_type CH1_BASE; 
    GTM_TBU_CH2_CTRL_bf_type CH2_CTRL; 
    GTM_TBU_CH2_BASE_bf_type CH2_BASE; 
    GTM_TBU_CH3_CTRL_bf_type CH3_CTRL; 
    GTM_TBU_CH3_BASE_bf_type CH3_BASE; 
    GTM_TBU_CH3_BASE_MARK_bf_type CH3_BASE_MARK; 
    GTM_TBU_CH3_BASE_CAPTURE_bf_type CH3_BASE_CAPTURE; 
    volatile uint32_t reserved_0[21];
} GTM_TBU_bf_type;

/*************************************************************************
 * module GTM.MON
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:2;
    volatile uint32_t MCS9_ERR:1;
    volatile uint32_t MCS8_ERR:1;
    volatile uint32_t MCS7_ERR:1;
    volatile uint32_t MCS6_ERR:1;
    volatile uint32_t MCS5_ERR:1;
    volatile uint32_t MCS4_ERR:1;
    volatile uint32_t MCS3_ERR:1;
    volatile uint32_t MCS2_ERR:1;
    volatile uint32_t MCS1_ERR:1;
    volatile uint32_t MCS0_ERR:1;
    uint32_t reserved_1:3;
    volatile uint32_t CMP_ERR:1;
    uint32_t reserved_2:1;
    volatile uint32_t ACT_CMU8:1;
    uint32_t reserved_3:1;
    volatile uint32_t ACT_CMUFX4:1;
    volatile uint32_t ACT_CMUFX3:1;
    volatile uint32_t ACT_CMUFX2:1;
    volatile uint32_t ACT_CMUFX1:1;
    volatile uint32_t ACT_CMUFX0:1;
    volatile uint32_t ACT_CMU7:1;
    volatile uint32_t ACT_CMU6:1;
    volatile uint32_t ACT_CMU5:1;
    volatile uint32_t ACT_CMU4:1;
    volatile uint32_t ACT_CMU3:1;
    volatile uint32_t ACT_CMU2:1;
    volatile uint32_t ACT_CMU1:1;
    volatile uint32_t ACT_CMU0:1;
}  bf_GTM_MON_STATUS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MON_STATUS_bf_type B;
} GTM_MON_STATUS_bf_type;

typedef struct {
    volatile uint32_t MCA_3_7:1;
    volatile uint32_t MCA_3_6:1;
    volatile uint32_t MCA_3_5:1;
    volatile uint32_t MCA_3_4:1;
    volatile uint32_t MCA_3_3:1;
    volatile uint32_t MCA_3_2:1;
    volatile uint32_t MCA_3_1:1;
    volatile uint32_t MCA_3_0:1;
    volatile uint32_t MCA_2_7:1;
    volatile uint32_t MCA_2_6:1;
    volatile uint32_t MCA_2_5:1;
    volatile uint32_t MCA_2_4:1;
    volatile uint32_t MCA_2_3:1;
    volatile uint32_t MCA_2_2:1;
    volatile uint32_t MCA_2_1:1;
    volatile uint32_t MCA_2_0:1;
    volatile uint32_t MCA_1_7:1;
    volatile uint32_t MCA_1_6:1;
    volatile uint32_t MCA_1_5:1;
    volatile uint32_t MCA_1_4:1;
    volatile uint32_t MCA_1_3:1;
    volatile uint32_t MCA_1_2:1;
    volatile uint32_t MCA_1_1:1;
    volatile uint32_t MCA_1_0:1;
    volatile uint32_t MCA_0_7:1;
    volatile uint32_t MCA_0_6:1;
    volatile uint32_t MCA_0_5:1;
    volatile uint32_t MCA_0_4:1;
    volatile uint32_t MCA_0_3:1;
    volatile uint32_t MCA_0_2:1;
    volatile uint32_t MCA_0_1:1;
    volatile uint32_t MCA_0_0:1;
}  bf_GTM_MON_ACTIVITY_0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MON_ACTIVITY_0_bf_type B;
} GTM_MON_ACTIVITY_0_bf_type;

typedef struct {
    volatile uint32_t MCA_7_7:1;
    volatile uint32_t MCA_7_6:1;
    volatile uint32_t MCA_7_5:1;
    volatile uint32_t MCA_7_4:1;
    volatile uint32_t MCA_7_3:1;
    volatile uint32_t MCA_7_2:1;
    volatile uint32_t MCA_7_1:1;
    volatile uint32_t MCA_7_0:1;
    volatile uint32_t MCA_6_7:1;
    volatile uint32_t MCA_6_6:1;
    volatile uint32_t MCA_6_5:1;
    volatile uint32_t MCA_6_4:1;
    volatile uint32_t MCA_6_3:1;
    volatile uint32_t MCA_6_2:1;
    volatile uint32_t MCA_6_1:1;
    volatile uint32_t MCA_6_0:1;
    volatile uint32_t MCA_5_7:1;
    volatile uint32_t MCA_5_6:1;
    volatile uint32_t MCA_5_5:1;
    volatile uint32_t MCA_5_4:1;
    volatile uint32_t MCA_5_3:1;
    volatile uint32_t MCA_5_2:1;
    volatile uint32_t MCA_5_1:1;
    volatile uint32_t MCA_5_0:1;
    volatile uint32_t MCA_4_7:1;
    volatile uint32_t MCA_4_6:1;
    volatile uint32_t MCA_4_5:1;
    volatile uint32_t MCA_4_4:1;
    volatile uint32_t MCA_4_3:1;
    volatile uint32_t MCA_4_2:1;
    volatile uint32_t MCA_4_1:1;
    volatile uint32_t MCA_4_0:1;
}  bf_GTM_MON_ACTIVITY_1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MON_ACTIVITY_1_bf_type B;
} GTM_MON_ACTIVITY_1_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t MCA_7:1;
    volatile uint32_t MCA_6:1;
    volatile uint32_t MCA_5:1;
    volatile uint32_t MCA_4:1;
    volatile uint32_t MCA_3:1;
    volatile uint32_t MCA_2:1;
    volatile uint32_t MCA_1:1;
    volatile uint32_t MCA_0:1;
}  bf_GTM_MON_ACTIVITY_MCS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MON_ACTIVITY_MCS_bf_type B;
} GTM_MON_ACTIVITY_MCS_bf_type;

typedef struct {
    GTM_MON_STATUS_bf_type STATUS; 
    GTM_MON_ACTIVITY_0_bf_type ACTIVITY_0; 
    GTM_MON_ACTIVITY_1_bf_type ACTIVITY_1; 
    GTM_MON_ACTIVITY_MCS_bf_type ACTIVITY_MCS[10]; 
    volatile uint32_t reserved_0[3];
} GTM_MON_bf_type;

/*************************************************************************
 * module GTM.CMP
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBWC11_EN:1;
    volatile uint32_t TBWC10_EN:1;
    volatile uint32_t TBWC9_EN:1;
    volatile uint32_t TBWC8_EN:1;
    volatile uint32_t TBWC7_EN:1;
    volatile uint32_t TBWC6_EN:1;
    volatile uint32_t TBWC5_EN:1;
    volatile uint32_t TBWC4_EN:1;
    volatile uint32_t TBWC3_EN:1;
    volatile uint32_t TBWC2_EN:1;
    volatile uint32_t TBWC1_EN:1;
    volatile uint32_t TBWC0_EN:1;
    volatile uint32_t ABWC11_EN:1;
    volatile uint32_t ABWC10_EN:1;
    volatile uint32_t ABWC9_EN:1;
    volatile uint32_t ABWC8_EN:1;
    volatile uint32_t ABWC7_EN:1;
    volatile uint32_t ABWC6_EN:1;
    volatile uint32_t ABWC5_EN:1;
    volatile uint32_t ABWC4_EN:1;
    volatile uint32_t ABWC3_EN:1;
    volatile uint32_t ABWC2_EN:1;
    volatile uint32_t ABWC1_EN:1;
    volatile uint32_t ABWC0_EN:1;
}  bf_GTM_CMP_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_EN_bf_type B;
} GTM_CMP_EN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBWC11:1;
    volatile uint32_t TBWC10:1;
    volatile uint32_t TBWC9:1;
    volatile uint32_t TBWC8:1;
    volatile uint32_t TBWC7:1;
    volatile uint32_t TBWC6:1;
    volatile uint32_t TBWC5:1;
    volatile uint32_t TBWC4:1;
    volatile uint32_t TBWC3:1;
    volatile uint32_t TBWC2:1;
    volatile uint32_t TBWC1:1;
    volatile uint32_t TBWC0:1;
    volatile uint32_t ABWC11:1;
    volatile uint32_t ABWC10:1;
    volatile uint32_t ABWC9:1;
    volatile uint32_t ABWC8:1;
    volatile uint32_t ABWC7:1;
    volatile uint32_t ABWC6:1;
    volatile uint32_t ABWC5:1;
    volatile uint32_t ABWC4:1;
    volatile uint32_t ABWC3:1;
    volatile uint32_t ABWC2:1;
    volatile uint32_t ABWC1:1;
    volatile uint32_t ABWC0:1;
}  bf_GTM_CMP_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_IRQ_NOTIFY_bf_type B;
} GTM_CMP_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBWC11_EN_IRQ:1;
    volatile uint32_t TBWC10_EN_IRQ:1;
    volatile uint32_t TBWC9_EN_IRQ:1;
    volatile uint32_t TBWC8_EN_IRQ:1;
    volatile uint32_t TBWC7_EN_IRQ:1;
    volatile uint32_t TBWC6_EN_IRQ:1;
    volatile uint32_t TBWC5_EN_IRQ:1;
    volatile uint32_t TBWC4_EN_IRQ:1;
    volatile uint32_t TBWC3_EN_IRQ:1;
    volatile uint32_t TBWC2_EN_IRQ:1;
    volatile uint32_t TBWC1_EN_IRQ:1;
    volatile uint32_t TBWC0_EN_IRQ:1;
    volatile uint32_t ABWC11_EN_IRQ:1;
    volatile uint32_t ABWC10_EN_IRQ:1;
    volatile uint32_t ABWC9_EN_IRQ:1;
    volatile uint32_t ABWC8_EN_IRQ:1;
    volatile uint32_t ABWC7_EN_IRQ:1;
    volatile uint32_t ABWC6_EN_IRQ:1;
    volatile uint32_t ABWC5_EN_IRQ:1;
    volatile uint32_t ABWC4_EN_IRQ:1;
    volatile uint32_t ABWC3_EN_IRQ:1;
    volatile uint32_t ABWC2_EN_IRQ:1;
    volatile uint32_t ABWC1_EN_IRQ:1;
    volatile uint32_t ABWC0_EN_IRQ:1;
}  bf_GTM_CMP_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_IRQ_EN_bf_type B;
} GTM_CMP_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRG_TBWC11:1;
    volatile uint32_t TRG_TBWC10:1;
    volatile uint32_t TRG_TBWC9:1;
    volatile uint32_t TRG_TBWC8:1;
    volatile uint32_t TRG_TBWC7:1;
    volatile uint32_t TRG_TBWC6:1;
    volatile uint32_t TRG_TBWC5:1;
    volatile uint32_t TRG_TBWC4:1;
    volatile uint32_t TRG_TBWC3:1;
    volatile uint32_t TRG_TBWC2:1;
    volatile uint32_t TRG_TBWC1:1;
    volatile uint32_t TRG_TBWC0:1;
    volatile uint32_t TRG_ABWC11:1;
    volatile uint32_t TRG_ABWC10:1;
    volatile uint32_t TRG_ABWC9:1;
    volatile uint32_t TRG_ABWC8:1;
    volatile uint32_t TRG_ABWC7:1;
    volatile uint32_t TRG_ABWC6:1;
    volatile uint32_t TRG_ABWC5:1;
    volatile uint32_t TRG_ABWC4:1;
    volatile uint32_t TRG_ABWC3:1;
    volatile uint32_t TRG_ABWC2:1;
    volatile uint32_t TRG_ABWC1:1;
    volatile uint32_t TRG_ABWC0:1;
}  bf_GTM_CMP_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_IRQ_FORCINT_bf_type B;
} GTM_CMP_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_CMP_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_IRQ_MODE_bf_type B;
} GTM_CMP_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBWC11_EN_EIRQ:1;
    volatile uint32_t TBWC10_EN_EIRQ:1;
    volatile uint32_t TBWC9_EN_EIRQ:1;
    volatile uint32_t TBWC8_EN_EIRQ:1;
    volatile uint32_t TBWC7_EN_EIRQ:1;
    volatile uint32_t TBWC6_EN_EIRQ:1;
    volatile uint32_t TBWC5_EN_EIRQ:1;
    volatile uint32_t TBWC4_EN_EIRQ:1;
    volatile uint32_t TBWC3_EN_EIRQ:1;
    volatile uint32_t TBWC2_EN_EIRQ:1;
    volatile uint32_t TBWC1_EN_EIRQ:1;
    volatile uint32_t TBWC0_EN_EIRQ:1;
    volatile uint32_t ABWC11_EN_EIRQ:1;
    volatile uint32_t ABWC10_EN_EIRQ:1;
    volatile uint32_t ABWC9_EN_EIRQ:1;
    volatile uint32_t ABWC8_EN_EIRQ:1;
    volatile uint32_t ABWC7_EN_EIRQ:1;
    volatile uint32_t ABWC6_EN_EIRQ:1;
    volatile uint32_t ABWC5_EN_EIRQ:1;
    volatile uint32_t ABWC4_EN_EIRQ:1;
    volatile uint32_t ABWC3_EN_EIRQ:1;
    volatile uint32_t ABWC2_EN_EIRQ:1;
    volatile uint32_t ABWC1_EN_EIRQ:1;
    volatile uint32_t ABWC0_EN_EIRQ:1;
}  bf_GTM_CMP_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMP_EIRQ_EN_bf_type B;
} GTM_CMP_EIRQ_EN_bf_type;

typedef struct {
    GTM_CMP_EN_bf_type EN; 
    GTM_CMP_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_CMP_IRQ_EN_bf_type IRQ_EN; 
    GTM_CMP_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_CMP_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_CMP_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0[10];
} GTM_CMP_bf_type;

/*************************************************************************
 * module GTM.ARU
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:18;
    volatile uint32_t WREQ:1;
    volatile uint32_t RREQ:1;
    uint32_t reserved_1:3;
    volatile uint32_t ADDR:9;
}  bf_GTM_ARU_ACCESS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_ACCESS_bf_type B;
} GTM_ARU_ACCESS_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DATA_H_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DATA_H_bf_type B;
} GTM_ARU_DATA_H_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DATA_L_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DATA_L_bf_type B;
} GTM_ARU_DATA_L_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t ADDR:9;
}  bf_GTM_ARU_DBG_ACCESS0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_ACCESS0_bf_type B;
} GTM_ARU_DBG_ACCESS0_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DBG_DATA0_H_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_DATA0_H_bf_type B;
} GTM_ARU_DBG_DATA0_H_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DBG_DATA0_L_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_DATA0_L_bf_type B;
} GTM_ARU_DBG_DATA0_L_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t ADDR:9;
}  bf_GTM_ARU_DBG_ACCESS1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_ACCESS1_bf_type B;
} GTM_ARU_DBG_ACCESS1_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DBG_DATA1_H_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_DATA1_H_bf_type B;
} GTM_ARU_DBG_DATA1_H_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_ARU_DBG_DATA1_L_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DBG_DATA1_L_bf_type B;
} GTM_ARU_DBG_DATA1_L_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t ACC_ACK:1;
    volatile uint32_t NEW_DATA1:1;
    volatile uint32_t NEW_DATA0:1;
}  bf_GTM_ARU_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_IRQ_NOTIFY_bf_type B;
} GTM_ARU_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t ACC_ACK_IRQ_EN:1;
    volatile uint32_t NEW_DATA1_IRQ_EN:1;
    volatile uint32_t NEW_DATA0_IRQ_EN:1;
}  bf_GTM_ARU_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_IRQ_EN_bf_type B;
} GTM_ARU_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t TRG_ACC_ACK:1;
    volatile uint32_t TRG_NEW_DATA1:1;
    volatile uint32_t TRG_NEW_DATA0:1;
}  bf_GTM_ARU_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_IRQ_FORCINT_bf_type B;
} GTM_ARU_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_ARU_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_IRQ_MODE_bf_type B;
} GTM_ARU_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:25;
    volatile uint32_t CADDR_END:7;
}  bf_GTM_ARU_CADDR_END_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_CADDR_END_bf_type B;
} GTM_ARU_CADDR_END_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t ARU_DYN_RING_MODE:1;
    volatile uint32_t ARU_1_DYN_EN:2;
    volatile uint32_t ARU_0_DYN_EN:2;
}  bf_GTM_ARU_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_CTRL_bf_type B;
} GTM_ARU_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t DYN_ROUTE_SWAP:1;
    volatile uint32_t DYN_ARU_UPDATE_EN:1;
}  bf_GTM_ARU_DYN_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_CTRL_bf_type B;
} GTM_ARU_DYN_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DYN_READ_ID2:8;
    volatile uint32_t DYN_READ_ID1:8;
    volatile uint32_t DYN_READ_ID0:8;
}  bf_GTM_ARU_DYN_ROUTE_LOW_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_ROUTE_LOW_bf_type B;
} GTM_ARU_DYN_ROUTE_LOW_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t DYN_CLK_WAIT:4;
    volatile uint32_t DYN_READ_ID5:8;
    volatile uint32_t DYN_READ_ID4:8;
    volatile uint32_t DYN_READ_ID3:8;
}  bf_GTM_ARU_DYN_ROUTE_HIGH_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_ROUTE_HIGH_bf_type B;
} GTM_ARU_DYN_ROUTE_HIGH_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DYN_READ_ID8:8;
    volatile uint32_t DYN_READ_ID7:8;
    volatile uint32_t DYN_READ_ID6:8;
}  bf_GTM_ARU_DYN_ROUTE_SR_LOW_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_ROUTE_SR_LOW_bf_type B;
} GTM_ARU_DYN_ROUTE_SR_LOW_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DYN_UPDATE_EN:1;
    volatile uint32_t DYN_CLK_WAIT:4;
    volatile uint32_t DYN_READ_ID11:8;
    volatile uint32_t DYN_READ_ID10:8;
    volatile uint32_t DYN_READ_ID9:8;
}  bf_GTM_ARU_DYN_ROUTE_SR_HIGH_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_ROUTE_SR_HIGH_bf_type B;
} GTM_ARU_DYN_ROUTE_SR_HIGH_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t DYN_ARU_RDADDR:9;
}  bf_GTM_ARU_DYN_RDADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_DYN_RDADDR_bf_type B;
} GTM_ARU_DYN_RDADDR_bf_type;

typedef struct {
    uint32_t reserved_0:9;
    volatile uint32_t CADDR_1:7;
    uint32_t reserved_1:9;
    volatile uint32_t CADDR_0:7;
}  bf_GTM_ARU_CADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ARU_CADDR_bf_type B;
} GTM_ARU_CADDR_bf_type;

typedef struct {
    GTM_ARU_ACCESS_bf_type ACCESS; 
    GTM_ARU_DATA_H_bf_type DATA_H; 
    GTM_ARU_DATA_L_bf_type DATA_L; 
    GTM_ARU_DBG_ACCESS0_bf_type DBG_ACCESS0; 
    GTM_ARU_DBG_DATA0_H_bf_type DBG_DATA0_H; 
    GTM_ARU_DBG_DATA0_L_bf_type DBG_DATA0_L; 
    GTM_ARU_DBG_ACCESS1_bf_type DBG_ACCESS1; 
    GTM_ARU_DBG_DATA1_H_bf_type DBG_DATA1_H; 
    GTM_ARU_DBG_DATA1_L_bf_type DBG_DATA1_L; 
    GTM_ARU_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_ARU_IRQ_EN_bf_type IRQ_EN; 
    GTM_ARU_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_ARU_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_ARU_CADDR_END_bf_type CADDR_END; 
    volatile uint32_t reserved_0;
    GTM_ARU_CTRL_bf_type CTRL; 
    GTM_ARU_DYN_CTRL_bf_type DYN_CTRL[2]; 
    GTM_ARU_DYN_ROUTE_LOW_bf_type DYN_ROUTE_LOW[2]; 
    GTM_ARU_DYN_ROUTE_HIGH_bf_type DYN_ROUTE_HIGH[2]; 
    GTM_ARU_DYN_ROUTE_SR_LOW_bf_type DYN_ROUTE_SR_LOW[2]; 
    GTM_ARU_DYN_ROUTE_SR_HIGH_bf_type DYN_ROUTE_SR_HIGH[2]; 
    GTM_ARU_DYN_RDADDR_bf_type DYN_RDADDR[2]; 
    volatile uint32_t reserved_1[3];
    GTM_ARU_CADDR_bf_type CADDR; 
} GTM_ARU_bf_type;

/*************************************************************************
 * module GTM.CMU
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t EN_FXCLK:2;
    volatile uint32_t EN_ECLK2:2;
    volatile uint32_t EN_ECLK1:2;
    volatile uint32_t EN_ECLK0:2;
    volatile uint32_t EN_CLK7:2;
    volatile uint32_t EN_CLK6:2;
    volatile uint32_t EN_CLK5:2;
    volatile uint32_t EN_CLK4:2;
    volatile uint32_t EN_CLK3:2;
    volatile uint32_t EN_CLK2:2;
    volatile uint32_t EN_CLK1:2;
    volatile uint32_t EN_CLK0:2;
}  bf_GTM_CMU_CLK_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_EN_bf_type B;
} GTM_CMU_CLK_EN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t GCLK_NUM:24;
}  bf_GTM_CMU_GCLK_NUM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_GCLK_NUM_bf_type B;
} GTM_CMU_GCLK_NUM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t GCLK_DEN:24;
}  bf_GTM_CMU_GCLK_DEN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_GCLK_DEN_bf_type B;
} GTM_CMU_GCLK_DEN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_0_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_0_CTRL_bf_type B;
} GTM_CMU_CLK_0_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_1_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_1_CTRL_bf_type B;
} GTM_CMU_CLK_1_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_2_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_2_CTRL_bf_type B;
} GTM_CMU_CLK_2_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_3_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_3_CTRL_bf_type B;
} GTM_CMU_CLK_3_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_4_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_4_CTRL_bf_type B;
} GTM_CMU_CLK_4_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_5_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_5_CTRL_bf_type B;
} GTM_CMU_CLK_5_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:6;
    volatile uint32_t CLK6_SEL:2;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_6_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_6_CTRL_bf_type B;
} GTM_CMU_CLK_6_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:6;
    volatile uint32_t CLK7_SEL:2;
    volatile uint32_t CLK_CNT:24;
}  bf_GTM_CMU_CLK_7_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_7_CTRL_bf_type B;
} GTM_CMU_CLK_7_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_NUM:24;
}  bf_GTM_CMU_ECLK_0_NUM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_0_NUM_bf_type B;
} GTM_CMU_ECLK_0_NUM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_DEN:24;
}  bf_GTM_CMU_ECLK_0_DEN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_0_DEN_bf_type B;
} GTM_CMU_ECLK_0_DEN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_NUM:24;
}  bf_GTM_CMU_ECLK_1_NUM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_1_NUM_bf_type B;
} GTM_CMU_ECLK_1_NUM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_DEN:24;
}  bf_GTM_CMU_ECLK_1_DEN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_1_DEN_bf_type B;
} GTM_CMU_ECLK_1_DEN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_NUM:24;
}  bf_GTM_CMU_ECLK_2_NUM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_2_NUM_bf_type B;
} GTM_CMU_ECLK_2_NUM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ECLK_DEN:24;
}  bf_GTM_CMU_ECLK_2_DEN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_ECLK_2_DEN_bf_type B;
} GTM_CMU_ECLK_2_DEN_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t FXCLK_SEL:4;
}  bf_GTM_CMU_FXCLK_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_FXCLK_CTRL_bf_type B;
} GTM_CMU_FXCLK_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:31;
    volatile uint32_t ARU_ADDR_RSTGLB:1;
}  bf_GTM_CMU_GLB_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_GLB_CTRL_bf_type B;
} GTM_CMU_GLB_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t CLK8_EXT_DIVIDER:1;
    volatile uint32_t CLK7_EXT_DIVIDER:1;
    volatile uint32_t CLK6_EXT_DIVIDER:1;
    volatile uint32_t CLK5_EXT_DIVIDER:1;
    volatile uint32_t CLK4_EXT_DIVIDER:1;
    volatile uint32_t CLK3_EXT_DIVIDER:1;
    volatile uint32_t CLK2_EXT_DIVIDER:1;
    volatile uint32_t CLK1_EXT_DIVIDER:1;
    volatile uint32_t CLK0_EXT_DIVIDER:1;
}  bf_GTM_CMU_CLK_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CMU_CLK_CTRL_bf_type B;
} GTM_CMU_CLK_CTRL_bf_type;

typedef struct {
    GTM_CMU_CLK_EN_bf_type CLK_EN; 
    GTM_CMU_GCLK_NUM_bf_type GCLK_NUM; 
    GTM_CMU_GCLK_DEN_bf_type GCLK_DEN; 
    GTM_CMU_CLK_0_CTRL_bf_type CLK_0_CTRL; 
    GTM_CMU_CLK_1_CTRL_bf_type CLK_1_CTRL; 
    GTM_CMU_CLK_2_CTRL_bf_type CLK_2_CTRL; 
    GTM_CMU_CLK_3_CTRL_bf_type CLK_3_CTRL; 
    GTM_CMU_CLK_4_CTRL_bf_type CLK_4_CTRL; 
    GTM_CMU_CLK_5_CTRL_bf_type CLK_5_CTRL; 
    GTM_CMU_CLK_6_CTRL_bf_type CLK_6_CTRL; 
    GTM_CMU_CLK_7_CTRL_bf_type CLK_7_CTRL; 
    GTM_CMU_ECLK_0_NUM_bf_type ECLK_0_NUM; 
    GTM_CMU_ECLK_0_DEN_bf_type ECLK_0_DEN; 
    GTM_CMU_ECLK_1_NUM_bf_type ECLK_1_NUM; 
    GTM_CMU_ECLK_1_DEN_bf_type ECLK_1_DEN; 
    GTM_CMU_ECLK_2_NUM_bf_type ECLK_2_NUM; 
    GTM_CMU_ECLK_2_DEN_bf_type ECLK_2_DEN; 
    GTM_CMU_FXCLK_CTRL_bf_type FXCLK_CTRL; 
    GTM_CMU_GLB_CTRL_bf_type GLB_CTRL; 
    GTM_CMU_CLK_CTRL_bf_type CLK_CTRL; 
    volatile uint32_t reserved_0[12];
} GTM_CMU_bf_type;

/*************************************************************************
 * module GTM.BRC.SRC
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:19;
    volatile uint32_t BRC_MODE:1;
    uint32_t reserved_1:3;
    volatile uint32_t ADDR:9;
}  bf_GTM_BRC_SRC_ADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_SRC_ADDR_bf_type B;
} GTM_BRC_SRC_ADDR_bf_type;

typedef struct {
    uint32_t reserved_0:9;
    volatile uint32_t EN_TRASHBIN:1;
    volatile uint32_t EN_DEST21:1;
    volatile uint32_t EN_DEST20:1;
    volatile uint32_t EN_DEST19:1;
    volatile uint32_t EN_DEST18:1;
    volatile uint32_t EN_DEST17:1;
    volatile uint32_t EN_DEST16:1;
    volatile uint32_t EN_DEST15:1;
    volatile uint32_t EN_DEST14:1;
    volatile uint32_t EN_DEST13:1;
    volatile uint32_t EN_DEST12:1;
    volatile uint32_t EN_DEST11:1;
    volatile uint32_t EN_DEST10:1;
    volatile uint32_t EN_DEST9:1;
    volatile uint32_t EN_DEST8:1;
    volatile uint32_t EN_DEST7:1;
    volatile uint32_t EN_DEST6:1;
    volatile uint32_t EN_DEST5:1;
    volatile uint32_t EN_DEST4:1;
    volatile uint32_t EN_DEST3:1;
    volatile uint32_t EN_DEST2:1;
    volatile uint32_t EN_DEST1:1;
    volatile uint32_t EN_DEST0:1;
}  bf_GTM_BRC_SRC_DEST_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_SRC_DEST_bf_type B;
} GTM_BRC_SRC_DEST_bf_type;

typedef struct {
    GTM_BRC_SRC_ADDR_bf_type ADDR; 
    GTM_BRC_SRC_DEST_bf_type DEST; 
} GTM_BRC_SRC_bf_type;

/*************************************************************************
 * module GTM.BRC
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:19;
    volatile uint32_t DID11:1;
    volatile uint32_t DID10:1;
    volatile uint32_t DID9:1;
    volatile uint32_t DID8:1;
    volatile uint32_t DID7:1;
    volatile uint32_t DID6:1;
    volatile uint32_t DID5:1;
    volatile uint32_t DID4:1;
    volatile uint32_t DID3:1;
    volatile uint32_t DID2:1;
    volatile uint32_t DID1:1;
    volatile uint32_t DID0:1;
    volatile uint32_t DEST_ERR:1;
}  bf_GTM_BRC_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_IRQ_NOTIFY_bf_type B;
} GTM_BRC_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:19;
    volatile uint32_t DID_IRQ_EN11:1;
    volatile uint32_t DID_IRQ_EN10:1;
    volatile uint32_t DID_IRQ_EN9:1;
    volatile uint32_t DID_IRQ_EN8:1;
    volatile uint32_t DID_IRQ_EN7:1;
    volatile uint32_t DID_IRQ_EN6:1;
    volatile uint32_t DID_IRQ_EN5:1;
    volatile uint32_t DID_IRQ_EN4:1;
    volatile uint32_t DID_IRQ_EN3:1;
    volatile uint32_t DID_IRQ_EN2:1;
    volatile uint32_t DID_IRQ_EN1:1;
    volatile uint32_t DID_IRQ_EN0:1;
    volatile uint32_t DEST_ERR_IRQ_EN:1;
}  bf_GTM_BRC_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_IRQ_EN_bf_type B;
} GTM_BRC_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:19;
    volatile uint32_t TRG_DID11:1;
    volatile uint32_t TRG_DID10:1;
    volatile uint32_t TRG_DID9:1;
    volatile uint32_t TRG_DID8:1;
    volatile uint32_t TRG_DID7:1;
    volatile uint32_t TRG_DID6:1;
    volatile uint32_t TRG_DID5:1;
    volatile uint32_t TRG_DID4:1;
    volatile uint32_t TRG_DID3:1;
    volatile uint32_t TRG_DID2:1;
    volatile uint32_t TRG_DID1:1;
    volatile uint32_t TRG_DID0:1;
    volatile uint32_t TRG_DEST_ERR:1;
}  bf_GTM_BRC_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_IRQ_FORCINT_bf_type B;
} GTM_BRC_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_BRC_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_IRQ_MODE_bf_type B;
} GTM_BRC_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:31;
    volatile uint32_t RST:1;
}  bf_GTM_BRC_RST_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_RST_bf_type B;
} GTM_BRC_RST_bf_type;

typedef struct {
    uint32_t reserved_0:19;
    volatile uint32_t DID_EIRQ_EN11:1;
    volatile uint32_t DID_EIRQ_EN10:1;
    volatile uint32_t DID_EIRQ_EN9:1;
    volatile uint32_t DID_EIRQ_EN8:1;
    volatile uint32_t DID_EIRQ_EN7:1;
    volatile uint32_t DID_EIRQ_EN6:1;
    volatile uint32_t DID_EIRQ_EN5:1;
    volatile uint32_t DID_EIRQ_EN4:1;
    volatile uint32_t DID_EIRQ_EN3:1;
    volatile uint32_t DID_EIRQ_EN2:1;
    volatile uint32_t DID_EIRQ_EN1:1;
    volatile uint32_t DID_EIRQ_EN0:1;
    volatile uint32_t DEST_ERR_EIRQ_EN:1;
}  bf_GTM_BRC_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRC_EIRQ_EN_bf_type B;
} GTM_BRC_EIRQ_EN_bf_type;

typedef struct {
    GTM_BRC_SRC_bf_type SRC[12]; 
    GTM_BRC_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_BRC_IRQ_EN_bf_type IRQ_EN; 
    GTM_BRC_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_BRC_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_BRC_RST_bf_type RST; 
    GTM_BRC_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0[2];
} GTM_BRC_bf_type;

/*************************************************************************
 * module GTM.ICM
 *************************************************************************/

typedef struct {
    volatile uint32_t PSM1_CH7_IRQ:1;
    volatile uint32_t PSM1_CH6_IRQ:1;
    volatile uint32_t PSM1_CH5_IRQ:1;
    volatile uint32_t PSM1_CH4_IRQ:1;
    volatile uint32_t PSM1_CH3_IRQ:1;
    volatile uint32_t PSM1_CH2_IRQ:1;
    volatile uint32_t PSM1_CH1_IRQ:1;
    volatile uint32_t PSM1_CH0_IRQ:1;
    volatile uint32_t PSM0_CH7_IRQ:1;
    volatile uint32_t PSM0_CH6_IRQ:1;
    volatile uint32_t PSM0_CH5_IRQ:1;
    volatile uint32_t PSM0_CH4_IRQ:1;
    volatile uint32_t PSM0_CH3_IRQ:1;
    volatile uint32_t PSM0_CH2_IRQ:1;
    volatile uint32_t PSM0_CH1_IRQ:1;
    volatile uint32_t PSM0_CH0_IRQ:1;
    uint32_t reserved_0:4;
    volatile uint32_t SPE5_IRQ:1;
    volatile uint32_t SPE4_IRQ:1;
    volatile uint32_t SPE3_IRQ:1;
    volatile uint32_t SPE2_IRQ:1;
    volatile uint32_t SPE1_IRQ:1;
    volatile uint32_t SPE0_IRQ:1;
    volatile uint32_t CMP_IRQ:1;
    volatile uint32_t AEI_IRQ:1;
    volatile uint32_t BRC_IRQ:1;
    volatile uint32_t ARU_ACC_ACK_IRQ:1;
    volatile uint32_t ARU_NEW_DATA1_IRQ:1;
    volatile uint32_t ARU_NEW_DATA0_IRQ:1;
}  bf_GTM_ICM_IRQG_0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_0_bf_type B;
} GTM_ICM_IRQG_0_bf_type;

typedef struct {
    uint32_t reserved_0:5;
    volatile uint32_t DPLL_SORI_IRQ:1;
    volatile uint32_t DPLL_TORI_IRQ:1;
    volatile uint32_t DPLL_CDSI_IRQ:1;
    volatile uint32_t DPLL_CDTI_IRQ:1;
    volatile uint32_t DPLL_TE4I_IRQ:1;
    volatile uint32_t DPLL_TE3I_IRQ:1;
    volatile uint32_t DPLL_TE2I_IRQ:1;
    volatile uint32_t DPLL_TE1I_IRQ:1;
    volatile uint32_t DPLL_TE0I_IRQ:1;
    volatile uint32_t DPLL_LL2I_IRQ:1;
    volatile uint32_t DPLL_GL2I_IRQ:1;
    volatile uint32_t DPLL_EI_IRQ:1;
    volatile uint32_t DPLL_LL1I_IRQ:1;
    volatile uint32_t DPLL_GL1I_IRQ:1;
    volatile uint32_t DPLL_W1I_IRQ:1;
    volatile uint32_t DPLL_W2I_IRQ:1;
    volatile uint32_t DPLL_PWI_IRQ:1;
    volatile uint32_t DPLL_TASI_IRQ:1;
    volatile uint32_t DPLL_SASI_IRQ:1;
    volatile uint32_t DPLL_MTI_IRQ:1;
    volatile uint32_t DPLL_MSI_IRQ:1;
    volatile uint32_t DPLL_TISI_IRQ:1;
    volatile uint32_t DPLL_SISI_IRQ:1;
    volatile uint32_t DPLL_TAXI_IRQ:1;
    volatile uint32_t DPLL_TINI_IRQ:1;
    volatile uint32_t DPLL_EDI_IRQ:1;
    volatile uint32_t DPLL_DCGI_IRQ:1;
}  bf_GTM_ICM_IRQG_1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_1_bf_type B;
} GTM_ICM_IRQG_1_bf_type;

typedef struct {
    volatile uint32_t TIM3_CH7_IRQ:1;
    volatile uint32_t TIM3_CH6_IRQ:1;
    volatile uint32_t TIM3_CH5_IRQ:1;
    volatile uint32_t TIM3_CH4_IRQ:1;
    volatile uint32_t TIM3_CH3_IRQ:1;
    volatile uint32_t TIM3_CH2_IRQ:1;
    volatile uint32_t TIM3_CH1_IRQ:1;
    volatile uint32_t TIM3_CH0_IRQ:1;
    volatile uint32_t TIM2_CH7_IRQ:1;
    volatile uint32_t TIM2_CH6_IRQ:1;
    volatile uint32_t TIM2_CH5_IRQ:1;
    volatile uint32_t TIM2_CH4_IRQ:1;
    volatile uint32_t TIM2_CH3_IRQ:1;
    volatile uint32_t TIM2_CH2_IRQ:1;
    volatile uint32_t TIM2_CH1_IRQ:1;
    volatile uint32_t TIM2_CH0_IRQ:1;
    volatile uint32_t TIM1_CH7_IRQ:1;
    volatile uint32_t TIM1_CH6_IRQ:1;
    volatile uint32_t TIM1_CH5_IRQ:1;
    volatile uint32_t TIM1_CH4_IRQ:1;
    volatile uint32_t TIM1_CH3_IRQ:1;
    volatile uint32_t TIM1_CH2_IRQ:1;
    volatile uint32_t TIM1_CH1_IRQ:1;
    volatile uint32_t TIM1_CH0_IRQ:1;
    volatile uint32_t TIM0_CH7_IRQ:1;
    volatile uint32_t TIM0_CH6_IRQ:1;
    volatile uint32_t TIM0_CH5_IRQ:1;
    volatile uint32_t TIM0_CH4_IRQ:1;
    volatile uint32_t TIM0_CH3_IRQ:1;
    volatile uint32_t TIM0_CH2_IRQ:1;
    volatile uint32_t TIM0_CH1_IRQ:1;
    volatile uint32_t TIM0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_2_bf_type B;
} GTM_ICM_IRQG_2_bf_type;

typedef struct {
    volatile uint32_t TIM7_CH7_IRQ:1;
    volatile uint32_t TIM7_CH6_IRQ:1;
    volatile uint32_t TIM7_CH5_IRQ:1;
    volatile uint32_t TIM7_CH4_IRQ:1;
    volatile uint32_t TIM7_CH3_IRQ:1;
    volatile uint32_t TIM7_CH2_IRQ:1;
    volatile uint32_t TIM7_CH1_IRQ:1;
    volatile uint32_t TIM7_CH0_IRQ:1;
    volatile uint32_t TIM6_CH7_IRQ:1;
    volatile uint32_t TIM6_CH6_IRQ:1;
    volatile uint32_t TIM6_CH5_IRQ:1;
    volatile uint32_t TIM6_CH4_IRQ:1;
    volatile uint32_t TIM6_CH3_IRQ:1;
    volatile uint32_t TIM6_CH2_IRQ:1;
    volatile uint32_t TIM6_CH1_IRQ:1;
    volatile uint32_t TIM6_CH0_IRQ:1;
    volatile uint32_t TIM5_CH7_IRQ:1;
    volatile uint32_t TIM5_CH6_IRQ:1;
    volatile uint32_t TIM5_CH5_IRQ:1;
    volatile uint32_t TIM5_CH4_IRQ:1;
    volatile uint32_t TIM5_CH3_IRQ:1;
    volatile uint32_t TIM5_CH2_IRQ:1;
    volatile uint32_t TIM5_CH1_IRQ:1;
    volatile uint32_t TIM5_CH0_IRQ:1;
    volatile uint32_t TIM4_CH7_IRQ:1;
    volatile uint32_t TIM4_CH6_IRQ:1;
    volatile uint32_t TIM4_CH5_IRQ:1;
    volatile uint32_t TIM4_CH4_IRQ:1;
    volatile uint32_t TIM4_CH3_IRQ:1;
    volatile uint32_t TIM4_CH2_IRQ:1;
    volatile uint32_t TIM4_CH1_IRQ:1;
    volatile uint32_t TIM4_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_3_bf_type B;
} GTM_ICM_IRQG_3_bf_type;

typedef struct {
    volatile uint32_t MCS3_CH7_IRQ:1;
    volatile uint32_t MCS3_CH6_IRQ:1;
    volatile uint32_t MCS3_CH5_IRQ:1;
    volatile uint32_t MCS3_CH4_IRQ:1;
    volatile uint32_t MCS3_CH3_IRQ:1;
    volatile uint32_t MCS3_CH2_IRQ:1;
    volatile uint32_t MCS3_CH1_IRQ:1;
    volatile uint32_t MCS3_CH0_IRQ:1;
    volatile uint32_t MCS2_CH7_IRQ:1;
    volatile uint32_t MCS2_CH6_IRQ:1;
    volatile uint32_t MCS2_CH5_IRQ:1;
    volatile uint32_t MCS2_CH4_IRQ:1;
    volatile uint32_t MCS2_CH3_IRQ:1;
    volatile uint32_t MCS2_CH2_IRQ:1;
    volatile uint32_t MCS2_CH1_IRQ:1;
    volatile uint32_t MCS2_CH0_IRQ:1;
    volatile uint32_t MCS1_CH7_IRQ:1;
    volatile uint32_t MCS1_CH6_IRQ:1;
    volatile uint32_t MCS1_CH5_IRQ:1;
    volatile uint32_t MCS1_CH4_IRQ:1;
    volatile uint32_t MCS1_CH3_IRQ:1;
    volatile uint32_t MCS1_CH2_IRQ:1;
    volatile uint32_t MCS1_CH1_IRQ:1;
    volatile uint32_t MCS1_CH0_IRQ:1;
    volatile uint32_t MCS0_CH7_IRQ:1;
    volatile uint32_t MCS0_CH6_IRQ:1;
    volatile uint32_t MCS0_CH5_IRQ:1;
    volatile uint32_t MCS0_CH4_IRQ:1;
    volatile uint32_t MCS0_CH3_IRQ:1;
    volatile uint32_t MCS0_CH2_IRQ:1;
    volatile uint32_t MCS0_CH1_IRQ:1;
    volatile uint32_t MCS0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_4_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_4_bf_type B;
} GTM_ICM_IRQG_4_bf_type;

typedef struct {
    volatile uint32_t MCS7_CH7_IRQ:1;
    volatile uint32_t MCS7_CH6_IRQ:1;
    volatile uint32_t MCS7_CH5_IRQ:1;
    volatile uint32_t MCS7_CH4_IRQ:1;
    volatile uint32_t MCS7_CH3_IRQ:1;
    volatile uint32_t MCS7_CH2_IRQ:1;
    volatile uint32_t MCS7_CH1_IRQ:1;
    volatile uint32_t MCS7_CH0_IRQ:1;
    volatile uint32_t MCS6_CH7_IRQ:1;
    volatile uint32_t MCS6_CH6_IRQ:1;
    volatile uint32_t MCS6_CH5_IRQ:1;
    volatile uint32_t MCS6_CH4_IRQ:1;
    volatile uint32_t MCS6_CH3_IRQ:1;
    volatile uint32_t MCS6_CH2_IRQ:1;
    volatile uint32_t MCS6_CH1_IRQ:1;
    volatile uint32_t MCS6_CH0_IRQ:1;
    volatile uint32_t MCS5_CH7_IRQ:1;
    volatile uint32_t MCS5_CH6_IRQ:1;
    volatile uint32_t MCS5_CH5_IRQ:1;
    volatile uint32_t MCS5_CH4_IRQ:1;
    volatile uint32_t MCS5_CH3_IRQ:1;
    volatile uint32_t MCS5_CH2_IRQ:1;
    volatile uint32_t MCS5_CH1_IRQ:1;
    volatile uint32_t MCS5_CH0_IRQ:1;
    volatile uint32_t MCS4_CH7_IRQ:1;
    volatile uint32_t MCS4_CH6_IRQ:1;
    volatile uint32_t MCS4_CH5_IRQ:1;
    volatile uint32_t MCS4_CH4_IRQ:1;
    volatile uint32_t MCS4_CH3_IRQ:1;
    volatile uint32_t MCS4_CH2_IRQ:1;
    volatile uint32_t MCS4_CH1_IRQ:1;
    volatile uint32_t MCS4_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_5_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_5_bf_type B;
} GTM_ICM_IRQG_5_bf_type;

typedef struct {
    volatile uint32_t TOM1_CH15_IRQ:1;
    volatile uint32_t TOM1_CH14_IRQ:1;
    volatile uint32_t TOM1_CH13_IRQ:1;
    volatile uint32_t TOM1_CH12_IRQ:1;
    volatile uint32_t TOM1_CH11_IRQ:1;
    volatile uint32_t TOM1_CH10_IRQ:1;
    volatile uint32_t TOM1_CH9_IRQ:1;
    volatile uint32_t TOM1_CH8_IRQ:1;
    volatile uint32_t TOM1_CH7_IRQ:1;
    volatile uint32_t TOM1_CH6_IRQ:1;
    volatile uint32_t TOM1_CH5_IRQ:1;
    volatile uint32_t TOM1_CH4_IRQ:1;
    volatile uint32_t TOM1_CH3_IRQ:1;
    volatile uint32_t TOM1_CH2_IRQ:1;
    volatile uint32_t TOM1_CH1_IRQ:1;
    volatile uint32_t TOM1_CH0_IRQ:1;
    volatile uint32_t TOM0_CH15_IRQ:1;
    volatile uint32_t TOM0_CH14_IRQ:1;
    volatile uint32_t TOM0_CH13_IRQ:1;
    volatile uint32_t TOM0_CH12_IRQ:1;
    volatile uint32_t TOM0_CH11_IRQ:1;
    volatile uint32_t TOM0_CH10_IRQ:1;
    volatile uint32_t TOM0_CH9_IRQ:1;
    volatile uint32_t TOM0_CH8_IRQ:1;
    volatile uint32_t TOM0_CH7_IRQ:1;
    volatile uint32_t TOM0_CH6_IRQ:1;
    volatile uint32_t TOM0_CH5_IRQ:1;
    volatile uint32_t TOM0_CH4_IRQ:1;
    volatile uint32_t TOM0_CH3_IRQ:1;
    volatile uint32_t TOM0_CH2_IRQ:1;
    volatile uint32_t TOM0_CH1_IRQ:1;
    volatile uint32_t TOM0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_6_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_6_bf_type B;
} GTM_ICM_IRQG_6_bf_type;

typedef struct {
    volatile uint32_t TOM3_CH15_IRQ:1;
    volatile uint32_t TOM3_CH14_IRQ:1;
    volatile uint32_t TOM3_CH13_IRQ:1;
    volatile uint32_t TOM3_CH12_IRQ:1;
    volatile uint32_t TOM3_CH11_IRQ:1;
    volatile uint32_t TOM3_CH10_IRQ:1;
    volatile uint32_t TOM3_CH9_IRQ:1;
    volatile uint32_t TOM3_CH8_IRQ:1;
    volatile uint32_t TOM3_CH7_IRQ:1;
    volatile uint32_t TOM3_CH6_IRQ:1;
    volatile uint32_t TOM3_CH5_IRQ:1;
    volatile uint32_t TOM3_CH4_IRQ:1;
    volatile uint32_t TOM3_CH3_IRQ:1;
    volatile uint32_t TOM3_CH2_IRQ:1;
    volatile uint32_t TOM3_CH1_IRQ:1;
    volatile uint32_t TOM3_CH0_IRQ:1;
    volatile uint32_t TOM2_CH15_IRQ:1;
    volatile uint32_t TOM2_CH14_IRQ:1;
    volatile uint32_t TOM2_CH13_IRQ:1;
    volatile uint32_t TOM2_CH12_IRQ:1;
    volatile uint32_t TOM2_CH11_IRQ:1;
    volatile uint32_t TOM2_CH10_IRQ:1;
    volatile uint32_t TOM2_CH9_IRQ:1;
    volatile uint32_t TOM2_CH8_IRQ:1;
    volatile uint32_t TOM2_CH7_IRQ:1;
    volatile uint32_t TOM2_CH6_IRQ:1;
    volatile uint32_t TOM2_CH5_IRQ:1;
    volatile uint32_t TOM2_CH4_IRQ:1;
    volatile uint32_t TOM2_CH3_IRQ:1;
    volatile uint32_t TOM2_CH2_IRQ:1;
    volatile uint32_t TOM2_CH1_IRQ:1;
    volatile uint32_t TOM2_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_7_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_7_bf_type B;
} GTM_ICM_IRQG_7_bf_type;

typedef struct {
    volatile uint32_t TOM5_CH15_IRQ:1;
    volatile uint32_t TOM5_CH14_IRQ:1;
    volatile uint32_t TOM5_CH13_IRQ:1;
    volatile uint32_t TOM5_CH12_IRQ:1;
    volatile uint32_t TOM5_CH11_IRQ:1;
    volatile uint32_t TOM5_CH10_IRQ:1;
    volatile uint32_t TOM5_CH9_IRQ:1;
    volatile uint32_t TOM5_CH8_IRQ:1;
    volatile uint32_t TOM5_CH7_IRQ:1;
    volatile uint32_t TOM5_CH6_IRQ:1;
    volatile uint32_t TOM5_CH5_IRQ:1;
    volatile uint32_t TOM5_CH4_IRQ:1;
    volatile uint32_t TOM5_CH3_IRQ:1;
    volatile uint32_t TOM5_CH2_IRQ:1;
    volatile uint32_t TOM5_CH1_IRQ:1;
    volatile uint32_t TOM5_CH0_IRQ:1;
    volatile uint32_t TOM4_CH15_IRQ:1;
    volatile uint32_t TOM4_CH14_IRQ:1;
    volatile uint32_t TOM4_CH13_IRQ:1;
    volatile uint32_t TOM4_CH12_IRQ:1;
    volatile uint32_t TOM4_CH11_IRQ:1;
    volatile uint32_t TOM4_CH10_IRQ:1;
    volatile uint32_t TOM4_CH9_IRQ:1;
    volatile uint32_t TOM4_CH8_IRQ:1;
    volatile uint32_t TOM4_CH7_IRQ:1;
    volatile uint32_t TOM4_CH6_IRQ:1;
    volatile uint32_t TOM4_CH5_IRQ:1;
    volatile uint32_t TOM4_CH4_IRQ:1;
    volatile uint32_t TOM4_CH3_IRQ:1;
    volatile uint32_t TOM4_CH2_IRQ:1;
    volatile uint32_t TOM4_CH1_IRQ:1;
    volatile uint32_t TOM4_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_8_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_8_bf_type B;
} GTM_ICM_IRQG_8_bf_type;

typedef struct {
    volatile uint32_t ATOM3_CH7_IRQ:1;
    volatile uint32_t ATOM3_CH6_IRQ:1;
    volatile uint32_t ATOM3_CH5_IRQ:1;
    volatile uint32_t ATOM3_CH4_IRQ:1;
    volatile uint32_t ATOM3_CH3_IRQ:1;
    volatile uint32_t ATOM3_CH2_IRQ:1;
    volatile uint32_t ATOM3_CH1_IRQ:1;
    volatile uint32_t ATOM3_CH0_IRQ:1;
    volatile uint32_t ATOM2_CH7_IRQ:1;
    volatile uint32_t ATOM2_CH6_IRQ:1;
    volatile uint32_t ATOM2_CH5_IRQ:1;
    volatile uint32_t ATOM2_CH4_IRQ:1;
    volatile uint32_t ATOM2_CH3_IRQ:1;
    volatile uint32_t ATOM2_CH2_IRQ:1;
    volatile uint32_t ATOM2_CH1_IRQ:1;
    volatile uint32_t ATOM2_CH0_IRQ:1;
    volatile uint32_t ATOM1_CH7_IRQ:1;
    volatile uint32_t ATOM1_CH6_IRQ:1;
    volatile uint32_t ATOM1_CH5_IRQ:1;
    volatile uint32_t ATOM1_CH4_IRQ:1;
    volatile uint32_t ATOM1_CH3_IRQ:1;
    volatile uint32_t ATOM1_CH2_IRQ:1;
    volatile uint32_t ATOM1_CH1_IRQ:1;
    volatile uint32_t ATOM1_CH0_IRQ:1;
    volatile uint32_t ATOM0_CH7_IRQ:1;
    volatile uint32_t ATOM0_CH6_IRQ:1;
    volatile uint32_t ATOM0_CH5_IRQ:1;
    volatile uint32_t ATOM0_CH4_IRQ:1;
    volatile uint32_t ATOM0_CH3_IRQ:1;
    volatile uint32_t ATOM0_CH2_IRQ:1;
    volatile uint32_t ATOM0_CH1_IRQ:1;
    volatile uint32_t ATOM0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_9_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_9_bf_type B;
} GTM_ICM_IRQG_9_bf_type;

typedef struct {
    volatile uint32_t ATOM7_CH7_IRQ:1;
    volatile uint32_t ATOM7_CH6_IRQ:1;
    volatile uint32_t ATOM7_CH5_IRQ:1;
    volatile uint32_t ATOM7_CH4_IRQ:1;
    volatile uint32_t ATOM7_CH3_IRQ:1;
    volatile uint32_t ATOM7_CH2_IRQ:1;
    volatile uint32_t ATOM7_CH1_IRQ:1;
    volatile uint32_t ATOM7_CH0_IRQ:1;
    volatile uint32_t ATOM6_CH7_IRQ:1;
    volatile uint32_t ATOM6_CH6_IRQ:1;
    volatile uint32_t ATOM6_CH5_IRQ:1;
    volatile uint32_t ATOM6_CH4_IRQ:1;
    volatile uint32_t ATOM6_CH3_IRQ:1;
    volatile uint32_t ATOM6_CH2_IRQ:1;
    volatile uint32_t ATOM6_CH1_IRQ:1;
    volatile uint32_t ATOM6_CH0_IRQ:1;
    volatile uint32_t ATOM5_CH7_IRQ:1;
    volatile uint32_t ATOM5_CH6_IRQ:1;
    volatile uint32_t ATOM5_CH5_IRQ:1;
    volatile uint32_t ATOM5_CH4_IRQ:1;
    volatile uint32_t ATOM5_CH3_IRQ:1;
    volatile uint32_t ATOM5_CH2_IRQ:1;
    volatile uint32_t ATOM5_CH1_IRQ:1;
    volatile uint32_t ATOM5_CH0_IRQ:1;
    volatile uint32_t ATOM4_CH7_IRQ:1;
    volatile uint32_t ATOM4_CH6_IRQ:1;
    volatile uint32_t ATOM4_CH5_IRQ:1;
    volatile uint32_t ATOM4_CH4_IRQ:1;
    volatile uint32_t ATOM4_CH3_IRQ:1;
    volatile uint32_t ATOM4_CH2_IRQ:1;
    volatile uint32_t ATOM4_CH1_IRQ:1;
    volatile uint32_t ATOM4_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_10_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_10_bf_type B;
} GTM_ICM_IRQG_10_bf_type;

typedef struct {
    volatile uint32_t ATOM11_CH7_IRQ:1;
    volatile uint32_t ATOM11_CH6_IRQ:1;
    volatile uint32_t ATOM11_CH5_IRQ:1;
    volatile uint32_t ATOM11_CH4_IRQ:1;
    volatile uint32_t ATOM11_CH3_IRQ:1;
    volatile uint32_t ATOM11_CH2_IRQ:1;
    volatile uint32_t ATOM11_CH1_IRQ:1;
    volatile uint32_t ATOM11_CH0_IRQ:1;
    volatile uint32_t ATOM10_CH7_IRQ:1;
    volatile uint32_t ATOM10_CH6_IRQ:1;
    volatile uint32_t ATOM10_CH5_IRQ:1;
    volatile uint32_t ATOM10_CH4_IRQ:1;
    volatile uint32_t ATOM10_CH3_IRQ:1;
    volatile uint32_t ATOM10_CH2_IRQ:1;
    volatile uint32_t ATOM10_CH1_IRQ:1;
    volatile uint32_t ATOM10_CH0_IRQ:1;
    volatile uint32_t ATOM9_CH7_IRQ:1;
    volatile uint32_t ATOM9_CH6_IRQ:1;
    volatile uint32_t ATOM9_CH5_IRQ:1;
    volatile uint32_t ATOM9_CH4_IRQ:1;
    volatile uint32_t ATOM9_CH3_IRQ:1;
    volatile uint32_t ATOM9_CH2_IRQ:1;
    volatile uint32_t ATOM9_CH1_IRQ:1;
    volatile uint32_t ATOM9_CH0_IRQ:1;
    volatile uint32_t ATOM8_CH7_IRQ:1;
    volatile uint32_t ATOM8_CH6_IRQ:1;
    volatile uint32_t ATOM8_CH5_IRQ:1;
    volatile uint32_t ATOM8_CH4_IRQ:1;
    volatile uint32_t ATOM8_CH3_IRQ:1;
    volatile uint32_t ATOM8_CH2_IRQ:1;
    volatile uint32_t ATOM8_CH1_IRQ:1;
    volatile uint32_t ATOM8_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_11_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_11_bf_type B;
} GTM_ICM_IRQG_11_bf_type;

typedef struct {
    uint32_t reserved_0:6;
    volatile uint32_t DPLL_EIRQ:1;
    volatile uint32_t CMP_EIRQ:1;
    volatile uint32_t SPE3_EIRQ:1;
    volatile uint32_t SPE2_EIRQ:1;
    volatile uint32_t SPE1_EIRQ:1;
    volatile uint32_t SPE0_EIRQ:1;
    volatile uint32_t MCS7_EIRQ:1;
    volatile uint32_t MCS6_EIRQ:1;
    volatile uint32_t MCS5_EIRQ:1;
    volatile uint32_t MCS4_EIRQ:1;
    volatile uint32_t MCS3_EIRQ:1;
    volatile uint32_t MCS2_EIRQ:1;
    volatile uint32_t MCS1_EIRQ:1;
    volatile uint32_t MCS0_EIRQ:1;
    volatile uint32_t TIM7_EIRQ:1;
    volatile uint32_t TIM6_EIRQ:1;
    volatile uint32_t TIM5_EIRQ:1;
    volatile uint32_t TIM4_EIRQ:1;
    volatile uint32_t TIM3_EIRQ:1;
    volatile uint32_t TIM2_EIRQ:1;
    volatile uint32_t TIM1_EIRQ:1;
    volatile uint32_t TIM0_EIRQ:1;
    volatile uint32_t FIFO1_EIRQ:1;
    volatile uint32_t FIFO0_EIRQ:1;
    volatile uint32_t BRC_EIRQ:1;
    volatile uint32_t GTM_EIRQ:1;
}  bf_GTM_ICM_IRQG_MEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_MEI_bf_type B;
} GTM_ICM_IRQG_MEI_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t FIFO2_CH7_EIRQ:1;
    volatile uint32_t FIFO2_CH6_EIRQ:1;
    volatile uint32_t FIFO2_CH5_EIRQ:1;
    volatile uint32_t FIFO2_CH4_EIRQ:1;
    volatile uint32_t FIFO2_CH3_EIRQ:1;
    volatile uint32_t FIFO2_CH2_EIRQ:1;
    volatile uint32_t FIFO2_CH1_EIRQ:1;
    volatile uint32_t FIFO2_CH0_EIRQ:1;
    volatile uint32_t FIFO1_CH7_EIRQ:1;
    volatile uint32_t FIFO1_CH6_EIRQ:1;
    volatile uint32_t FIFO1_CH5_EIRQ:1;
    volatile uint32_t FIFO1_CH4_EIRQ:1;
    volatile uint32_t FIFO1_CH3_EIRQ:1;
    volatile uint32_t FIFO1_CH2_EIRQ:1;
    volatile uint32_t FIFO1_CH1_EIRQ:1;
    volatile uint32_t FIFO1_CH0_EIRQ:1;
    volatile uint32_t FIFO0_CH7_EIRQ:1;
    volatile uint32_t FIFO0_CH6_EIRQ:1;
    volatile uint32_t FIFO0_CH5_EIRQ:1;
    volatile uint32_t FIFO0_CH4_EIRQ:1;
    volatile uint32_t FIFO0_CH3_EIRQ:1;
    volatile uint32_t FIFO0_CH2_EIRQ:1;
    volatile uint32_t FIFO0_CH1_EIRQ:1;
    volatile uint32_t FIFO0_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CEI0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CEI0_bf_type B;
} GTM_ICM_IRQG_CEI0_bf_type;

typedef struct {
    volatile uint32_t TIM3_CH7_EIRQ:1;
    volatile uint32_t TIM3_CH6_EIRQ:1;
    volatile uint32_t TIM3_CH5_EIRQ:1;
    volatile uint32_t TIM3_CH4_EIRQ:1;
    volatile uint32_t TIM3_CH3_EIRQ:1;
    volatile uint32_t TIM3_CH2_EIRQ:1;
    volatile uint32_t TIM3_CH1_EIRQ:1;
    volatile uint32_t TIM3_CH0_EIRQ:1;
    volatile uint32_t TIM2_CH7_EIRQ:1;
    volatile uint32_t TIM2_CH6_EIRQ:1;
    volatile uint32_t TIM2_CH5_EIRQ:1;
    volatile uint32_t TIM2_CH4_EIRQ:1;
    volatile uint32_t TIM2_CH3_EIRQ:1;
    volatile uint32_t TIM2_CH2_EIRQ:1;
    volatile uint32_t TIM2_CH1_EIRQ:1;
    volatile uint32_t TIM2_CH0_EIRQ:1;
    volatile uint32_t TIM1_CH7_EIRQ:1;
    volatile uint32_t TIM1_CH6_EIRQ:1;
    volatile uint32_t TIM1_CH5_EIRQ:1;
    volatile uint32_t TIM1_CH4_EIRQ:1;
    volatile uint32_t TIM1_CH3_EIRQ:1;
    volatile uint32_t TIM1_CH2_EIRQ:1;
    volatile uint32_t TIM1_CH1_EIRQ:1;
    volatile uint32_t TIM1_CH0_EIRQ:1;
    volatile uint32_t TIM0_CH7_EIRQ:1;
    volatile uint32_t TIM0_CH6_EIRQ:1;
    volatile uint32_t TIM0_CH5_EIRQ:1;
    volatile uint32_t TIM0_CH4_EIRQ:1;
    volatile uint32_t TIM0_CH3_EIRQ:1;
    volatile uint32_t TIM0_CH2_EIRQ:1;
    volatile uint32_t TIM0_CH1_EIRQ:1;
    volatile uint32_t TIM0_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CEI1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CEI1_bf_type B;
} GTM_ICM_IRQG_CEI1_bf_type;

typedef struct {
    volatile uint32_t TIM7_CH7_EIRQ:1;
    volatile uint32_t TIM7_CH6_EIRQ:1;
    volatile uint32_t TIM7_CH5_EIRQ:1;
    volatile uint32_t TIM7_CH4_EIRQ:1;
    volatile uint32_t TIM7_CH3_EIRQ:1;
    volatile uint32_t TIM7_CH2_EIRQ:1;
    volatile uint32_t TIM7_CH1_EIRQ:1;
    volatile uint32_t TIM7_CH0_EIRQ:1;
    volatile uint32_t TIM6_CH7_EIRQ:1;
    volatile uint32_t TIM6_CH6_EIRQ:1;
    volatile uint32_t TIM6_CH5_EIRQ:1;
    volatile uint32_t TIM6_CH4_EIRQ:1;
    volatile uint32_t TIM6_CH3_EIRQ:1;
    volatile uint32_t TIM6_CH2_EIRQ:1;
    volatile uint32_t TIM6_CH1_EIRQ:1;
    volatile uint32_t TIM6_CH0_EIRQ:1;
    volatile uint32_t TIM5_CH7_EIRQ:1;
    volatile uint32_t TIM5_CH6_EIRQ:1;
    volatile uint32_t TIM5_CH5_EIRQ:1;
    volatile uint32_t TIM5_CH4_EIRQ:1;
    volatile uint32_t TIM5_CH3_EIRQ:1;
    volatile uint32_t TIM5_CH2_EIRQ:1;
    volatile uint32_t TIM5_CH1_EIRQ:1;
    volatile uint32_t TIM5_CH0_EIRQ:1;
    volatile uint32_t TIM4_CH7_EIRQ:1;
    volatile uint32_t TIM4_CH6_EIRQ:1;
    volatile uint32_t TIM4_CH5_EIRQ:1;
    volatile uint32_t TIM4_CH4_EIRQ:1;
    volatile uint32_t TIM4_CH3_EIRQ:1;
    volatile uint32_t TIM4_CH2_EIRQ:1;
    volatile uint32_t TIM4_CH1_EIRQ:1;
    volatile uint32_t TIM4_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CEI2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CEI2_bf_type B;
} GTM_ICM_IRQG_CEI2_bf_type;

typedef struct {
    volatile uint32_t MCS3_CH7_EIRQ:1;
    volatile uint32_t MCS3_CH6_EIRQ:1;
    volatile uint32_t MCS3_CH5_EIRQ:1;
    volatile uint32_t MCS3_CH4_EIRQ:1;
    volatile uint32_t MCS3_CH3_EIRQ:1;
    volatile uint32_t MCS3_CH2_EIRQ:1;
    volatile uint32_t MCS3_CH1_EIRQ:1;
    volatile uint32_t MCS3_CH0_EIRQ:1;
    volatile uint32_t MCS2_CH7_EIRQ:1;
    volatile uint32_t MCS2_CH6_EIRQ:1;
    volatile uint32_t MCS2_CH5_EIRQ:1;
    volatile uint32_t MCS2_CH4_EIRQ:1;
    volatile uint32_t MCS2_CH3_EIRQ:1;
    volatile uint32_t MCS2_CH2_EIRQ:1;
    volatile uint32_t MCS2_CH1_EIRQ:1;
    volatile uint32_t MCS2_CH0_EIRQ:1;
    volatile uint32_t MCS1_CH7_EIRQ:1;
    volatile uint32_t MCS1_CH6_EIRQ:1;
    volatile uint32_t MCS1_CH5_EIRQ:1;
    volatile uint32_t MCS1_CH4_EIRQ:1;
    volatile uint32_t MCS1_CH3_EIRQ:1;
    volatile uint32_t MCS1_CH2_EIRQ:1;
    volatile uint32_t MCS1_CH1_EIRQ:1;
    volatile uint32_t MCS1_CH0_EIRQ:1;
    volatile uint32_t MCS0_CH7_EIRQ:1;
    volatile uint32_t MCS0_CH6_EIRQ:1;
    volatile uint32_t MCS0_CH5_EIRQ:1;
    volatile uint32_t MCS0_CH4_EIRQ:1;
    volatile uint32_t MCS0_CH3_EIRQ:1;
    volatile uint32_t MCS0_CH2_EIRQ:1;
    volatile uint32_t MCS0_CH1_EIRQ:1;
    volatile uint32_t MCS0_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CEI3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CEI3_bf_type B;
} GTM_ICM_IRQG_CEI3_bf_type;

typedef struct {
    volatile uint32_t MCS7_CH7_EIRQ:1;
    volatile uint32_t MCS7_CH6_EIRQ:1;
    volatile uint32_t MCS7_CH5_EIRQ:1;
    volatile uint32_t MCS7_CH4_EIRQ:1;
    volatile uint32_t MCS7_CH3_EIRQ:1;
    volatile uint32_t MCS7_CH2_EIRQ:1;
    volatile uint32_t MCS7_CH1_EIRQ:1;
    volatile uint32_t MCS7_CH0_EIRQ:1;
    volatile uint32_t MCS6_CH7_EIRQ:1;
    volatile uint32_t MCS6_CH6_EIRQ:1;
    volatile uint32_t MCS6_CH5_EIRQ:1;
    volatile uint32_t MCS6_CH4_EIRQ:1;
    volatile uint32_t MCS6_CH3_EIRQ:1;
    volatile uint32_t MCS6_CH2_EIRQ:1;
    volatile uint32_t MCS6_CH1_EIRQ:1;
    volatile uint32_t MCS6_CH0_EIRQ:1;
    volatile uint32_t MCS5_CH7_EIRQ:1;
    volatile uint32_t MCS5_CH6_EIRQ:1;
    volatile uint32_t MCS5_CH5_EIRQ:1;
    volatile uint32_t MCS5_CH4_EIRQ:1;
    volatile uint32_t MCS5_CH3_EIRQ:1;
    volatile uint32_t MCS5_CH2_EIRQ:1;
    volatile uint32_t MCS5_CH1_EIRQ:1;
    volatile uint32_t MCS5_CH0_EIRQ:1;
    volatile uint32_t MCS4_CH7_EIRQ:1;
    volatile uint32_t MCS4_CH6_EIRQ:1;
    volatile uint32_t MCS4_CH5_EIRQ:1;
    volatile uint32_t MCS4_CH4_EIRQ:1;
    volatile uint32_t MCS4_CH3_EIRQ:1;
    volatile uint32_t MCS4_CH2_EIRQ:1;
    volatile uint32_t MCS4_CH1_EIRQ:1;
    volatile uint32_t MCS4_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CEI4_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CEI4_bf_type B;
} GTM_ICM_IRQG_CEI4_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t MCS_CH7_EIRQ:1;
    volatile uint32_t MCS_CH6_EIRQ:1;
    volatile uint32_t MCS_CH5_EIRQ:1;
    volatile uint32_t MCS_CH4_EIRQ:1;
    volatile uint32_t MCS_CH3_EIRQ:1;
    volatile uint32_t MCS_CH2_EIRQ:1;
    volatile uint32_t MCS_CH1_EIRQ:1;
    volatile uint32_t MCS_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_MCS_CEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_MCS_CEI_bf_type B;
} GTM_ICM_IRQG_MCS_CEI_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSM_M2_CH7_EIRQ:1;
    volatile uint32_t PSM_M2_CH6_EIRQ:1;
    volatile uint32_t PSM_M2_CH5_EIRQ:1;
    volatile uint32_t PSM_M2_CH4_EIRQ:1;
    volatile uint32_t PSM_M2_CH3_EIRQ:1;
    volatile uint32_t PSM_M2_CH2_EIRQ:1;
    volatile uint32_t PSM_M2_CH1_EIRQ:1;
    volatile uint32_t PSM_M2_CH0_EIRQ:1;
    volatile uint32_t PSM_M1_CH7_EIRQ:1;
    volatile uint32_t PSM_M1_CH6_EIRQ:1;
    volatile uint32_t PSM_M1_CH5_EIRQ:1;
    volatile uint32_t PSM_M1_CH4_EIRQ:1;
    volatile uint32_t PSM_M1_CH3_EIRQ:1;
    volatile uint32_t PSM_M1_CH2_EIRQ:1;
    volatile uint32_t PSM_M1_CH1_EIRQ:1;
    volatile uint32_t PSM_M1_CH0_EIRQ:1;
    volatile uint32_t PSM_M0_CH7_EIRQ:1;
    volatile uint32_t PSM_M0_CH6_EIRQ:1;
    volatile uint32_t PSM_M0_CH5_EIRQ:1;
    volatile uint32_t PSM_M0_CH4_EIRQ:1;
    volatile uint32_t PSM_M0_CH3_EIRQ:1;
    volatile uint32_t PSM_M0_CH2_EIRQ:1;
    volatile uint32_t PSM_M0_CH1_EIRQ:1;
    volatile uint32_t PSM_M0_CH0_EIRQ:1;
}  bf_GTM_ICM_IRQG_PSM_0_CEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_PSM_0_CEI_bf_type B;
} GTM_ICM_IRQG_PSM_0_CEI_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t SPE5_EIRQ:1;
    volatile uint32_t SPE4_EIRQ:1;
    volatile uint32_t SPE3_EIRQ:1;
    volatile uint32_t SPE2_EIRQ:1;
    volatile uint32_t SPE1_EIRQ:1;
    volatile uint32_t SPE0_EIRQ:1;
}  bf_GTM_ICM_IRQG_SPE_CEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_SPE_CEI_bf_type B;
} GTM_ICM_IRQG_SPE_CEI_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t FIFO_M3_EIRQ:1;
    volatile uint32_t SPE_M3_EIRQ:1;
    volatile uint32_t MCS_M3_EIRQ:1;
    volatile uint32_t TIM_M3_EIRQ:1;
    uint32_t reserved_1:4;
    volatile uint32_t FIFO_M2_EIRQ:1;
    volatile uint32_t SPE_M2_EIRQ:1;
    volatile uint32_t MCS_M2_EIRQ:1;
    volatile uint32_t TIM_M2_EIRQ:1;
    uint32_t reserved_2:4;
    volatile uint32_t FIFO_M1_EIRQ:1;
    volatile uint32_t SPE_M1_EIRQ:1;
    volatile uint32_t MCS_M1_EIRQ:1;
    volatile uint32_t TIM_M1_EIRQ:1;
    uint32_t reserved_3:4;
    volatile uint32_t FIFO_M0_EIRQ:1;
    volatile uint32_t SPE_M0_EIRQ:1;
    volatile uint32_t MCS_M0_EIRQ:1;
    volatile uint32_t TIM_M0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CLS_0_MEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CLS_0_MEI_bf_type B;
} GTM_ICM_IRQG_CLS_0_MEI_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t FIFO_M3_EIRQ:1;
    volatile uint32_t SPE_M3_EIRQ:1;
    volatile uint32_t MCS_M3_EIRQ:1;
    volatile uint32_t TIM_M3_EIRQ:1;
    uint32_t reserved_1:4;
    volatile uint32_t FIFO_M2_EIRQ:1;
    volatile uint32_t SPE_M2_EIRQ:1;
    volatile uint32_t MCS_M2_EIRQ:1;
    volatile uint32_t TIM_M2_EIRQ:1;
    uint32_t reserved_2:4;
    volatile uint32_t FIFO_M1_EIRQ:1;
    volatile uint32_t SPE_M1_EIRQ:1;
    volatile uint32_t MCS_M1_EIRQ:1;
    volatile uint32_t TIM_M1_EIRQ:1;
    uint32_t reserved_3:4;
    volatile uint32_t FIFO_M0_EIRQ:1;
    volatile uint32_t SPE_M0_EIRQ:1;
    volatile uint32_t MCS_M0_EIRQ:1;
    volatile uint32_t TIM_M0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CLS_1_MEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CLS_1_MEI_bf_type B;
} GTM_ICM_IRQG_CLS_1_MEI_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t FIFO_M3_EIRQ:1;
    volatile uint32_t SPE_M3_EIRQ:1;
    volatile uint32_t MCS_M3_EIRQ:1;
    volatile uint32_t TIM_M3_EIRQ:1;
    uint32_t reserved_1:4;
    volatile uint32_t FIFO_M2_EIRQ:1;
    volatile uint32_t SPE_M2_EIRQ:1;
    volatile uint32_t MCS_M2_EIRQ:1;
    volatile uint32_t TIM_M2_EIRQ:1;
    uint32_t reserved_2:4;
    volatile uint32_t FIFO_M1_EIRQ:1;
    volatile uint32_t SPE_M1_EIRQ:1;
    volatile uint32_t MCS_M1_EIRQ:1;
    volatile uint32_t TIM_M1_EIRQ:1;
    uint32_t reserved_3:4;
    volatile uint32_t FIFO_M0_EIRQ:1;
    volatile uint32_t SPE_M0_EIRQ:1;
    volatile uint32_t MCS_M0_EIRQ:1;
    volatile uint32_t TIM_M0_EIRQ:1;
}  bf_GTM_ICM_IRQG_CLS_2_MEI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_CLS_2_MEI_bf_type B;
} GTM_ICM_IRQG_CLS_2_MEI_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t MCS_CH7_IRQ:1;
    volatile uint32_t MCS_CH6_IRQ:1;
    volatile uint32_t MCS_CH5_IRQ:1;
    volatile uint32_t MCS_CH4_IRQ:1;
    volatile uint32_t MCS_CH3_IRQ:1;
    volatile uint32_t MCS_CH2_IRQ:1;
    volatile uint32_t MCS_CH1_IRQ:1;
    volatile uint32_t MCS_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_MCS_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_MCS_CI_bf_type B;
} GTM_ICM_IRQG_MCS_CI_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSM_M2_CH7_IRQ:1;
    volatile uint32_t PSM_M2_CH6_IRQ:1;
    volatile uint32_t PSM_M2_CH5_IRQ:1;
    volatile uint32_t PSM_M2_CH4_IRQ:1;
    volatile uint32_t PSM_M2_CH3_IRQ:1;
    volatile uint32_t PSM_M2_CH2_IRQ:1;
    volatile uint32_t PSM_M2_CH1_IRQ:1;
    volatile uint32_t PSM_M2_CH0_IRQ:1;
    volatile uint32_t PSM_M1_CH7_IRQ:1;
    volatile uint32_t PSM_M1_CH6_IRQ:1;
    volatile uint32_t PSM_M1_CH5_IRQ:1;
    volatile uint32_t PSM_M1_CH4_IRQ:1;
    volatile uint32_t PSM_M1_CH3_IRQ:1;
    volatile uint32_t PSM_M1_CH2_IRQ:1;
    volatile uint32_t PSM_M1_CH1_IRQ:1;
    volatile uint32_t PSM_M1_CH0_IRQ:1;
    volatile uint32_t PSM_M0_CH7_IRQ:1;
    volatile uint32_t PSM_M0_CH6_IRQ:1;
    volatile uint32_t PSM_M0_CH5_IRQ:1;
    volatile uint32_t PSM_M0_CH4_IRQ:1;
    volatile uint32_t PSM_M0_CH3_IRQ:1;
    volatile uint32_t PSM_M0_CH2_IRQ:1;
    volatile uint32_t PSM_M0_CH1_IRQ:1;
    volatile uint32_t PSM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_PSM_0_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_PSM_0_CI_bf_type B;
} GTM_ICM_IRQG_PSM_0_CI_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t SPE5_IRQ:1;
    volatile uint32_t SPE4_IRQ:1;
    volatile uint32_t SPE3_IRQ:1;
    volatile uint32_t SPE2_IRQ:1;
    volatile uint32_t SPE1_IRQ:1;
    volatile uint32_t SPE0_IRQ:1;
}  bf_GTM_ICM_IRQG_SPE_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_SPE_CI_bf_type B;
} GTM_ICM_IRQG_SPE_CI_bf_type;

typedef struct {
    volatile uint32_t ATOM_M3_CH7_IRQ:1;
    volatile uint32_t ATOM_M3_CH6_IRQ:1;
    volatile uint32_t ATOM_M3_CH5_IRQ:1;
    volatile uint32_t ATOM_M3_CH4_IRQ:1;
    volatile uint32_t ATOM_M3_CH3_IRQ:1;
    volatile uint32_t ATOM_M3_CH2_IRQ:1;
    volatile uint32_t ATOM_M3_CH1_IRQ:1;
    volatile uint32_t ATOM_M3_CH0_IRQ:1;
    volatile uint32_t ATOM_M2_CH7_IRQ:1;
    volatile uint32_t ATOM_M2_CH6_IRQ:1;
    volatile uint32_t ATOM_M2_CH5_IRQ:1;
    volatile uint32_t ATOM_M2_CH4_IRQ:1;
    volatile uint32_t ATOM_M2_CH3_IRQ:1;
    volatile uint32_t ATOM_M2_CH2_IRQ:1;
    volatile uint32_t ATOM_M2_CH1_IRQ:1;
    volatile uint32_t ATOM_M2_CH0_IRQ:1;
    volatile uint32_t ATOM_M1_CH7_IRQ:1;
    volatile uint32_t ATOM_M1_CH6_IRQ:1;
    volatile uint32_t ATOM_M1_CH5_IRQ:1;
    volatile uint32_t ATOM_M1_CH4_IRQ:1;
    volatile uint32_t ATOM_M1_CH3_IRQ:1;
    volatile uint32_t ATOM_M1_CH2_IRQ:1;
    volatile uint32_t ATOM_M1_CH1_IRQ:1;
    volatile uint32_t ATOM_M1_CH0_IRQ:1;
    volatile uint32_t ATOM_M0_CH7_IRQ:1;
    volatile uint32_t ATOM_M0_CH6_IRQ:1;
    volatile uint32_t ATOM_M0_CH5_IRQ:1;
    volatile uint32_t ATOM_M0_CH4_IRQ:1;
    volatile uint32_t ATOM_M0_CH3_IRQ:1;
    volatile uint32_t ATOM_M0_CH2_IRQ:1;
    volatile uint32_t ATOM_M0_CH1_IRQ:1;
    volatile uint32_t ATOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_ATOM_0_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_ATOM_0_CI_bf_type B;
} GTM_ICM_IRQG_ATOM_0_CI_bf_type;

typedef struct {
    volatile uint32_t ATOM_M3_CH7_IRQ:1;
    volatile uint32_t ATOM_M3_CH6_IRQ:1;
    volatile uint32_t ATOM_M3_CH5_IRQ:1;
    volatile uint32_t ATOM_M3_CH4_IRQ:1;
    volatile uint32_t ATOM_M3_CH3_IRQ:1;
    volatile uint32_t ATOM_M3_CH2_IRQ:1;
    volatile uint32_t ATOM_M3_CH1_IRQ:1;
    volatile uint32_t ATOM_M3_CH0_IRQ:1;
    volatile uint32_t ATOM_M2_CH7_IRQ:1;
    volatile uint32_t ATOM_M2_CH6_IRQ:1;
    volatile uint32_t ATOM_M2_CH5_IRQ:1;
    volatile uint32_t ATOM_M2_CH4_IRQ:1;
    volatile uint32_t ATOM_M2_CH3_IRQ:1;
    volatile uint32_t ATOM_M2_CH2_IRQ:1;
    volatile uint32_t ATOM_M2_CH1_IRQ:1;
    volatile uint32_t ATOM_M2_CH0_IRQ:1;
    volatile uint32_t ATOM_M1_CH7_IRQ:1;
    volatile uint32_t ATOM_M1_CH6_IRQ:1;
    volatile uint32_t ATOM_M1_CH5_IRQ:1;
    volatile uint32_t ATOM_M1_CH4_IRQ:1;
    volatile uint32_t ATOM_M1_CH3_IRQ:1;
    volatile uint32_t ATOM_M1_CH2_IRQ:1;
    volatile uint32_t ATOM_M1_CH1_IRQ:1;
    volatile uint32_t ATOM_M1_CH0_IRQ:1;
    volatile uint32_t ATOM_M0_CH7_IRQ:1;
    volatile uint32_t ATOM_M0_CH6_IRQ:1;
    volatile uint32_t ATOM_M0_CH5_IRQ:1;
    volatile uint32_t ATOM_M0_CH4_IRQ:1;
    volatile uint32_t ATOM_M0_CH3_IRQ:1;
    volatile uint32_t ATOM_M0_CH2_IRQ:1;
    volatile uint32_t ATOM_M0_CH1_IRQ:1;
    volatile uint32_t ATOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_ATOM_1_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_ATOM_1_CI_bf_type B;
} GTM_ICM_IRQG_ATOM_1_CI_bf_type;

typedef struct {
    volatile uint32_t ATOM_M3_CH7_IRQ:1;
    volatile uint32_t ATOM_M3_CH6_IRQ:1;
    volatile uint32_t ATOM_M3_CH5_IRQ:1;
    volatile uint32_t ATOM_M3_CH4_IRQ:1;
    volatile uint32_t ATOM_M3_CH3_IRQ:1;
    volatile uint32_t ATOM_M3_CH2_IRQ:1;
    volatile uint32_t ATOM_M3_CH1_IRQ:1;
    volatile uint32_t ATOM_M3_CH0_IRQ:1;
    volatile uint32_t ATOM_M2_CH7_IRQ:1;
    volatile uint32_t ATOM_M2_CH6_IRQ:1;
    volatile uint32_t ATOM_M2_CH5_IRQ:1;
    volatile uint32_t ATOM_M2_CH4_IRQ:1;
    volatile uint32_t ATOM_M2_CH3_IRQ:1;
    volatile uint32_t ATOM_M2_CH2_IRQ:1;
    volatile uint32_t ATOM_M2_CH1_IRQ:1;
    volatile uint32_t ATOM_M2_CH0_IRQ:1;
    volatile uint32_t ATOM_M1_CH7_IRQ:1;
    volatile uint32_t ATOM_M1_CH6_IRQ:1;
    volatile uint32_t ATOM_M1_CH5_IRQ:1;
    volatile uint32_t ATOM_M1_CH4_IRQ:1;
    volatile uint32_t ATOM_M1_CH3_IRQ:1;
    volatile uint32_t ATOM_M1_CH2_IRQ:1;
    volatile uint32_t ATOM_M1_CH1_IRQ:1;
    volatile uint32_t ATOM_M1_CH0_IRQ:1;
    volatile uint32_t ATOM_M0_CH7_IRQ:1;
    volatile uint32_t ATOM_M0_CH6_IRQ:1;
    volatile uint32_t ATOM_M0_CH5_IRQ:1;
    volatile uint32_t ATOM_M0_CH4_IRQ:1;
    volatile uint32_t ATOM_M0_CH3_IRQ:1;
    volatile uint32_t ATOM_M0_CH2_IRQ:1;
    volatile uint32_t ATOM_M0_CH1_IRQ:1;
    volatile uint32_t ATOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_ATOM_2_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_ATOM_2_CI_bf_type B;
} GTM_ICM_IRQG_ATOM_2_CI_bf_type;

typedef struct {
    volatile uint32_t TOM_M1_CH15_IRQ:1;
    volatile uint32_t TOM_M1_CH14_IRQ:1;
    volatile uint32_t TOM_M1_CH13_IRQ:1;
    volatile uint32_t TOM_M1_CH12_IRQ:1;
    volatile uint32_t TOM_M1_CH11_IRQ:1;
    volatile uint32_t TOM_M1_CH10_IRQ:1;
    volatile uint32_t TOM_M1_CH9_IRQ:1;
    volatile uint32_t TOM_M1_CH8_IRQ:1;
    volatile uint32_t TOM_M1_CH7_IRQ:1;
    volatile uint32_t TOM_M1_CH6_IRQ:1;
    volatile uint32_t TOM_M1_CH5_IRQ:1;
    volatile uint32_t TOM_M1_CH4_IRQ:1;
    volatile uint32_t TOM_M1_CH3_IRQ:1;
    volatile uint32_t TOM_M1_CH2_IRQ:1;
    volatile uint32_t TOM_M1_CH1_IRQ:1;
    volatile uint32_t TOM_M1_CH0_IRQ:1;
    volatile uint32_t TOM_M0_CH15_IRQ:1;
    volatile uint32_t TOM_M0_CH14_IRQ:1;
    volatile uint32_t TOM_M0_CH13_IRQ:1;
    volatile uint32_t TOM_M0_CH12_IRQ:1;
    volatile uint32_t TOM_M0_CH11_IRQ:1;
    volatile uint32_t TOM_M0_CH10_IRQ:1;
    volatile uint32_t TOM_M0_CH9_IRQ:1;
    volatile uint32_t TOM_M0_CH8_IRQ:1;
    volatile uint32_t TOM_M0_CH7_IRQ:1;
    volatile uint32_t TOM_M0_CH6_IRQ:1;
    volatile uint32_t TOM_M0_CH5_IRQ:1;
    volatile uint32_t TOM_M0_CH4_IRQ:1;
    volatile uint32_t TOM_M0_CH3_IRQ:1;
    volatile uint32_t TOM_M0_CH2_IRQ:1;
    volatile uint32_t TOM_M0_CH1_IRQ:1;
    volatile uint32_t TOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_TOM_0_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_TOM_0_CI_bf_type B;
} GTM_ICM_IRQG_TOM_0_CI_bf_type;

typedef struct {
    volatile uint32_t TOM_M1_CH15_IRQ:1;
    volatile uint32_t TOM_M1_CH14_IRQ:1;
    volatile uint32_t TOM_M1_CH13_IRQ:1;
    volatile uint32_t TOM_M1_CH12_IRQ:1;
    volatile uint32_t TOM_M1_CH11_IRQ:1;
    volatile uint32_t TOM_M1_CH10_IRQ:1;
    volatile uint32_t TOM_M1_CH9_IRQ:1;
    volatile uint32_t TOM_M1_CH8_IRQ:1;
    volatile uint32_t TOM_M1_CH7_IRQ:1;
    volatile uint32_t TOM_M1_CH6_IRQ:1;
    volatile uint32_t TOM_M1_CH5_IRQ:1;
    volatile uint32_t TOM_M1_CH4_IRQ:1;
    volatile uint32_t TOM_M1_CH3_IRQ:1;
    volatile uint32_t TOM_M1_CH2_IRQ:1;
    volatile uint32_t TOM_M1_CH1_IRQ:1;
    volatile uint32_t TOM_M1_CH0_IRQ:1;
    volatile uint32_t TOM_M0_CH15_IRQ:1;
    volatile uint32_t TOM_M0_CH14_IRQ:1;
    volatile uint32_t TOM_M0_CH13_IRQ:1;
    volatile uint32_t TOM_M0_CH12_IRQ:1;
    volatile uint32_t TOM_M0_CH11_IRQ:1;
    volatile uint32_t TOM_M0_CH10_IRQ:1;
    volatile uint32_t TOM_M0_CH9_IRQ:1;
    volatile uint32_t TOM_M0_CH8_IRQ:1;
    volatile uint32_t TOM_M0_CH7_IRQ:1;
    volatile uint32_t TOM_M0_CH6_IRQ:1;
    volatile uint32_t TOM_M0_CH5_IRQ:1;
    volatile uint32_t TOM_M0_CH4_IRQ:1;
    volatile uint32_t TOM_M0_CH3_IRQ:1;
    volatile uint32_t TOM_M0_CH2_IRQ:1;
    volatile uint32_t TOM_M0_CH1_IRQ:1;
    volatile uint32_t TOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_TOM_1_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_TOM_1_CI_bf_type B;
} GTM_ICM_IRQG_TOM_1_CI_bf_type;

typedef struct {
    volatile uint32_t TOM_M1_CH15_IRQ:1;
    volatile uint32_t TOM_M1_CH14_IRQ:1;
    volatile uint32_t TOM_M1_CH13_IRQ:1;
    volatile uint32_t TOM_M1_CH12_IRQ:1;
    volatile uint32_t TOM_M1_CH11_IRQ:1;
    volatile uint32_t TOM_M1_CH10_IRQ:1;
    volatile uint32_t TOM_M1_CH9_IRQ:1;
    volatile uint32_t TOM_M1_CH8_IRQ:1;
    volatile uint32_t TOM_M1_CH7_IRQ:1;
    volatile uint32_t TOM_M1_CH6_IRQ:1;
    volatile uint32_t TOM_M1_CH5_IRQ:1;
    volatile uint32_t TOM_M1_CH4_IRQ:1;
    volatile uint32_t TOM_M1_CH3_IRQ:1;
    volatile uint32_t TOM_M1_CH2_IRQ:1;
    volatile uint32_t TOM_M1_CH1_IRQ:1;
    volatile uint32_t TOM_M1_CH0_IRQ:1;
    volatile uint32_t TOM_M0_CH15_IRQ:1;
    volatile uint32_t TOM_M0_CH14_IRQ:1;
    volatile uint32_t TOM_M0_CH13_IRQ:1;
    volatile uint32_t TOM_M0_CH12_IRQ:1;
    volatile uint32_t TOM_M0_CH11_IRQ:1;
    volatile uint32_t TOM_M0_CH10_IRQ:1;
    volatile uint32_t TOM_M0_CH9_IRQ:1;
    volatile uint32_t TOM_M0_CH8_IRQ:1;
    volatile uint32_t TOM_M0_CH7_IRQ:1;
    volatile uint32_t TOM_M0_CH6_IRQ:1;
    volatile uint32_t TOM_M0_CH5_IRQ:1;
    volatile uint32_t TOM_M0_CH4_IRQ:1;
    volatile uint32_t TOM_M0_CH3_IRQ:1;
    volatile uint32_t TOM_M0_CH2_IRQ:1;
    volatile uint32_t TOM_M0_CH1_IRQ:1;
    volatile uint32_t TOM_M0_CH0_IRQ:1;
}  bf_GTM_ICM_IRQG_TOM_2_CI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ICM_IRQG_TOM_2_CI_bf_type B;
} GTM_ICM_IRQG_TOM_2_CI_bf_type;

typedef struct {
    GTM_ICM_IRQG_0_bf_type IRQG_0; 
    GTM_ICM_IRQG_1_bf_type IRQG_1; 
    GTM_ICM_IRQG_2_bf_type IRQG_2; 
    GTM_ICM_IRQG_3_bf_type IRQG_3; 
    GTM_ICM_IRQG_4_bf_type IRQG_4; 
    GTM_ICM_IRQG_5_bf_type IRQG_5; 
    GTM_ICM_IRQG_6_bf_type IRQG_6; 
    GTM_ICM_IRQG_7_bf_type IRQG_7; 
    GTM_ICM_IRQG_8_bf_type IRQG_8; 
    GTM_ICM_IRQG_9_bf_type IRQG_9; 
    GTM_ICM_IRQG_10_bf_type IRQG_10; 
    GTM_ICM_IRQG_11_bf_type IRQG_11; 
    GTM_ICM_IRQG_MEI_bf_type IRQG_MEI; 
    GTM_ICM_IRQG_CEI0_bf_type IRQG_CEI0; 
    GTM_ICM_IRQG_CEI1_bf_type IRQG_CEI1; 
    GTM_ICM_IRQG_CEI2_bf_type IRQG_CEI2; 
    GTM_ICM_IRQG_CEI3_bf_type IRQG_CEI3; 
    GTM_ICM_IRQG_CEI4_bf_type IRQG_CEI4; 
    volatile uint32_t reserved_0[7];
    GTM_ICM_IRQG_MCS_CEI_bf_type IRQG_MCS_CEI[10]; 
    volatile uint32_t reserved_1[6];
    GTM_ICM_IRQG_PSM_0_CEI_bf_type IRQG_PSM_0_CEI; 
    volatile uint32_t reserved_2[3];
    GTM_ICM_IRQG_SPE_CEI_bf_type IRQG_SPE_CEI; 
    volatile uint32_t reserved_3[22];
    GTM_ICM_IRQG_CLS_0_MEI_bf_type IRQG_CLS_0_MEI; 
    GTM_ICM_IRQG_CLS_1_MEI_bf_type IRQG_CLS_1_MEI; 
    GTM_ICM_IRQG_CLS_2_MEI_bf_type IRQG_CLS_2_MEI; 
    volatile uint32_t reserved_4;
    GTM_ICM_IRQG_MCS_CI_bf_type IRQG_MCS_CI[10]; 
    volatile uint32_t reserved_5[6];
    GTM_ICM_IRQG_PSM_0_CI_bf_type IRQG_PSM_0_CI; 
    volatile uint32_t reserved_6[3];
    GTM_ICM_IRQG_SPE_CI_bf_type IRQG_SPE_CI; 
    volatile uint32_t reserved_7[7];
    GTM_ICM_IRQG_ATOM_0_CI_bf_type IRQG_ATOM_0_CI; 
    GTM_ICM_IRQG_ATOM_1_CI_bf_type IRQG_ATOM_1_CI; 
    GTM_ICM_IRQG_ATOM_2_CI_bf_type IRQG_ATOM_2_CI; 
    volatile uint32_t reserved_8;
    GTM_ICM_IRQG_TOM_0_CI_bf_type IRQG_TOM_0_CI; 
    GTM_ICM_IRQG_TOM_1_CI_bf_type IRQG_TOM_1_CI; 
    GTM_ICM_IRQG_TOM_2_CI_bf_type IRQG_TOM_2_CI; 
    volatile uint32_t reserved_9[21];
} GTM_ICM_bf_type;

/*************************************************************************
 * module GTM.SPE
 *************************************************************************/

typedef struct {
    volatile uint32_t FSOL:8;
    volatile uint32_t ETRIG_SEL:1;
    volatile uint32_t NIP:3;
    volatile uint32_t PDIR:1;
    volatile uint32_t PIP:3;
    volatile uint32_t ADIR:1;
    volatile uint32_t AIP:3;
    uint32_t reserved_0:1;
    volatile uint32_t SPE_PAT_PTR:3;
    volatile uint32_t FSOM:1;
    volatile uint32_t TIM_SEL:1;
    volatile uint32_t TRIG_SEL:2;
    volatile uint32_t SIE2:1;
    volatile uint32_t SIE1:1;
    volatile uint32_t SIE0:1;
    volatile uint32_t EN:1;
}  bf_GTM_SPE_CTRL_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_CTRL_STAT_bf_type B;
} GTM_SPE_CTRL_STAT_bf_type;

typedef struct {
    volatile uint32_t IP7_PAT:3;
    volatile uint32_t IP7_VAL:1;
    volatile uint32_t IP6_PAT:3;
    volatile uint32_t IP6_VAL:1;
    volatile uint32_t IP5_PAT:3;
    volatile uint32_t IP5_VAL:1;
    volatile uint32_t IP4_PAT:3;
    volatile uint32_t IP4_VAL:1;
    volatile uint32_t IP3_PAT:3;
    volatile uint32_t IP3_VAL:1;
    volatile uint32_t IP2_PAT:3;
    volatile uint32_t IP2_VAL:1;
    volatile uint32_t IP1_PAT:3;
    volatile uint32_t IP1_VAL:1;
    volatile uint32_t IP0_PAT:3;
    volatile uint32_t IP0_VAL:1;
}  bf_GTM_SPE_PAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_PAT_bf_type B;
} GTM_SPE_PAT_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT0_bf_type B;
} GTM_SPE_OUT_PAT0_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT1_bf_type B;
} GTM_SPE_OUT_PAT1_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT2_bf_type B;
} GTM_SPE_OUT_PAT2_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT3_bf_type B;
} GTM_SPE_OUT_PAT3_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT4_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT4_bf_type B;
} GTM_SPE_OUT_PAT4_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT5_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT5_bf_type B;
} GTM_SPE_OUT_PAT5_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT6_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT6_bf_type B;
} GTM_SPE_OUT_PAT6_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_PAT:16;
}  bf_GTM_SPE_OUT_PAT7_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_PAT7_bf_type B;
} GTM_SPE_OUT_PAT7_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SPE_OUT_CTRL:16;
}  bf_GTM_SPE_OUT_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_OUT_CTRL_bf_type B;
} GTM_SPE_OUT_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t SPE_RCMP:1;
    volatile uint32_t SPE_BIS:1;
    volatile uint32_t SPE_PERR:1;
    volatile uint32_t SPE_DCHG:1;
    volatile uint32_t SPE_NIPD:1;
}  bf_GTM_SPE_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_IRQ_NOTIFY_bf_type B;
} GTM_SPE_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t SPE_RCMP_IRQ_EN:1;
    volatile uint32_t SPE_BIS_IRQ_EN:1;
    volatile uint32_t SPE_PERR_IRQ_EN:1;
    volatile uint32_t SPE_DCHG_IRQ_EN:1;
    volatile uint32_t SPE_NIPD_IRQ_EN:1;
}  bf_GTM_SPE_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_IRQ_EN_bf_type B;
} GTM_SPE_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t TRG_SPE_RCMP:1;
    volatile uint32_t TRG_SPE_BIS:1;
    volatile uint32_t TRG_SPE_PERR:1;
    volatile uint32_t TRG_SPE_DCHG:1;
    volatile uint32_t TRG_SPE_NIPD:1;
}  bf_GTM_SPE_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_IRQ_FORCINT_bf_type B;
} GTM_SPE_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_SPE_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_IRQ_MODE_bf_type B;
} GTM_SPE_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t SPE_RCMP_EIRQ_EN:1;
    volatile uint32_t SPE_BIS_EIRQ_EN:1;
    volatile uint32_t SPE_PERR_EIRQ_EN:1;
    volatile uint32_t SPE_DCHG_EIRQ_EN:1;
    volatile uint32_t SPE_NIPD_EIRQ_EN:1;
}  bf_GTM_SPE_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_EIRQ_EN_bf_type B;
} GTM_SPE_EIRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t REV_CNT:24;
}  bf_GTM_SPE_REV_CNT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_REV_CNT_bf_type B;
} GTM_SPE_REV_CNT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t REV_CMP:24;
}  bf_GTM_SPE_REV_CMP_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_REV_CMP_bf_type B;
} GTM_SPE_REV_CMP_bf_type;

typedef struct {
    uint32_t reserved_0:21;
    volatile uint32_t SPE_PAT_PTR_BWD:3;
    uint32_t reserved_1:8;
}  bf_GTM_SPE_CTRL_STAT2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_CTRL_STAT2_bf_type B;
} GTM_SPE_CTRL_STAT2_bf_type;

typedef struct {
    uint32_t reserved_0:15;
    volatile uint32_t SPE_UPD_TRIG:1;
    uint32_t reserved_1:14;
    volatile uint32_t SPE_CTRL_CMD:2;
}  bf_GTM_SPE_CMD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SPE_CMD_bf_type B;
} GTM_SPE_CMD_bf_type;

typedef struct {
    GTM_SPE_CTRL_STAT_bf_type CTRL_STAT; 
    GTM_SPE_PAT_bf_type PAT; 
    GTM_SPE_OUT_PAT0_bf_type OUT_PAT0; 
    GTM_SPE_OUT_PAT1_bf_type OUT_PAT1; 
    GTM_SPE_OUT_PAT2_bf_type OUT_PAT2; 
    GTM_SPE_OUT_PAT3_bf_type OUT_PAT3; 
    GTM_SPE_OUT_PAT4_bf_type OUT_PAT4; 
    GTM_SPE_OUT_PAT5_bf_type OUT_PAT5; 
    GTM_SPE_OUT_PAT6_bf_type OUT_PAT6; 
    GTM_SPE_OUT_PAT7_bf_type OUT_PAT7; 
    GTM_SPE_OUT_CTRL_bf_type OUT_CTRL; 
    GTM_SPE_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_SPE_IRQ_EN_bf_type IRQ_EN; 
    GTM_SPE_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_SPE_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_SPE_EIRQ_EN_bf_type EIRQ_EN; 
    GTM_SPE_REV_CNT_bf_type REV_CNT; 
    GTM_SPE_REV_CMP_bf_type REV_CMP; 
    GTM_SPE_CTRL_STAT2_bf_type CTRL_STAT2; 
    GTM_SPE_CMD_bf_type CMD; 
    volatile uint32_t reserved_0[12];
} GTM_SPE_bf_type;

/*************************************************************************
 * module GTM.MAP
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:1;
    volatile uint32_t TSPP1_I2V:1;
    volatile uint32_t TSPP1_I1V:1;
    volatile uint32_t TSPP1_I0V:1;
    uint32_t reserved_1:2;
    volatile uint32_t TSPP1_DLD:1;
    volatile uint32_t TSPP1_EN:1;
    uint32_t reserved_2:1;
    volatile uint32_t TSPP0_I2V:1;
    volatile uint32_t TSPP0_I1V:1;
    volatile uint32_t TSPP0_I0V:1;
    uint32_t reserved_3:2;
    volatile uint32_t TSPP0_DLD:1;
    volatile uint32_t TSPP0_EN:1;
    uint32_t reserved_4:11;
    volatile uint32_t LSEL:1;
    volatile uint32_t SSL:3;
    volatile uint32_t TSEL:1;
}  bf_GTM_MAP_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MAP_CTRL_bf_type B;
} GTM_MAP_CTRL_bf_type;

typedef struct {
    GTM_MAP_CTRL_bf_type CTRL; 
    volatile uint32_t reserved_0[15];
} GTM_MAP_bf_type;

/*************************************************************************
 * module GTM.MCFG
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:12;
    volatile uint32_t MEM9:2;
    volatile uint32_t MEM8:2;
    volatile uint32_t MEM7:2;
    volatile uint32_t MEM6:2;
    volatile uint32_t MEM5:2;
    volatile uint32_t MEM4:2;
    volatile uint32_t MEM3:2;
    volatile uint32_t MEM2:2;
    volatile uint32_t MEM1:2;
    volatile uint32_t MEM0:2;
}  bf_GTM_MCFG_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCFG_CTRL_bf_type B;
} GTM_MCFG_CTRL_bf_type;

typedef struct {
    GTM_MCFG_CTRL_bf_type CTRL; 
    volatile uint32_t reserved_0[15];
} GTM_MCFG_bf_type;

/*************************************************************************
 * module GTM.TIM.CH
 *************************************************************************/

typedef struct {
    volatile uint32_t ECNT:8;
    volatile uint32_t GPR0:24;
}  bf_GTM_TIM_CH_GPR0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_GPR0_bf_type B;
} GTM_TIM_CH_GPR0_bf_type;

typedef struct {
    volatile uint32_t ECNT:8;
    volatile uint32_t GPR1:24;
}  bf_GTM_TIM_CH_GPR1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_GPR1_bf_type B;
} GTM_TIM_CH_GPR1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CNT:24;
}  bf_GTM_TIM_CH_CNT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_CNT_bf_type B;
} GTM_TIM_CH_CNT_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t ECNT:16;
}  bf_GTM_TIM_CH_ECNT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_ECNT_bf_type B;
} GTM_TIM_CH_ECNT_bf_type;

typedef struct {
    volatile uint32_t ECNT:8;
    volatile uint32_t CNTS:24;
}  bf_GTM_TIM_CH_CNTS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_CNTS_bf_type B;
} GTM_TIM_CH_CNTS_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TO_CNT2:8;
    volatile uint32_t TO_CNT1:8;
    volatile uint32_t TO_CNT:8;
}  bf_GTM_TIM_CH_TDUC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_TDUC_bf_type B;
} GTM_TIM_CH_TDUC_bf_type;

typedef struct {
    uint32_t reserved_0:1;
    volatile uint32_t TCS:3;
    volatile uint32_t TDU_SAME_CNT_CLK:1;
    volatile uint32_t TCS_USE_SAMPLE_EVT:1;
    volatile uint32_t SLICING:2;
    volatile uint32_t TOV2:8;
    volatile uint32_t TOV1:8;
    volatile uint32_t TOV:8;
}  bf_GTM_TIM_CH_TDUV_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_TDUV_bf_type B;
} GTM_TIM_CH_TDUV_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t FLT_RE:24;
}  bf_GTM_TIM_CH_FLT_RE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_FLT_RE_bf_type B;
} GTM_TIM_CH_FLT_RE_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t FLT_FE:24;
}  bf_GTM_TIM_CH_FLT_FE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_FLT_FE_bf_type B;
} GTM_TIM_CH_FLT_FE_bf_type;

typedef struct {
    volatile uint32_t TOCTRL:2;
    volatile uint32_t EGPR1_SEL:1;
    volatile uint32_t EGPR0_SEL:1;
    volatile uint32_t FR_ECNT_OFL:1;
    volatile uint32_t CLK_SEL:3;
    volatile uint32_t FLT_CTR_FE:1;
    volatile uint32_t FLT_MODE_FE:1;
    volatile uint32_t FLT_CTR_RE:1;
    volatile uint32_t FLT_MODE_RE:1;
    volatile uint32_t EXT_CAP_EN:1;
    volatile uint32_t FLT_CNT_FRQ:2;
    volatile uint32_t FLT_EN:1;
    volatile uint32_t ECNT_RESET:1;
    volatile uint32_t ISL:1;
    volatile uint32_t DSL:1;
    volatile uint32_t CNTS_SEL:1;
    volatile uint32_t GPR1_SEL:2;
    volatile uint32_t GPR0_SEL:2;
    volatile uint32_t TBU0_SEL:1;
    volatile uint32_t CICTRL:1;
    volatile uint32_t ARU_EN:1;
    volatile uint32_t OSM:1;
    volatile uint32_t TIM_MODE:3;
    volatile uint32_t TIM_EN:1;
}  bf_GTM_TIM_CH_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_CTRL_bf_type B;
} GTM_TIM_CH_CTRL_bf_type;

typedef struct {
    volatile uint32_t USE_PREV_CH_IN:1;
    volatile uint32_t ECLK_SEL:1;
    volatile uint32_t IMM_START:1;
    volatile uint32_t SWAP_CAPTURE:1;
    uint32_t reserved_0:2;
    volatile uint32_t EFLT_CTR_FE:1;
    volatile uint32_t EFLT_CTR_RE:1;
    volatile uint32_t USE_LUT:2;
    uint32_t reserved_1:2;
    volatile uint32_t TDU_RESYNC:4;
    uint32_t reserved_2:1;
    volatile uint32_t TDU_STOP:3;
    uint32_t reserved_3:1;
    volatile uint32_t TDU_START:3;
    volatile uint32_t TODET_IRQ_SRC:2;
    volatile uint32_t USE_PREV_TDU_IN:1;
    uint32_t reserved_4:1;
    volatile uint32_t EXT_CAP_SRC:4;
}  bf_GTM_TIM_CH_ECTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_ECTRL_bf_type B;
} GTM_TIM_CH_ECTRL_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t GLITCHDET:1;
    volatile uint32_t TODET:1;
    volatile uint32_t GPROFL:1;
    volatile uint32_t CNTOFL:1;
    volatile uint32_t ECNTOFL:1;
    volatile uint32_t NEWVAL:1;
}  bf_GTM_TIM_CH_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_IRQ_NOTIFY_bf_type B;
} GTM_TIM_CH_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t GLITCHDET_IRQ_EN:1;
    volatile uint32_t TODET_IRQ_EN:1;
    volatile uint32_t GPROFL_IRQ_EN:1;
    volatile uint32_t CNTOFL_IRQ_EN:1;
    volatile uint32_t ECNTOFL_IRQ_EN:1;
    volatile uint32_t NEWVAL_IRQ_EN:1;
}  bf_GTM_TIM_CH_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_IRQ_EN_bf_type B;
} GTM_TIM_CH_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t TRG_GLITCHDET:1;
    volatile uint32_t TRG_TODET:1;
    volatile uint32_t TRG_GPROFL:1;
    volatile uint32_t TRG_CNTOFL:1;
    volatile uint32_t TRG_ECNTOFL:1;
    volatile uint32_t TRG_NEWVAL:1;
}  bf_GTM_TIM_CH_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_IRQ_FORCINT_bf_type B;
} GTM_TIM_CH_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_TIM_CH_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_IRQ_MODE_bf_type B;
} GTM_TIM_CH_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:26;
    volatile uint32_t GLITCHDET_EIRQ_EN:1;
    volatile uint32_t TODET_EIRQ_EN:1;
    volatile uint32_t GPROFL_EIRQ_EN:1;
    volatile uint32_t CNTOFL_EIRQ_EN:1;
    volatile uint32_t ECNTOFL_EIRQ_EN:1;
    volatile uint32_t NEWVAL_EIRQ_EN:1;
}  bf_GTM_TIM_CH_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_CH_EIRQ_EN_bf_type B;
} GTM_TIM_CH_EIRQ_EN_bf_type;

typedef struct {
    GTM_TIM_CH_GPR0_bf_type GPR0; 
    GTM_TIM_CH_GPR1_bf_type GPR1; 
    GTM_TIM_CH_CNT_bf_type CNT; 
    GTM_TIM_CH_ECNT_bf_type ECNT; 
    GTM_TIM_CH_CNTS_bf_type CNTS; 
    GTM_TIM_CH_TDUC_bf_type TDUC; 
    GTM_TIM_CH_TDUV_bf_type TDUV; 
    GTM_TIM_CH_FLT_RE_bf_type FLT_RE; 
    GTM_TIM_CH_FLT_FE_bf_type FLT_FE; 
    GTM_TIM_CH_CTRL_bf_type CTRL; 
    GTM_TIM_CH_ECTRL_bf_type ECTRL; 
    GTM_TIM_CH_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_TIM_CH_IRQ_EN_bf_type IRQ_EN; 
    GTM_TIM_CH_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_TIM_CH_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_TIM_CH_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0[16];
} GTM_TIM_CH_bf_type;

/*************************************************************************
 * module GTM.TIM.GC
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TIM_IN:8;
    volatile uint32_t F_IN:8;
    volatile uint32_t F_OUT:8;
}  bf_GTM_TIM_GC_INP_VAL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_GC_INP_VAL_bf_type B;
} GTM_TIM_GC_INP_VAL_bf_type;

typedef struct {
    volatile uint32_t MODE_7:2;
    volatile uint32_t VAL_7:2;
    volatile uint32_t MODE_6:2;
    volatile uint32_t VAL_6:2;
    volatile uint32_t MODE_5:2;
    volatile uint32_t VAL_5:2;
    volatile uint32_t MODE_4:2;
    volatile uint32_t VAL_4:2;
    volatile uint32_t MODE_3:2;
    volatile uint32_t VAL_3:2;
    volatile uint32_t MODE_2:2;
    volatile uint32_t VAL_2:2;
    volatile uint32_t MODE_1:2;
    volatile uint32_t VAL_1:2;
    volatile uint32_t MODE_0:2;
    volatile uint32_t VAL_0:2;
}  bf_GTM_TIM_GC_IN_SRC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_GC_IN_SRC_bf_type B;
} GTM_TIM_GC_IN_SRC_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t RST_CH7:1;
    volatile uint32_t RST_CH6:1;
    volatile uint32_t RST_CH5:1;
    volatile uint32_t RST_CH4:1;
    volatile uint32_t RST_CH3:1;
    volatile uint32_t RST_CH2:1;
    volatile uint32_t RST_CH1:1;
    volatile uint32_t RST_CH0:1;
}  bf_GTM_TIM_GC_RST_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TIM_GC_RST_bf_type B;
} GTM_TIM_GC_RST_bf_type;

typedef struct {
    volatile uint32_t reserved_0[29];
    GTM_TIM_GC_INP_VAL_bf_type INP_VAL; 
    GTM_TIM_GC_IN_SRC_bf_type IN_SRC; 
    GTM_TIM_GC_RST_bf_type RST; 
} GTM_TIM_GC_bf_type;

/*************************************************************************
 * union GTM.TIM
 *************************************************************************/

typedef union {
    GTM_TIM_CH_bf_type CH[8]; 
    GTM_TIM_GC_bf_type GC; 
    volatile uint32_t reserved[512];
} GTM_TIM_bf_type;

/*************************************************************************
 * module GTM.TOM.CH
 *************************************************************************/

typedef struct {
    volatile uint32_t FREEZE:1;
    uint32_t reserved_0:1;
    volatile uint32_t GCM:1;
    volatile uint32_t SPEM:1;
    volatile uint32_t BITREV:1;
    volatile uint32_t OSM:1;
    volatile uint32_t SPE_TRIG:1;
    volatile uint32_t TRIGOUT:1;
    volatile uint32_t EXTTRIGOUT:1;
    volatile uint32_t EXT_TRIG:1;
    volatile uint32_t OSM_TRIG:1;
    volatile uint32_t RST_CCU0:1;
    volatile uint32_t UDMODE:2;
    volatile uint32_t TRIG_PULSE:1;
    uint32_t reserved_1:1;
    volatile uint32_t ECLK_SRC:1;
    volatile uint32_t CLK_SRC_SR:3;
    volatile uint32_t SL:1;
    uint32_t reserved_2:3;
    volatile uint32_t SR0_TRIG:1;
    uint32_t reserved_3:7;
}  bf_GTM_TOM_CH_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_CTRL_bf_type B;
} GTM_TOM_CH_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SR0:16;
}  bf_GTM_TOM_CH_SR0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_SR0_bf_type B;
} GTM_TOM_CH_SR0_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t SR1:16;
}  bf_GTM_TOM_CH_SR1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_SR1_bf_type B;
} GTM_TOM_CH_SR1_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t CM0:16;
}  bf_GTM_TOM_CH_CM0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_CM0_bf_type B;
} GTM_TOM_CH_CM0_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t CM1:16;
}  bf_GTM_TOM_CH_CM1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_CM1_bf_type B;
} GTM_TOM_CH_CM1_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t CN0:16;
}  bf_GTM_TOM_CH_CN0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_CN0_bf_type B;
} GTM_TOM_CH_CN0_bf_type;

typedef struct {
    uint32_t reserved_0:31;
    volatile uint32_t OL:1;
}  bf_GTM_TOM_CH_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_STAT_bf_type B;
} GTM_TOM_CH_STAT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t CCU1TC:1;
    volatile uint32_t CCU0TC:1;
}  bf_GTM_TOM_CH_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_IRQ_NOTIFY_bf_type B;
} GTM_TOM_CH_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t CCU1TC_IRQ_EN:1;
    volatile uint32_t CCU0TC_IRQ_EN:1;
}  bf_GTM_TOM_CH_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_IRQ_EN_bf_type B;
} GTM_TOM_CH_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t TRG_CCU1TC0:1;
    volatile uint32_t TRG_CCU0TC0:1;
}  bf_GTM_TOM_CH_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_IRQ_FORCINT_bf_type B;
} GTM_TOM_CH_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_TOM_CH_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_CH_IRQ_MODE_bf_type B;
} GTM_TOM_CH_IRQ_MODE_bf_type;

typedef struct {
    GTM_TOM_CH_CTRL_bf_type CTRL; 
    GTM_TOM_CH_SR0_bf_type SR0; 
    GTM_TOM_CH_SR1_bf_type SR1; 
    GTM_TOM_CH_CM0_bf_type CM0; 
    GTM_TOM_CH_CM1_bf_type CM1; 
    GTM_TOM_CH_CN0_bf_type CN0; 
    GTM_TOM_CH_STAT_bf_type STAT; 
    GTM_TOM_CH_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_TOM_CH_IRQ_EN_bf_type IRQ_EN; 
    GTM_TOM_CH_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_TOM_CH_IRQ_MODE_bf_type IRQ_MODE; 
    volatile uint32_t reserved_0[5];
} GTM_TOM_CH_bf_type;

/*************************************************************************
 * module GTM.TOM.TGC
 *************************************************************************/

typedef struct {
    volatile uint32_t UPEN_CTRL7:2;
    volatile uint32_t UPEN_CTRL6:2;
    volatile uint32_t UPEN_CTRL5:2;
    volatile uint32_t UPEN_CTRL4:2;
    volatile uint32_t UPEN_CTRL3:2;
    volatile uint32_t UPEN_CTRL2:2;
    volatile uint32_t UPEN_CTRL1:2;
    volatile uint32_t UPEN_CTRL0:2;
    volatile uint32_t RST_CH7:1;
    volatile uint32_t RST_CH6:1;
    volatile uint32_t RST_CH5:1;
    volatile uint32_t RST_CH4:1;
    volatile uint32_t RST_CH3:1;
    volatile uint32_t RST_CH2:1;
    volatile uint32_t RST_CH1:1;
    volatile uint32_t RST_CH0:1;
    uint32_t reserved_0:7;
    volatile uint32_t HOST_TRIG:1;
}  bf_GTM_TOM_TGC_GLB_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_GLB_CTRL_bf_type B;
} GTM_TOM_TGC_GLB_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:5;
    volatile uint32_t TBU_SEL:2;
    volatile uint32_t TB_TRIG:1;
    volatile uint32_t ACT_TB:24;
}  bf_GTM_TOM_TGC_ACT_TB_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_ACT_TB_bf_type B;
} GTM_TOM_TGC_ACT_TB_bf_type;

typedef struct {
    volatile uint32_t RSTCN0_CH7:2;
    volatile uint32_t RSTCN0_CH6:2;
    volatile uint32_t RSTCN0_CH5:2;
    volatile uint32_t RSTCN0_CH4:2;
    volatile uint32_t RSTCN0_CH3:2;
    volatile uint32_t RSTCN0_CH2:2;
    volatile uint32_t RSTCN0_CH1:2;
    volatile uint32_t RSTCN0_CH0:2;
    volatile uint32_t FUPD_CTRL7:2;
    volatile uint32_t FUPD_CTRL6:2;
    volatile uint32_t FUPD_CTRL5:2;
    volatile uint32_t FUPD_CTRL4:2;
    volatile uint32_t FUPD_CTRL3:2;
    volatile uint32_t FUPD_CTRL2:2;
    volatile uint32_t FUPD_CTRL1:2;
    volatile uint32_t FUPD_CTRL0:2;
}  bf_GTM_TOM_TGC_FUPD_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_FUPD_CTRL_bf_type B;
} GTM_TOM_TGC_FUPD_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t INT_TRIG7:2;
    volatile uint32_t INT_TRIG6:2;
    volatile uint32_t INT_TRIG5:2;
    volatile uint32_t INT_TRIG4:2;
    volatile uint32_t INT_TRIG3:2;
    volatile uint32_t INT_TRIG2:2;
    volatile uint32_t INT_TRIG1:2;
    volatile uint32_t INT_TRIG0:2;
}  bf_GTM_TOM_TGC_INT_TRIG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_INT_TRIG_bf_type B;
} GTM_TOM_TGC_INT_TRIG_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t ENDIS_CTRL7:2;
    volatile uint32_t ENDIS_CTRL6:2;
    volatile uint32_t ENDIS_CTRL5:2;
    volatile uint32_t ENDIS_CTRL4:2;
    volatile uint32_t ENDIS_CTRL3:2;
    volatile uint32_t ENDIS_CTRL2:2;
    volatile uint32_t ENDIS_CTRL1:2;
    volatile uint32_t ENDIS_CTRL0:2;
}  bf_GTM_TOM_TGC_ENDIS_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_ENDIS_CTRL_bf_type B;
} GTM_TOM_TGC_ENDIS_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t ENDIS_STAT7:2;
    volatile uint32_t ENDIS_STAT6:2;
    volatile uint32_t ENDIS_STAT5:2;
    volatile uint32_t ENDIS_STAT4:2;
    volatile uint32_t ENDIS_STAT3:2;
    volatile uint32_t ENDIS_STAT2:2;
    volatile uint32_t ENDIS_STAT1:2;
    volatile uint32_t ENDIS_STAT0:2;
}  bf_GTM_TOM_TGC_ENDIS_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_ENDIS_STAT_bf_type B;
} GTM_TOM_TGC_ENDIS_STAT_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t OUTEN_CTRL7:2;
    volatile uint32_t OUTEN_CTRL6:2;
    volatile uint32_t OUTEN_CTRL5:2;
    volatile uint32_t OUTEN_CTRL4:2;
    volatile uint32_t OUTEN_CTRL3:2;
    volatile uint32_t OUTEN_CTRL2:2;
    volatile uint32_t OUTEN_CTRL1:2;
    volatile uint32_t OUTEN_CTRL0:2;
}  bf_GTM_TOM_TGC_OUTEN_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_OUTEN_CTRL_bf_type B;
} GTM_TOM_TGC_OUTEN_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t OUTEN_STAT7:2;
    volatile uint32_t OUTEN_STAT6:2;
    volatile uint32_t OUTEN_STAT5:2;
    volatile uint32_t OUTEN_STAT4:2;
    volatile uint32_t OUTEN_STAT3:2;
    volatile uint32_t OUTEN_STAT2:2;
    volatile uint32_t OUTEN_STAT1:2;
    volatile uint32_t OUTEN_STAT0:2;
}  bf_GTM_TOM_TGC_OUTEN_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_TOM_TGC_OUTEN_STAT_bf_type B;
} GTM_TOM_TGC_OUTEN_STAT_bf_type;

typedef struct {
    volatile uint32_t reserved_0[12];
    GTM_TOM_TGC_GLB_CTRL_bf_type GLB_CTRL; 
    GTM_TOM_TGC_ACT_TB_bf_type ACT_TB; 
    GTM_TOM_TGC_FUPD_CTRL_bf_type FUPD_CTRL; 
    GTM_TOM_TGC_INT_TRIG_bf_type INT_TRIG; 
    volatile uint32_t reserved_1[12];
    GTM_TOM_TGC_ENDIS_CTRL_bf_type ENDIS_CTRL; 
    GTM_TOM_TGC_ENDIS_STAT_bf_type ENDIS_STAT; 
    GTM_TOM_TGC_OUTEN_CTRL_bf_type OUTEN_CTRL; 
    GTM_TOM_TGC_OUTEN_STAT_bf_type OUTEN_STAT; 
    volatile uint32_t reserved_2[96];
} GTM_TOM_TGC_bf_type;

/*************************************************************************
 * union GTM.TOM
 *************************************************************************/

typedef union {
    GTM_TOM_CH_bf_type CH[16]; 
    GTM_TOM_TGC_bf_type TGC[2]; 
    volatile uint32_t reserved[512];
} GTM_TOM_bf_type;

/*************************************************************************
 * module GTM.PSM.F2A
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t ADDR:9;
}  bf_GTM_PSM_F2A_CH_ARU_RD_FIFO_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_F2A_CH_ARU_RD_FIFO_bf_type B;
} GTM_PSM_F2A_CH_ARU_RD_FIFO_bf_type;

typedef struct {
    uint32_t reserved_0:13;
    volatile uint32_t DIR:1;
    volatile uint32_t TMODE:2;
    uint32_t reserved_1:16;
}  bf_GTM_PSM_F2A_CH_STR_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_F2A_CH_STR_CFG_bf_type B;
} GTM_PSM_F2A_CH_STR_CFG_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t STR7_EN:2;
    volatile uint32_t STR6_EN:2;
    volatile uint32_t STR5_EN:2;
    volatile uint32_t STR4_EN:2;
    volatile uint32_t STR3_EN:2;
    volatile uint32_t STR2_EN:2;
    volatile uint32_t STR1_EN:2;
    volatile uint32_t STR0_EN:2;
}  bf_GTM_PSM_F2A_ENABLE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_F2A_ENABLE_bf_type B;
} GTM_PSM_F2A_ENABLE_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t STR7_CONF:2;
    volatile uint32_t STR6_CONF:2;
    volatile uint32_t STR5_CONF:2;
    volatile uint32_t STR4_CONF:2;
}  bf_GTM_PSM_F2A_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_F2A_CTRL_bf_type B;
} GTM_PSM_F2A_CTRL_bf_type;

typedef struct {
    GTM_PSM_F2A_CH_ARU_RD_FIFO_bf_type CH_ARU_RD_FIFO[8]; 
    GTM_PSM_F2A_CH_STR_CFG_bf_type CH_STR_CFG[8]; 
    GTM_PSM_F2A_ENABLE_bf_type ENABLE; 
    GTM_PSM_F2A_CTRL_bf_type CTRL; 
    volatile uint32_t reserved_0[14];
} GTM_PSM_F2A_bf_type;

/*************************************************************************
 * module GTM.PSM.AFD.CH
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t DATA:29;
}  bf_GTM_PSM_AFD_CH_BUF_ACC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_AFD_CH_BUF_ACC_bf_type B;
} GTM_PSM_AFD_CH_BUF_ACC_bf_type;

typedef struct {
    GTM_PSM_AFD_CH_BUF_ACC_bf_type BUF_ACC; 
    volatile uint32_t reserved_0[3];
} GTM_PSM_AFD_CH_bf_type;

/*************************************************************************
 * module GTM.PSM.AFD
 *************************************************************************/

typedef struct {
    GTM_PSM_AFD_CH_bf_type CH[8]; 
} GTM_PSM_AFD_bf_type;

/*************************************************************************
 * module GTM.PSM.FIFO.CH
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t WULOCK:1;
    volatile uint32_t FLUSH:1;
    volatile uint32_t RAP:1;
    volatile uint32_t RBM:1;
}  bf_GTM_PSM_FIFO_CH_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_CTRL_bf_type B;
} GTM_PSM_FIFO_CH_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_END_ADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_END_ADDR_bf_type B;
} GTM_PSM_FIFO_CH_END_ADDR_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_START_ADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_START_ADDR_bf_type B;
} GTM_PSM_FIFO_CH_START_ADDR_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_UPPER_WM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_UPPER_WM_bf_type B;
} GTM_PSM_FIFO_CH_UPPER_WM_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_LOWER_WM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_LOWER_WM_bf_type B;
} GTM_PSM_FIFO_CH_LOWER_WM_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t UP_WM:1;
    volatile uint32_t LOW_WM:1;
    volatile uint32_t FULL:1;
    volatile uint32_t EMPTY:1;
}  bf_GTM_PSM_FIFO_CH_STATUS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_STATUS_bf_type B;
} GTM_PSM_FIFO_CH_STATUS_bf_type;

typedef struct {
    uint32_t reserved_0:21;
    volatile uint32_t LEVEL:11;
}  bf_GTM_PSM_FIFO_CH_FILL_LEVEL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_FILL_LEVEL_bf_type B;
} GTM_PSM_FIFO_CH_FILL_LEVEL_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_WR_PTR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_WR_PTR_bf_type B;
} GTM_PSM_FIFO_CH_WR_PTR_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t ADDR:10;
}  bf_GTM_PSM_FIFO_CH_RD_PTR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_RD_PTR_bf_type B;
} GTM_PSM_FIFO_CH_RD_PTR_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t FIFO_UWM:1;
    volatile uint32_t FIFO_LWM:1;
    volatile uint32_t FIFO_FULL:1;
    volatile uint32_t FIFO_EMPTY:1;
}  bf_GTM_PSM_FIFO_CH_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_IRQ_NOTIFY_bf_type B;
} GTM_PSM_FIFO_CH_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t FIFO_UWM_IRQ_EN:1;
    volatile uint32_t FIFO_LWM_IRQ_EN:1;
    volatile uint32_t FIFO_FULL_IRQ_EN:1;
    volatile uint32_t FIFO_EMPTY_IRQ_EN:1;
}  bf_GTM_PSM_FIFO_CH_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_IRQ_EN_bf_type B;
} GTM_PSM_FIFO_CH_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t TRG_FIFO_UWM:1;
    volatile uint32_t TRG_FIFO_LWM:1;
    volatile uint32_t TRG_FIFO_FULL:1;
    volatile uint32_t TRG_FIFO_EMPTY:1;
}  bf_GTM_PSM_FIFO_CH_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_IRQ_FORCINT_bf_type B;
} GTM_PSM_FIFO_CH_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t DMA_HYST_DIR:1;
    volatile uint32_t DMA_HYSTERESIS:1;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_PSM_FIFO_CH_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_IRQ_MODE_bf_type B;
} GTM_PSM_FIFO_CH_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t FIFO_UWM_EIRQ_EN:1;
    volatile uint32_t FIFO_LWM_EIRQ_EN:1;
    volatile uint32_t FIFO_FULL_EIRQ_EN:1;
    volatile uint32_t FIFO_EMPTY_EIRQ_EN:1;
}  bf_GTM_PSM_FIFO_CH_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_CH_EIRQ_EN_bf_type B;
} GTM_PSM_FIFO_CH_EIRQ_EN_bf_type;

typedef struct {
    GTM_PSM_FIFO_CH_CTRL_bf_type CTRL; 
    GTM_PSM_FIFO_CH_END_ADDR_bf_type END_ADDR; 
    GTM_PSM_FIFO_CH_START_ADDR_bf_type START_ADDR; 
    GTM_PSM_FIFO_CH_UPPER_WM_bf_type UPPER_WM; 
    GTM_PSM_FIFO_CH_LOWER_WM_bf_type LOWER_WM; 
    GTM_PSM_FIFO_CH_STATUS_bf_type STATUS; 
    GTM_PSM_FIFO_CH_FILL_LEVEL_bf_type FILL_LEVEL; 
    GTM_PSM_FIFO_CH_WR_PTR_bf_type WR_PTR; 
    GTM_PSM_FIFO_CH_RD_PTR_bf_type RD_PTR; 
    GTM_PSM_FIFO_CH_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_PSM_FIFO_CH_IRQ_EN_bf_type IRQ_EN; 
    GTM_PSM_FIFO_CH_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_PSM_FIFO_CH_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_PSM_FIFO_CH_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0[2];
} GTM_PSM_FIFO_CH_bf_type;

/*************************************************************************
 * module GTM.PSM.FIFO
 *************************************************************************/

typedef struct {
    GTM_PSM_FIFO_CH_bf_type CH[8]; 
    volatile uint32_t reserved_0[128];
} GTM_PSM_FIFO_bf_type;

/*************************************************************************
 * module GTM.PSM
 *************************************************************************/

typedef struct {
    volatile uint32_t DATA:32;
}  bf_GTM_PSM_FIFO_MEMORY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_PSM_FIFO_MEMORY_bf_type B;
} GTM_PSM_FIFO_MEMORY_bf_type;

typedef struct {
    GTM_PSM_F2A_bf_type F2A; 
    GTM_PSM_AFD_bf_type AFD; 
    volatile uint32_t reserved_0[192];
    GTM_PSM_FIFO_bf_type FIFO; 
    volatile uint32_t reserved_1[512];
    GTM_PSM_FIFO_MEMORY_bf_type FIFO_MEMORY[1024]; 
    volatile uint32_t reserved_2[2048];
} GTM_PSM_bf_type;

/*************************************************************************
 * module GTM.DPLL
 *************************************************************************/

typedef struct {
    volatile uint32_t RMO:1;
    volatile uint32_t TEN:1;
    volatile uint32_t SEN:1;
    volatile uint32_t IDT:1;
    volatile uint32_t IDS:1;
    volatile uint32_t AMT:1;
    volatile uint32_t AMS:1;
    volatile uint32_t TNU:9;
    volatile uint32_t SNU:5;
    volatile uint32_t IFP:1;
    volatile uint32_t MLT:10;
}  bf_GTM_DPLL_CTRL_0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_0_bf_type B;
} GTM_DPLL_CTRL_0_bf_type;

typedef struct {
    volatile uint32_t TSL:2;
    volatile uint32_t SSL:2;
    volatile uint32_t SMC:1;
    volatile uint32_t TS0_HRT:1;
    volatile uint32_t TS0_HRS:1;
    volatile uint32_t SYSF:1;
    volatile uint32_t SWR:1;
    volatile uint32_t LCD:1;
    volatile uint32_t SYN_NT:6;
    volatile uint32_t SYN_NS:5;
    volatile uint32_t PCM2:1;
    volatile uint32_t DLM2:1;
    volatile uint32_t SGE2:1;
    volatile uint32_t PCM1:1;
    volatile uint32_t DLM1:1;
    volatile uint32_t SGE1:1;
    volatile uint32_t PIT:1;
    volatile uint32_t COA:1;
    volatile uint32_t IDDS:1;
    volatile uint32_t DEN:1;
    volatile uint32_t DMO:1;
}  bf_GTM_DPLL_CTRL_1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_1_bf_type B;
} GTM_DPLL_CTRL_1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t WAD7:1;
    volatile uint32_t WAD6:1;
    volatile uint32_t WAD5:1;
    volatile uint32_t WAD4:1;
    volatile uint32_t WAD3:1;
    volatile uint32_t WAD2:1;
    volatile uint32_t WAD1:1;
    volatile uint32_t WAD0:1;
    volatile uint32_t AEN7:1;
    volatile uint32_t AEN6:1;
    volatile uint32_t AEN5:1;
    volatile uint32_t AEN4:1;
    volatile uint32_t AEN3:1;
    volatile uint32_t AEN2:1;
    volatile uint32_t AEN1:1;
    volatile uint32_t AEN0:1;
    uint32_t reserved_1:8;
}  bf_GTM_DPLL_CTRL_2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_2_bf_type B;
} GTM_DPLL_CTRL_2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t WAD15:1;
    volatile uint32_t WAD14:1;
    volatile uint32_t WAD13:1;
    volatile uint32_t WAD12:1;
    volatile uint32_t WAD11:1;
    volatile uint32_t WAD10:1;
    volatile uint32_t WAD9:1;
    volatile uint32_t WAD8:1;
    volatile uint32_t AEN15:1;
    volatile uint32_t AEN14:1;
    volatile uint32_t AEN13:1;
    volatile uint32_t AEN12:1;
    volatile uint32_t AEN11:1;
    volatile uint32_t AEN10:1;
    volatile uint32_t AEN9:1;
    volatile uint32_t AEN8:1;
    uint32_t reserved_1:8;
}  bf_GTM_DPLL_CTRL_3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_3_bf_type B;
} GTM_DPLL_CTRL_3_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t WAD23:1;
    volatile uint32_t WAD22:1;
    volatile uint32_t WAD21:1;
    volatile uint32_t WAD20:1;
    volatile uint32_t WAD19:1;
    volatile uint32_t WAD18:1;
    volatile uint32_t WAD17:1;
    volatile uint32_t WAD16:1;
    volatile uint32_t AEN23:1;
    volatile uint32_t AEN22:1;
    volatile uint32_t AEN21:1;
    volatile uint32_t AEN20:1;
    volatile uint32_t AEN19:1;
    volatile uint32_t AEN18:1;
    volatile uint32_t AEN17:1;
    volatile uint32_t AEN16:1;
    uint32_t reserved_1:8;
}  bf_GTM_DPLL_CTRL_4_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_4_bf_type B;
} GTM_DPLL_CTRL_4_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t WAD31:1;
    volatile uint32_t WAD30:1;
    volatile uint32_t WAD29:1;
    volatile uint32_t WAD28:1;
    volatile uint32_t WAD27:1;
    volatile uint32_t WAD26:1;
    volatile uint32_t WAD25:1;
    volatile uint32_t WAD24:1;
    volatile uint32_t AEN31:1;
    volatile uint32_t AEN30:1;
    volatile uint32_t AEN29:1;
    volatile uint32_t AEN28:1;
    volatile uint32_t AEN27:1;
    volatile uint32_t AEN26:1;
    volatile uint32_t AEN25:1;
    volatile uint32_t AEN24:1;
    uint32_t reserved_1:8;
}  bf_GTM_DPLL_CTRL_5_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_5_bf_type B;
} GTM_DPLL_CTRL_5_bf_type;

typedef struct {
    volatile uint32_t ACT_N:32;
}  bf_GTM_DPLL_ACT_STA_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ACT_STA_bf_type B;
} GTM_DPLL_ACT_STA_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t OSS:2;
    uint32_t reserved_1:6;
    volatile uint32_t SWON_T:1;
    volatile uint32_t SWON_S:1;
}  bf_GTM_DPLL_OSW_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_OSW_bf_type B;
} GTM_DPLL_OSW_bf_type;

typedef struct {
    volatile uint32_t AOSV_2D:8;
    volatile uint32_t AOSV_2C:8;
    volatile uint32_t AOSV_2B:8;
    volatile uint32_t AOSV_2A:8;
}  bf_GTM_DPLL_AOSV_2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_AOSV_2_bf_type B;
} GTM_DPLL_AOSV_2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t APT_2B:10;
    volatile uint32_t WAPT_2B:1;
    uint32_t reserved_1:1;
    volatile uint32_t APT:10;
    volatile uint32_t WAPT:1;
    uint32_t reserved_2:1;
}  bf_GTM_DPLL_APT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APT_bf_type B;
} GTM_DPLL_APT_bf_type;

typedef struct {
    uint32_t reserved_0:12;
    volatile uint32_t APS_1C2:6;
    volatile uint32_t WAPS_1C2:1;
    uint32_t reserved_1:5;
    volatile uint32_t APS:6;
    volatile uint32_t WAPS:1;
    uint32_t reserved_2:1;
}  bf_GTM_DPLL_APS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_bf_type B;
} GTM_DPLL_APS_bf_type;

typedef struct {
    uint32_t reserved_0:20;
    volatile uint32_t APT_2C:10;
    uint32_t reserved_1:2;
}  bf_GTM_DPLL_APT_2C_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APT_2C_bf_type B;
} GTM_DPLL_APT_2C_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t APS_1C3:6;
    uint32_t reserved_1:2;
}  bf_GTM_DPLL_APS_1C3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_1C3_bf_type B;
} GTM_DPLL_APS_1C3_bf_type;

typedef struct {
    volatile uint32_t WVTN:1;
    volatile uint32_t WSYN:1;
    volatile uint32_t WNUT:1;
    uint32_t reserved_0:4;
    volatile uint32_t VTN:6;
    volatile uint32_t SYN_T_OLD:3;
    volatile uint32_t SYN_T:3;
    uint32_t reserved_1:2;
    volatile uint32_t FST:1;
    volatile uint32_t NUTE:10;
}  bf_GTM_DPLL_NUTC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NUTC_bf_type B;
} GTM_DPLL_NUTC_bf_type;

typedef struct {
    volatile uint32_t WVSN:1;
    volatile uint32_t WSYN:1;
    volatile uint32_t WNUS:1;
    uint32_t reserved_0:4;
    volatile uint32_t VSN:6;
    volatile uint32_t SYN_S_OLD:6;
    volatile uint32_t SYN_S:6;
    volatile uint32_t FSS:1;
    volatile uint32_t NUSE:6;
}  bf_GTM_DPLL_NUSC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NUSC_bf_type B;
} GTM_DPLL_NUSC_bf_type;

typedef struct {
    uint32_t reserved_0:22;
    volatile uint32_t NTI_CNT:10;
}  bf_GTM_DPLL_NTI_CNT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NTI_CNT_bf_type B;
} GTM_DPLL_NTI_CNT_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t DCGI:1;
    volatile uint32_t SORI:1;
    volatile uint32_t TORI:1;
    volatile uint32_t CDSI:1;
    volatile uint32_t CDTI:1;
    volatile uint32_t TE4I:1;
    volatile uint32_t TE3I:1;
    volatile uint32_t TE2I:1;
    volatile uint32_t TE1I:1;
    volatile uint32_t TE0I:1;
    volatile uint32_t LL2I:1;
    volatile uint32_t GL2I:1;
    volatile uint32_t EI:1;
    volatile uint32_t LL1I:1;
    volatile uint32_t GL1I:1;
    volatile uint32_t W1I:1;
    volatile uint32_t W2I:1;
    volatile uint32_t PWI:1;
    volatile uint32_t TASI:1;
    volatile uint32_t SASI:1;
    volatile uint32_t MTI:1;
    volatile uint32_t MSI:1;
    volatile uint32_t TISI:1;
    volatile uint32_t SISI:1;
    volatile uint32_t TAXI:1;
    volatile uint32_t TINI:1;
    volatile uint32_t PEI:1;
    volatile uint32_t PDI:1;
}  bf_GTM_DPLL_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_IRQ_NOTIFY_bf_type B;
} GTM_DPLL_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t DCGI_IRQ_EN:1;
    volatile uint32_t SORI_IRQ_EN:1;
    volatile uint32_t TORI_IRQ_EN:1;
    volatile uint32_t CDSI_IRQ_EN:1;
    volatile uint32_t CDTI_IRQ_EN:1;
    volatile uint32_t TE4I_IRQ_EN:1;
    volatile uint32_t TE3I_IRQ_EN:1;
    volatile uint32_t TE2I_IRQ_EN:1;
    volatile uint32_t TE1I_IRQ_EN:1;
    volatile uint32_t TE0I_IRQ_EN:1;
    volatile uint32_t LL2I_IRQ_EN:1;
    volatile uint32_t GL2I_IRQ_EN:1;
    volatile uint32_t EI_IRQ_EN:1;
    volatile uint32_t LL1I_IRQ_EN:1;
    volatile uint32_t GL1I_IRQ_EN:1;
    volatile uint32_t W1I_IRQ_EN:1;
    volatile uint32_t W2I_IRQ_EN:1;
    volatile uint32_t PWI_IRQ_EN:1;
    volatile uint32_t TASI_IRQ_EN:1;
    volatile uint32_t SASI_IRQ_EN:1;
    volatile uint32_t MTI_IRQ_EN:1;
    volatile uint32_t MSI_IRQ_EN:1;
    volatile uint32_t TISI_IRQ_EN:1;
    volatile uint32_t SISI_IRQ_EN:1;
    volatile uint32_t TAXI_IRQ_EN:1;
    volatile uint32_t TINI_IRQ_EN:1;
    volatile uint32_t PEI_IRQ_EN:1;
    volatile uint32_t PDI_IRQ_EN:1;
}  bf_GTM_DPLL_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_IRQ_EN_bf_type B;
} GTM_DPLL_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t TRG_DCGI:1;
    volatile uint32_t TRG_SORI:1;
    volatile uint32_t TRG_TORI:1;
    volatile uint32_t TRG_CDSI:1;
    volatile uint32_t TRG_CDTI:1;
    volatile uint32_t TRG_TE4I:1;
    volatile uint32_t TRG_TE3I:1;
    volatile uint32_t TRG_TE2I:1;
    volatile uint32_t TRG_TE1I:1;
    volatile uint32_t TRG_TE0I:1;
    volatile uint32_t TRG_LL2I:1;
    volatile uint32_t TRG_GL2I:1;
    volatile uint32_t TRG_EI:1;
    volatile uint32_t TRG_LL1I:1;
    volatile uint32_t TRG_GL1I:1;
    volatile uint32_t TRG_W1I:1;
    volatile uint32_t TRG_W2I:1;
    volatile uint32_t TRG_PWI:1;
    volatile uint32_t TRG_TASI:1;
    volatile uint32_t TRG_SASI:1;
    volatile uint32_t TRG_MTI:1;
    volatile uint32_t TRG_MSI:1;
    volatile uint32_t TRG_TISI:1;
    volatile uint32_t TRG_SISI:1;
    volatile uint32_t TRG_TAXI:1;
    volatile uint32_t TRG_TINI:1;
    volatile uint32_t TRG_PEI:1;
    volatile uint32_t TRG_PDI:1;
}  bf_GTM_DPLL_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_IRQ_FORCINT_bf_type B;
} GTM_DPLL_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_DPLL_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_IRQ_MODE_bf_type B;
} GTM_DPLL_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t DCGI_EIRQ_EN:1;
    volatile uint32_t SORI_EIRQ_EN:1;
    volatile uint32_t TORI_EIRQ_EN:1;
    volatile uint32_t CDSI_EIRQ_EN:1;
    volatile uint32_t CDTI_EIRQ_EN:1;
    volatile uint32_t TE4I_EIRQ_EN:1;
    volatile uint32_t TE3I_EIRQ_EN:1;
    volatile uint32_t TE2I_EIRQ_EN:1;
    volatile uint32_t TE1I_EIRQ_EN:1;
    volatile uint32_t TE0I_EIRQ_EN:1;
    volatile uint32_t LL2I_EIRQ_EN:1;
    volatile uint32_t GL2I_EIRQ_EN:1;
    volatile uint32_t EI_EIRQ_EN:1;
    volatile uint32_t LL1I_EIRQ_EN:1;
    volatile uint32_t GL1I_EIRQ_EN:1;
    volatile uint32_t W1I_EIRQ_EN:1;
    volatile uint32_t W2I_EIRQ_EN:1;
    volatile uint32_t PWI_EIRQ_EN:1;
    volatile uint32_t TASI_EIRQ_EN:1;
    volatile uint32_t SASI_EIRQ_EN:1;
    volatile uint32_t MTI_EIRQ_EN:1;
    volatile uint32_t MSI_EIRQ_EN:1;
    volatile uint32_t TISI_EIRQ_EN:1;
    volatile uint32_t SISI_EIRQ_EN:1;
    volatile uint32_t TAXI_EIRQ_EN:1;
    volatile uint32_t TINI_EIRQ_EN:1;
    volatile uint32_t PEI_EIRQ_EN:1;
    volatile uint32_t PDI_EIRQ_EN:1;
}  bf_GTM_DPLL_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_EIRQ_EN_bf_type B;
} GTM_DPLL_EIRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t INC_CNT1:24;
}  bf_GTM_DPLL_INC_CNT1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INC_CNT1_bf_type B;
} GTM_DPLL_INC_CNT1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t INC_CNT2:24;
}  bf_GTM_DPLL_INC_CNT2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INC_CNT2_bf_type B;
} GTM_DPLL_INC_CNT2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t APT_2B_OLD:10;
    uint32_t reserved_1:7;
    volatile uint32_t APT_2B_STATUS:1;
    volatile uint32_t APT_2B_EXT:6;
}  bf_GTM_DPLL_APT_SYNC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APT_SYNC_bf_type B;
} GTM_DPLL_APT_SYNC_bf_type;

typedef struct {
    uint32_t reserved_0:12;
    volatile uint32_t APS_1C2_OLD:6;
    uint32_t reserved_1:7;
    volatile uint32_t APS_1C2_STATUS:1;
    volatile uint32_t APS_1C2_EXT:6;
}  bf_GTM_DPLL_APS_SYNC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_SYNC_bf_type B;
} GTM_DPLL_APS_SYNC_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBU_TS0_T:24;
}  bf_GTM_DPLL_TBU_TS0_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TBU_TS0_T_bf_type B;
} GTM_DPLL_TBU_TS0_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TBU_TS0_S:24;
}  bf_GTM_DPLL_TBU_TS0_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TBU_TS0_S_bf_type B;
} GTM_DPLL_TBU_TS0_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ADD_IN_LD1:24;
}  bf_GTM_DPLL_ADD_IN_LD1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ADD_IN_LD1_bf_type B;
} GTM_DPLL_ADD_IN_LD1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ADD_IN_LD2:24;
}  bf_GTM_DPLL_ADD_IN_LD2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ADD_IN_LD2_bf_type B;
} GTM_DPLL_ADD_IN_LD2_bf_type;

typedef struct {
    volatile uint32_t ERR:1;
    volatile uint32_t LOCK1:1;
    volatile uint32_t FTD:1;
    volatile uint32_t FSD:1;
    volatile uint32_t SYT:1;
    volatile uint32_t SYS:1;
    volatile uint32_t LOCK2:1;
    uint32_t reserved_0:1;
    volatile uint32_t BWD1:1;
    volatile uint32_t BWD2:1;
    volatile uint32_t ITN:1;
    volatile uint32_t ISN:1;
    volatile uint32_t CAIP1:1;
    volatile uint32_t CAIP2:1;
    volatile uint32_t CSVT:1;
    volatile uint32_t CSVS:1;
    volatile uint32_t LOW_RES:1;
    uint32_t reserved_1:2;
    volatile uint32_t RAM2_ERR:1;
    volatile uint32_t MT:1;
    volatile uint32_t TOR:1;
    volatile uint32_t MS:1;
    volatile uint32_t SOR:1;
    volatile uint32_t PSE:1;
    volatile uint32_t RCT:1;
    volatile uint32_t RCS:1;
    volatile uint32_t CRO:1;
    volatile uint32_t CTO:1;
    uint32_t reserved_2:1;
    volatile uint32_t CSO:1;
    volatile uint32_t FPCE:1;
}  bf_GTM_DPLL_STATUS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_STATUS_bf_type B;
} GTM_DPLL_STATUS_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t ID_PMTR_X:9;
}  bf_GTM_DPLL_ID_PMTR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ID_PMTR_bf_type B;
} GTM_DPLL_ID_PMTR_bf_type;

typedef struct {
    volatile uint32_t RMO:1;
    uint32_t reserved_0:2;
    volatile uint32_t IDT:1;
    uint32_t reserved_1:1;
    volatile uint32_t AMT:1;
    uint32_t reserved_2:15;
    volatile uint32_t IFP:1;
    volatile uint32_t MLT:10;
}  bf_GTM_DPLL_CTRL_0_SHADOW_TRIGGER_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_0_SHADOW_TRIGGER_bf_type B;
} GTM_DPLL_CTRL_0_SHADOW_TRIGGER_bf_type;

typedef struct {
    volatile uint32_t RMO:1;
    uint32_t reserved_0:3;
    volatile uint32_t IDS:1;
    uint32_t reserved_1:1;
    volatile uint32_t AMS:1;
    uint32_t reserved_2:14;
    volatile uint32_t IFP:1;
    uint32_t reserved_3:10;
}  bf_GTM_DPLL_CTRL_0_SHADOW_STATE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_0_SHADOW_STATE_bf_type B;
} GTM_DPLL_CTRL_0_SHADOW_STATE_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t PCM1:1;
    volatile uint32_t DLM1:1;
    volatile uint32_t SGE1:1;
    volatile uint32_t PIT:1;
    volatile uint32_t COA:1;
    uint32_t reserved_1:2;
    volatile uint32_t DMO:1;
}  bf_GTM_DPLL_CTRL_1_SHADOW_TRIGGER_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_1_SHADOW_TRIGGER_bf_type B;
} GTM_DPLL_CTRL_1_SHADOW_TRIGGER_bf_type;

typedef struct {
    uint32_t reserved_0:21;
    volatile uint32_t PCM2:1;
    volatile uint32_t DLM2:1;
    volatile uint32_t SGE2:1;
    volatile uint32_t PCM1:1;
    volatile uint32_t DLM1:1;
    volatile uint32_t SGE1:1;
    uint32_t reserved_1:1;
    volatile uint32_t COA:1;
    uint32_t reserved_2:2;
    volatile uint32_t DMO:1;
}  bf_GTM_DPLL_CTRL_1_SHADOW_STATE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_1_SHADOW_STATE_bf_type B;
} GTM_DPLL_CTRL_1_SHADOW_STATE_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t INIT_RAM:1;
    uint32_t reserved_1:1;
    volatile uint32_t INIT_2:1;
    volatile uint32_t INIT_1BC:1;
    volatile uint32_t INIT_1A:1;
}  bf_GTM_DPLL_RAM_INI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RAM_INI_bf_type B;
} GTM_DPLL_RAM_INI_bf_type;

typedef struct {
    volatile uint32_t DATA:32;
}  bf_GTM_DPLL_RR1A_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RR1A_bf_type B;
} GTM_DPLL_RR1A_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRIGGER_TS:24;
}  bf_GTM_DPLL_TS_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TS_T_bf_type B;
} GTM_DPLL_TS_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRIGGER_TS_OLD:24;
}  bf_GTM_DPLL_TS_T_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TS_T_OLD_bf_type B;
} GTM_DPLL_TS_T_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRIGGER_FT:24;
}  bf_GTM_DPLL_FTV_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_FTV_T_bf_type B;
} GTM_DPLL_FTV_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t STATE_TS:24;
}  bf_GTM_DPLL_TS_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TS_S_bf_type B;
} GTM_DPLL_TS_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t STATE_TS_OLD:24;
}  bf_GTM_DPLL_TS_S_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TS_S_OLD_bf_type B;
} GTM_DPLL_TS_S_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t STATE_FT:24;
}  bf_GTM_DPLL_FTV_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_FTV_S_bf_type B;
} GTM_DPLL_FTV_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t THMI:16;
}  bf_GTM_DPLL_THMI_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_THMI_bf_type B;
} GTM_DPLL_THMI_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t THMA:16;
}  bf_GTM_DPLL_THMA_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_THMA_bf_type B;
} GTM_DPLL_THMA_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t THVAL:24;
}  bf_GTM_DPLL_THVAL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_THVAL_bf_type B;
} GTM_DPLL_THVAL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t TOV_DW:6;
    volatile uint32_t TOV_DB:10;
}  bf_GTM_DPLL_TOV_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TOV_bf_type B;
} GTM_DPLL_TOV_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t DW:6;
    volatile uint32_t DB:10;
}  bf_GTM_DPLL_TOV_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TOV_S_bf_type B;
} GTM_DPLL_TOV_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ADD_IN_CAL1:24;
}  bf_GTM_DPLL_ADD_IN_CAL1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ADD_IN_CAL1_bf_type B;
} GTM_DPLL_ADD_IN_CAL1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t ADD_IN_CAL2:24;
}  bf_GTM_DPLL_ADD_IN_CAL2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ADD_IN_CAL2_bf_type B;
} GTM_DPLL_ADD_IN_CAL2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SIX1:8;
    volatile uint32_t MPVAL1:16;
}  bf_GTM_DPLL_MPVAL1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MPVAL1_bf_type B;
} GTM_DPLL_MPVAL1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SIX2:8;
    volatile uint32_t MPVAL2:16;
}  bf_GTM_DPLL_MPVAL2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MPVAL2_bf_type B;
} GTM_DPLL_MPVAL2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t NMB_T_TAR:16;
}  bf_GTM_DPLL_NMB_T_TAR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_T_TAR_bf_type B;
} GTM_DPLL_NMB_T_TAR_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t NMB_T_TAR_OLD:16;
}  bf_GTM_DPLL_NMB_T_TAR_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_T_TAR_OLD_bf_type B;
} GTM_DPLL_NMB_T_TAR_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:4;
    volatile uint32_t NMB_S_TAR:20;
}  bf_GTM_DPLL_NMB_S_TAR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_S_TAR_bf_type B;
} GTM_DPLL_NMB_S_TAR_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:4;
    volatile uint32_t NMB_S_TAR_OLD:20;
}  bf_GTM_DPLL_NMB_S_TAR_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_S_TAR_OLD_bf_type B;
} GTM_DPLL_NMB_S_TAR_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RCDT_TX:24;
}  bf_GTM_DPLL_RCDT_TX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RCDT_TX_bf_type B;
} GTM_DPLL_RCDT_TX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RCDT_SX:24;
}  bf_GTM_DPLL_RCDT_SX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RCDT_SX_bf_type B;
} GTM_DPLL_RCDT_SX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RCDT_TX_NOM:24;
}  bf_GTM_DPLL_RCDT_TX_NOM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RCDT_TX_NOM_bf_type B;
} GTM_DPLL_RCDT_TX_NOM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RCDT_SX_NOM:24;
}  bf_GTM_DPLL_RCDT_SX_NOM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RCDT_SX_NOM_bf_type B;
} GTM_DPLL_RCDT_SX_NOM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RDT_T_ACT:24;
}  bf_GTM_DPLL_RDT_T_ACT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RDT_T_ACT_bf_type B;
} GTM_DPLL_RDT_T_ACT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RDT_S_ACT:24;
}  bf_GTM_DPLL_RDT_S_ACT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RDT_S_ACT_bf_type B;
} GTM_DPLL_RDT_S_ACT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DT_T_ACT:24;
}  bf_GTM_DPLL_DT_T_ACT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_DT_T_ACT_bf_type B;
} GTM_DPLL_DT_T_ACT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DT_S_ACT:24;
}  bf_GTM_DPLL_DT_S_ACT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_DT_S_ACT_bf_type B;
} GTM_DPLL_DT_S_ACT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t EDT_T:24;
}  bf_GTM_DPLL_EDT_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_EDT_T_bf_type B;
} GTM_DPLL_EDT_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t MEDT_T:24;
}  bf_GTM_DPLL_MEDT_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MEDT_T_bf_type B;
} GTM_DPLL_MEDT_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t EDT_S:24;
}  bf_GTM_DPLL_EDT_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_EDT_S_bf_type B;
} GTM_DPLL_EDT_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t MEDT_S:24;
}  bf_GTM_DPLL_MEDT_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MEDT_S_bf_type B;
} GTM_DPLL_MEDT_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CDT_TX:24;
}  bf_GTM_DPLL_CDT_TX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CDT_TX_bf_type B;
} GTM_DPLL_CDT_TX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CDT_SX:24;
}  bf_GTM_DPLL_CDT_SX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CDT_SX_bf_type B;
} GTM_DPLL_CDT_SX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CDT_TX_NOM:24;
}  bf_GTM_DPLL_CDT_TX_NOM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CDT_TX_NOM_bf_type B;
} GTM_DPLL_CDT_TX_NOM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CDT_SX_NOM:24;
}  bf_GTM_DPLL_CDT_SX_NOM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CDT_SX_NOM_bf_type B;
} GTM_DPLL_CDT_SX_NOM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:16;
    volatile uint32_t TLR:8;
}  bf_GTM_DPLL_TLR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TLR_bf_type B;
} GTM_DPLL_TLR_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:16;
    volatile uint32_t SLR:8;
}  bf_GTM_DPLL_SLR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_SLR_bf_type B;
} GTM_DPLL_SLR_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DW:10;
    volatile uint32_t DB:14;
}  bf_GTM_DPLL_PDT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PDT_bf_type B;
} GTM_DPLL_PDT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:6;
    volatile uint32_t MLS1:18;
}  bf_GTM_DPLL_MLS1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MLS1_bf_type B;
} GTM_DPLL_MLS1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:6;
    volatile uint32_t MLS2:18;
}  bf_GTM_DPLL_MLS2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_MLS2_bf_type B;
} GTM_DPLL_MLS2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CNT_NUM_1:24;
}  bf_GTM_DPLL_CNT_NUM_1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CNT_NUM_1_bf_type B;
} GTM_DPLL_CNT_NUM_1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CNT_NUM_2:24;
}  bf_GTM_DPLL_CNT_NUM_2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CNT_NUM_2_bf_type B;
} GTM_DPLL_CNT_NUM_2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PVT:24;
}  bf_GTM_DPLL_PVT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PVT_bf_type B;
} GTM_DPLL_PVT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSTC:24;
}  bf_GTM_DPLL_PSTC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSTC_bf_type B;
} GTM_DPLL_PSTC_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSSC:24;
}  bf_GTM_DPLL_PSSC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSSC_bf_type B;
} GTM_DPLL_PSSC_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSTM:24;
}  bf_GTM_DPLL_PSTM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSTM_bf_type B;
} GTM_DPLL_PSTM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSTM_OLD:24;
}  bf_GTM_DPLL_PSTM_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSTM_OLD_bf_type B;
} GTM_DPLL_PSTM_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSSM:24;
}  bf_GTM_DPLL_PSSM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSSM_bf_type B;
} GTM_DPLL_PSSM_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSSM_OLD:24;
}  bf_GTM_DPLL_PSSM_OLD_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSSM_OLD_bf_type B;
} GTM_DPLL_PSSM_OLD_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:8;
    volatile uint32_t NMB_T:16;
}  bf_GTM_DPLL_NMB_T_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_T_bf_type B;
} GTM_DPLL_NMB_T_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:4;
    volatile uint32_t NMB_S:20;
}  bf_GTM_DPLL_NMB_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NMB_S_bf_type B;
} GTM_DPLL_NMB_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t RDT_S:24;
}  bf_GTM_DPLL_RDT_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RDT_S_bf_type B;
} GTM_DPLL_RDT_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TSF_S:24;
}  bf_GTM_DPLL_TSF_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TSF_S_bf_type B;
} GTM_DPLL_TSF_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t NOT_USED:2;
    volatile uint32_t NS:6;
    volatile uint32_t PD_S:16;
}  bf_GTM_DPLL_ADT_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ADT_S_bf_type B;
} GTM_DPLL_ADT_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DT_S:24;
}  bf_GTM_DPLL_DT_S_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_DT_S_bf_type B;
} GTM_DPLL_DT_S_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TSAC:24;
}  bf_GTM_DPLL_TSAC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TSAC_bf_type B;
} GTM_DPLL_TSAC_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t PSAC:24;
}  bf_GTM_DPLL_PSAC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_PSAC_bf_type B;
} GTM_DPLL_PSAC_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t ACB_3:5;
    uint32_t reserved_1:3;
    volatile uint32_t ACB_2:5;
    uint32_t reserved_2:3;
    volatile uint32_t ACB_1:5;
    uint32_t reserved_3:3;
    volatile uint32_t ACB_0:5;
}  bf_GTM_DPLL_ACB_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_ACB_bf_type B;
} GTM_DPLL_ACB_bf_type;

typedef struct {
    volatile uint32_t WACBU:1;
    volatile uint32_t WSTATE_EXT:1;
    volatile uint32_t WPCMF2_INCCNT_B:1;
    volatile uint32_t WINCF2:1;
    volatile uint32_t WFSYL2:1;
    volatile uint32_t WPCMF2:1;
    volatile uint32_t WERZ2:1;
    volatile uint32_t WSIP2:1;
    volatile uint32_t WADS:1;
    volatile uint32_t WADT:1;
    volatile uint32_t WPCMF1_INCCNT_B:1;
    volatile uint32_t WINCF1:1;
    volatile uint32_t WFSYL1:1;
    volatile uint32_t WPCMF1:1;
    volatile uint32_t WERZ1:1;
    volatile uint32_t WSIP1:1;
    volatile uint32_t ACBU:1;
    volatile uint32_t STATE_EXT:1;
    volatile uint32_t PCMF2_INCCNT_B:1;
    volatile uint32_t INCF2:1;
    volatile uint32_t FSYL2:1;
    volatile uint32_t PCMF2:1;
    volatile uint32_t ERZ2:1;
    volatile uint32_t SIP2:1;
    volatile uint32_t ADS:1;
    volatile uint32_t ADT:1;
    volatile uint32_t PCMF1_INCCNT_B:1;
    volatile uint32_t INCF1:1;
    volatile uint32_t FSYL1:1;
    volatile uint32_t PCMF1:1;
    volatile uint32_t ERZ1:1;
    volatile uint32_t SIP1:1;
}  bf_GTM_DPLL_CTRL_11_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_11_bf_type B;
} GTM_DPLL_CTRL_11_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t THVAL:24;
}  bf_GTM_DPLL_THVAL2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_THVAL2_bf_type B;
} GTM_DPLL_THVAL2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TIDEL:24;
}  bf_GTM_DPLL_TIDEL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_TIDEL_bf_type B;
} GTM_DPLL_TIDEL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SIDEL:24;
}  bf_GTM_DPLL_SIDEL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_SIDEL_bf_type B;
} GTM_DPLL_SIDEL_bf_type;

typedef struct {
    uint32_t reserved_0:9;
    volatile uint32_t APS_1C2_OLD:7;
    volatile uint32_t APS_1C2_STATUS:1;
    uint32_t reserved_1:8;
    volatile uint32_t APS_1C2_EXT:7;
}  bf_GTM_DPLL_APS_SYNC_EXT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_SYNC_EXT_bf_type B;
} GTM_DPLL_APS_SYNC_EXT_bf_type;

typedef struct {
    uint32_t reserved_0:10;
    volatile uint32_t SYN_NS:6;
    uint32_t reserved_1:10;
    volatile uint32_t SNU:6;
}  bf_GTM_DPLL_CTRL_EXT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTRL_EXT_bf_type B;
} GTM_DPLL_CTRL_EXT_bf_type;

typedef struct {
    uint32_t reserved_0:11;
    volatile uint32_t APS_1C2:7;
    volatile uint32_t WAPS_1C2:1;
    uint32_t reserved_1:4;
    volatile uint32_t APS:7;
    volatile uint32_t WAPS:1;
    uint32_t reserved_2:1;
}  bf_GTM_DPLL_APS_EXT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_EXT_bf_type B;
} GTM_DPLL_APS_EXT_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t APS_1C3:7;
    uint32_t reserved_1:2;
}  bf_GTM_DPLL_APS_1C3_EXT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_APS_1C3_EXT_bf_type B;
} GTM_DPLL_APS_1C3_EXT_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CNT_S:3;
    uint32_t reserved_1:1;
    volatile uint32_t STA_S:8;
    volatile uint32_t CNT_T:3;
    uint32_t reserved_2:1;
    volatile uint32_t STA_T:8;
}  bf_GTM_DPLL_STA_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_STA_bf_type B;
} GTM_DPLL_STA_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DPLL_INCF1_OFFSET:24;
}  bf_GTM_DPLL_INCF1_OFFSET_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INCF1_OFFSET_bf_type B;
} GTM_DPLL_INCF1_OFFSET_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DPLL_INCF2_OFFSET:24;
}  bf_GTM_DPLL_INCF2_OFFSET_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INCF2_OFFSET_bf_type B;
} GTM_DPLL_INCF2_OFFSET_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DPLL_DT_T_START:24;
}  bf_GTM_DPLL_DT_T_START_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_DT_T_START_bf_type B;
} GTM_DPLL_DT_T_START_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DPLL_DT_S_START:24;
}  bf_GTM_DPLL_DT_S_START_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_DT_S_START_bf_type B;
} GTM_DPLL_DT_S_START_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t STA_NOTIFY_S:8;
    volatile uint32_t STA_NOTIFY_T:8;
}  bf_GTM_DPLL_STA_MASK_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_STA_MASK_bf_type B;
} GTM_DPLL_STA_MASK_bf_type;

typedef struct {
    uint32_t reserved_0:21;
    volatile uint32_t INC_CNT2_FLAG:1;
    volatile uint32_t INC_CNT1_FLAG:1;
    volatile uint32_t STA_FLAG_S:1;
    uint32_t reserved_1:7;
    volatile uint32_t STA_FLAG_T:1;
}  bf_GTM_DPLL_STA_FLAG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_STA_FLAG_bf_type B;
} GTM_DPLL_STA_FLAG_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t INC_CNT1_NOTIFY:24;
}  bf_GTM_DPLL_INC_CNT1_MASK_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INC_CNT1_MASK_bf_type B;
} GTM_DPLL_INC_CNT1_MASK_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t INC_CNT2_NOTIFY:24;
}  bf_GTM_DPLL_INC_CNT2_MASK_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_INC_CNT2_MASK_bf_type B;
} GTM_DPLL_INC_CNT2_MASK_bf_type;

typedef struct {
    uint32_t reserved_0:1;
    volatile uint32_t WSYN:1;
    uint32_t reserved_1:7;
    volatile uint32_t SYN_S_OLD:7;
    uint32_t reserved_2:9;
    volatile uint32_t SYN_S:7;
}  bf_GTM_DPLL_NUSC_EXT1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NUSC_EXT1_bf_type B;
} GTM_DPLL_NUSC_EXT1_bf_type;

typedef struct {
    volatile uint32_t WVSN:1;
    uint32_t reserved_0:1;
    volatile uint32_t WNUS:1;
    uint32_t reserved_1:6;
    volatile uint32_t VSN:7;
    volatile uint32_t FSS:1;
    uint32_t reserved_2:8;
    volatile uint32_t NUSE:7;
}  bf_GTM_DPLL_NUSC_EXT2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_NUSC_EXT2_bf_type B;
} GTM_DPLL_NUSC_EXT2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CTN_MIN:24;
}  bf_GTM_DPLL_CTN_MIN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTN_MIN_bf_type B;
} GTM_DPLL_CTN_MIN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CTN_MAX:24;
}  bf_GTM_DPLL_CTN_MAX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CTN_MAX_bf_type B;
} GTM_DPLL_CTN_MAX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CSN_MIN:24;
}  bf_GTM_DPLL_CSN_MIN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CSN_MIN_bf_type B;
} GTM_DPLL_CSN_MIN_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CSN_MAX:24;
}  bf_GTM_DPLL_CSN_MAX_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_CSN_MAX_bf_type B;
} GTM_DPLL_CSN_MAX_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_DPLL_RR2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_DPLL_RR2_bf_type B;
} GTM_DPLL_RR2_bf_type;

typedef struct {
    GTM_DPLL_CTRL_0_bf_type CTRL_0; 
    GTM_DPLL_CTRL_1_bf_type CTRL_1; 
    GTM_DPLL_CTRL_2_bf_type CTRL_2; 
    GTM_DPLL_CTRL_3_bf_type CTRL_3; 
    GTM_DPLL_CTRL_4_bf_type CTRL_4; 
    GTM_DPLL_CTRL_5_bf_type CTRL_5; 
    GTM_DPLL_ACT_STA_bf_type ACT_STA; 
    GTM_DPLL_OSW_bf_type OSW; 
    GTM_DPLL_AOSV_2_bf_type AOSV_2; 
    GTM_DPLL_APT_bf_type APT; 
    GTM_DPLL_APS_bf_type APS; 
    GTM_DPLL_APT_2C_bf_type APT_2C; 
    GTM_DPLL_APS_1C3_bf_type APS_1C3; 
    GTM_DPLL_NUTC_bf_type NUTC; 
    GTM_DPLL_NUSC_bf_type NUSC; 
    GTM_DPLL_NTI_CNT_bf_type NTI_CNT; 
    GTM_DPLL_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_DPLL_IRQ_EN_bf_type IRQ_EN; 
    GTM_DPLL_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_DPLL_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_DPLL_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0[23];
    GTM_DPLL_INC_CNT1_bf_type INC_CNT1; 
    GTM_DPLL_INC_CNT2_bf_type INC_CNT2; 
    GTM_DPLL_APT_SYNC_bf_type APT_SYNC; 
    GTM_DPLL_APS_SYNC_bf_type APS_SYNC; 
    GTM_DPLL_TBU_TS0_T_bf_type TBU_TS0_T; 
    GTM_DPLL_TBU_TS0_S_bf_type TBU_TS0_S; 
    GTM_DPLL_ADD_IN_LD1_bf_type ADD_IN_LD1; 
    GTM_DPLL_ADD_IN_LD2_bf_type ADD_IN_LD2; 
    volatile uint32_t reserved_1[11];
    GTM_DPLL_STATUS_bf_type STATUS; 
    GTM_DPLL_ID_PMTR_bf_type ID_PMTR[32]; 
    volatile uint32_t reserved_2[24];
    GTM_DPLL_CTRL_0_SHADOW_TRIGGER_bf_type CTRL_0_SHADOW_TRIGGER; 
    GTM_DPLL_CTRL_0_SHADOW_STATE_bf_type CTRL_0_SHADOW_STATE; 
    GTM_DPLL_CTRL_1_SHADOW_TRIGGER_bf_type CTRL_1_SHADOW_TRIGGER; 
    GTM_DPLL_CTRL_1_SHADOW_STATE_bf_type CTRL_1_SHADOW_STATE; 
    volatile uint32_t reserved_3[3];
    GTM_DPLL_RAM_INI_bf_type RAM_INI; 
    GTM_DPLL_RR1A_bf_type RR1A[128]; 
    GTM_DPLL_TS_T_bf_type TS_T; 
    GTM_DPLL_TS_T_OLD_bf_type TS_T_OLD; 
    GTM_DPLL_FTV_T_bf_type FTV_T; 
    volatile uint32_t reserved_4;
    GTM_DPLL_TS_S_bf_type TS_S; 
    GTM_DPLL_TS_S_OLD_bf_type TS_S_OLD; 
    GTM_DPLL_FTV_S_bf_type FTV_S; 
    volatile uint32_t reserved_5;
    GTM_DPLL_THMI_bf_type THMI; 
    GTM_DPLL_THMA_bf_type THMA; 
    GTM_DPLL_THVAL_bf_type THVAL; 
    volatile uint32_t reserved_6;
    GTM_DPLL_TOV_bf_type TOV; 
    GTM_DPLL_TOV_S_bf_type TOV_S; 
    GTM_DPLL_ADD_IN_CAL1_bf_type ADD_IN_CAL1; 
    GTM_DPLL_ADD_IN_CAL2_bf_type ADD_IN_CAL2; 
    GTM_DPLL_MPVAL1_bf_type MPVAL1; 
    GTM_DPLL_MPVAL2_bf_type MPVAL2; 
    GTM_DPLL_NMB_T_TAR_bf_type NMB_T_TAR; 
    GTM_DPLL_NMB_T_TAR_OLD_bf_type NMB_T_TAR_OLD; 
    GTM_DPLL_NMB_S_TAR_bf_type NMB_S_TAR; 
    GTM_DPLL_NMB_S_TAR_OLD_bf_type NMB_S_TAR_OLD; 
    volatile uint32_t reserved_7[2];
    GTM_DPLL_RCDT_TX_bf_type RCDT_TX; 
    GTM_DPLL_RCDT_SX_bf_type RCDT_SX; 
    GTM_DPLL_RCDT_TX_NOM_bf_type RCDT_TX_NOM; 
    GTM_DPLL_RCDT_SX_NOM_bf_type RCDT_SX_NOM; 
    GTM_DPLL_RDT_T_ACT_bf_type RDT_T_ACT; 
    GTM_DPLL_RDT_S_ACT_bf_type RDT_S_ACT; 
    GTM_DPLL_DT_T_ACT_bf_type DT_T_ACT; 
    GTM_DPLL_DT_S_ACT_bf_type DT_S_ACT; 
    GTM_DPLL_EDT_T_bf_type EDT_T; 
    GTM_DPLL_MEDT_T_bf_type MEDT_T; 
    GTM_DPLL_EDT_S_bf_type EDT_S; 
    GTM_DPLL_MEDT_S_bf_type MEDT_S; 
    GTM_DPLL_CDT_TX_bf_type CDT_TX; 
    GTM_DPLL_CDT_SX_bf_type CDT_SX; 
    GTM_DPLL_CDT_TX_NOM_bf_type CDT_TX_NOM; 
    GTM_DPLL_CDT_SX_NOM_bf_type CDT_SX_NOM; 
    GTM_DPLL_TLR_bf_type TLR; 
    GTM_DPLL_SLR_bf_type SLR; 
    volatile uint32_t reserved_8[22];
    GTM_DPLL_PDT_bf_type PDT[32]; 
    volatile uint32_t reserved_9[16];
    GTM_DPLL_MLS1_bf_type MLS1; 
    GTM_DPLL_MLS2_bf_type MLS2; 
    GTM_DPLL_CNT_NUM_1_bf_type CNT_NUM_1; 
    GTM_DPLL_CNT_NUM_2_bf_type CNT_NUM_2; 
    GTM_DPLL_PVT_bf_type PVT; 
    volatile uint32_t reserved_10[3];
    GTM_DPLL_PSTC_bf_type PSTC; 
    GTM_DPLL_PSSC_bf_type PSSC; 
    GTM_DPLL_PSTM_bf_type PSTM; 
    GTM_DPLL_PSTM_OLD_bf_type PSTM_OLD; 
    GTM_DPLL_PSSM_bf_type PSSM; 
    GTM_DPLL_PSSM_OLD_bf_type PSSM_OLD; 
    GTM_DPLL_NMB_T_bf_type NMB_T; 
    GTM_DPLL_NMB_S_bf_type NMB_S; 
    GTM_DPLL_RDT_S_bf_type RDT_S[64]; 
    GTM_DPLL_TSF_S_bf_type TSF_S[64]; 
    GTM_DPLL_ADT_S_bf_type ADT_S[64]; 
    GTM_DPLL_DT_S_bf_type DT_S[64]; 
    volatile uint32_t reserved_11[256];
    GTM_DPLL_TSAC_bf_type TSAC[32]; 
    GTM_DPLL_PSAC_bf_type PSAC[32]; 
    GTM_DPLL_ACB_bf_type ACB[8]; 
    GTM_DPLL_CTRL_11_bf_type CTRL_11; 
    GTM_DPLL_THVAL2_bf_type THVAL2; 
    GTM_DPLL_TIDEL_bf_type TIDEL; 
    GTM_DPLL_SIDEL_bf_type SIDEL; 
    GTM_DPLL_APS_SYNC_EXT_bf_type APS_SYNC_EXT; 
    GTM_DPLL_CTRL_EXT_bf_type CTRL_EXT; 
    GTM_DPLL_APS_EXT_bf_type APS_EXT; 
    GTM_DPLL_APS_1C3_EXT_bf_type APS_1C3_EXT; 
    GTM_DPLL_STA_bf_type STA; 
    GTM_DPLL_INCF1_OFFSET_bf_type INCF1_OFFSET; 
    GTM_DPLL_INCF2_OFFSET_bf_type INCF2_OFFSET; 
    GTM_DPLL_DT_T_START_bf_type DT_T_START; 
    GTM_DPLL_DT_S_START_bf_type DT_S_START; 
    GTM_DPLL_STA_MASK_bf_type STA_MASK; 
    GTM_DPLL_STA_FLAG_bf_type STA_FLAG; 
    GTM_DPLL_INC_CNT1_MASK_bf_type INC_CNT1_MASK; 
    GTM_DPLL_INC_CNT2_MASK_bf_type INC_CNT2_MASK; 
    GTM_DPLL_NUSC_EXT1_bf_type NUSC_EXT1; 
    GTM_DPLL_NUSC_EXT2_bf_type NUSC_EXT2; 
    GTM_DPLL_CTN_MIN_bf_type CTN_MIN; 
    GTM_DPLL_CTN_MAX_bf_type CTN_MAX; 
    GTM_DPLL_CSN_MIN_bf_type CSN_MIN; 
    GTM_DPLL_CSN_MAX_bf_type CSN_MAX; 
    volatile uint32_t reserved_12[3105];
    GTM_DPLL_RR2_bf_type RR2[4096]; 
} GTM_DPLL_bf_type;

/*************************************************************************
 * module GTM.CCM.ARP
 *************************************************************************/

typedef struct {
    volatile uint32_t WPROT_AEI:1;
    uint32_t reserved_0:6;
    volatile uint32_t DIS_PROT:1;
    uint32_t reserved_1:4;
    volatile uint32_t SIZE:4;
    volatile uint32_t ADDR:16;
}  bf_GTM_CCM_ARP_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_ARP_CTRL_bf_type B;
} GTM_CCM_ARP_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t WPROT7:1;
    volatile uint32_t WPROT6:1;
    volatile uint32_t WPROT5:1;
    volatile uint32_t WPROT4:1;
    volatile uint32_t WPROT3:1;
    volatile uint32_t WPROT2:1;
    volatile uint32_t WPROT1:1;
    volatile uint32_t WPROT0:1;
}  bf_GTM_CCM_ARP_PROT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_ARP_PROT_bf_type B;
} GTM_CCM_ARP_PROT_bf_type;

typedef struct {
    GTM_CCM_ARP_CTRL_bf_type CTRL; 
    GTM_CCM_ARP_PROT_bf_type PROT; 
} GTM_CCM_ARP_bf_type;

/*************************************************************************
 * module GTM.CCM
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:6;
    volatile uint32_t AEIM_XPT_STA:2;
    uint32_t reserved_1:8;
    volatile uint32_t AEIM_XPT_ADDR:16;
}  bf_GTM_CCM_AEIM_STA_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_AEIM_STA_bf_type B;
} GTM_CCM_AEIM_STA_bf_type;

typedef struct {
    uint32_t reserved_0:2;
    volatile uint32_t INT_CLK_EN_GEN:1;
    volatile uint32_t TOM_TRIG_INTCHAIN:5;
    volatile uint32_t ATOM_TRIG_INTCHAIN:4;
    volatile uint32_t IRQ_MODE_SINGLE_PULSE:1;
    volatile uint32_t IRQ_MODE_PULSE_NOTIFY:1;
    volatile uint32_t IRQ_MODE_PULSE:1;
    volatile uint32_t IRQ_MODE_LEVEL:1;
    uint32_t reserved_1:1;
    volatile uint32_t ARU_CONNECT_CONFIG:1;
    volatile uint32_t ERM:1;
    volatile uint32_t RAM_INIT_RST:1;
    volatile uint32_t TOM_TRIG_CHAIN:3;
    volatile uint32_t TOM_OUT_RST:1;
    volatile uint32_t ATOM_TRIG_CHAIN:3;
    volatile uint32_t ATOM_OUT_RST:1;
    volatile uint32_t CFG_CLOCK_RATE:1;
    volatile uint32_t SYNC_INPUT_REG:1;
    volatile uint32_t BRIDGE_MODE_RST:1;
    volatile uint32_t GRSTEN:1;
}  bf_GTM_CCM_HW_CONF_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_HW_CONF_bf_type B;
} GTM_CCM_HW_CONF_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SEL_OUT_N_CH7:1;
    volatile uint32_t SEL_OUT_N_CH6:1;
    volatile uint32_t SEL_OUT_N_CH5:1;
    volatile uint32_t SEL_OUT_N_CH4:1;
    volatile uint32_t SEL_OUT_N_CH3:1;
    volatile uint32_t SEL_OUT_N_CH2:1;
    volatile uint32_t SEL_OUT_N_CH1:1;
    volatile uint32_t SEL_OUT_N_CH0:1;
    uint32_t reserved_1:8;
    volatile uint32_t SRC_CH7:1;
    volatile uint32_t SRC_CH6:1;
    volatile uint32_t SRC_CH5:1;
    volatile uint32_t SRC_CH4:1;
    volatile uint32_t SRC_CH3:1;
    volatile uint32_t SRC_CH2:1;
    volatile uint32_t SRC_CH1:1;
    volatile uint32_t SRC_CH0:1;
}  bf_GTM_CCM_TIM_AUX_IN_SRC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_TIM_AUX_IN_SRC_bf_type B;
} GTM_CCM_TIM_AUX_IN_SRC_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t TIM_IP1_EXT_CAP_EN:8;
    volatile uint32_t TIM_I_EXT_CAP_EN:8;
}  bf_GTM_CCM_EXT_CAP_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_EXT_CAP_EN_bf_type B;
} GTM_CCM_EXT_CAP_EN_bf_type;

typedef struct {
    volatile uint32_t TOM_OUT_N:16;
    volatile uint32_t TOM_OUT:16;
}  bf_GTM_CCM_TOM_OUT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_TOM_OUT_bf_type B;
} GTM_CCM_TOM_OUT_bf_type;

typedef struct {
    volatile uint32_t ATOM_IP1_OUT_N:8;
    volatile uint32_t ATOM_IP1_OUT:8;
    volatile uint32_t ATOM_I_OUT_N:8;
    volatile uint32_t ATOM_I_OUT:8;
}  bf_GTM_CCM_ATOM_OUT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_ATOM_OUT_bf_type B;
} GTM_CCM_ATOM_OUT_bf_type;

typedef struct {
    uint32_t reserved_0:2;
    volatile uint32_t CLK7_SRC:2;
    uint32_t reserved_1:2;
    volatile uint32_t CLK6_SRC:2;
    uint32_t reserved_2:2;
    volatile uint32_t CLK5_SRC:2;
    uint32_t reserved_3:2;
    volatile uint32_t CLK4_SRC:2;
    uint32_t reserved_4:2;
    volatile uint32_t CLK3_SRC:2;
    uint32_t reserved_5:2;
    volatile uint32_t CLK2_SRC:2;
    uint32_t reserved_6:2;
    volatile uint32_t CLK1_SRC:2;
    uint32_t reserved_7:2;
    volatile uint32_t CLK0_SRC:2;
}  bf_GTM_CCM_CMU_CLK_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_CMU_CLK_CFG_bf_type B;
} GTM_CCM_CMU_CLK_CFG_bf_type;

typedef struct {
    uint32_t reserved_0:28;
    volatile uint32_t FXCLK0_SRC:4;
}  bf_GTM_CCM_CMU_FXCLK_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_CMU_FXCLK_CFG_bf_type B;
} GTM_CCM_CMU_FXCLK_CFG_bf_type;

typedef struct {
    volatile uint32_t TBU_DIR2:1;
    volatile uint32_t TBU_DIR1:1;
    uint32_t reserved_0:12;
    volatile uint32_t CLS_CLK_DIV:2;
    uint32_t reserved_1:8;
    volatile uint32_t EN_CMP_MON:1;
    volatile uint32_t EN_PSM:1;
    volatile uint32_t EN_BRC:1;
    volatile uint32_t EN_DPLL_MAP:1;
    volatile uint32_t EN_MCS:1;
    volatile uint32_t EN_ATOM_ADTM:1;
    volatile uint32_t EN_TOM_SPE_TDTM:1;
    volatile uint32_t EN_TIM:1;
}  bf_GTM_CCM_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_CFG_bf_type B;
} GTM_CCM_CFG_bf_type;

typedef struct {
    uint32_t reserved_0:31;
    volatile uint32_t CLS_PROT:1;
}  bf_GTM_CCM_PROT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CCM_PROT_bf_type B;
} GTM_CCM_PROT_bf_type;

typedef struct {
    GTM_CCM_ARP_bf_type ARP[10]; 
    volatile uint32_t reserved_0[98];
    GTM_CCM_AEIM_STA_bf_type AEIM_STA; 
    GTM_CCM_HW_CONF_bf_type HW_CONF; 
    GTM_CCM_TIM_AUX_IN_SRC_bf_type TIM_AUX_IN_SRC; 
    GTM_CCM_EXT_CAP_EN_bf_type EXT_CAP_EN; 
    GTM_CCM_TOM_OUT_bf_type TOM_OUT; 
    GTM_CCM_ATOM_OUT_bf_type ATOM_OUT; 
    GTM_CCM_CMU_CLK_CFG_bf_type CMU_CLK_CFG; 
    GTM_CCM_CMU_FXCLK_CFG_bf_type CMU_FXCLK_CFG; 
    GTM_CCM_CFG_bf_type CFG; 
    GTM_CCM_PROT_bf_type PROT; 
} GTM_CCM_bf_type;

/*************************************************************************
 * module GTM.CDTM.DTM
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:15;
    volatile uint32_t SHUT_OFF_RST:1;
    uint32_t reserved_1:7;
    volatile uint32_t SR_UPD_EN:1;
    uint32_t reserved_2:1;
    volatile uint32_t UPD_MODE:3;
    volatile uint32_t DTM_SEL:2;
    volatile uint32_t CLK_SEL:2;
}  bf_GTM_CDTM_DTM_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CTRL_bf_type B;
} GTM_CDTM_DTM_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:2;
    volatile uint32_t O1F_3:2;
    volatile uint32_t SWAP_3:1;
    volatile uint32_t SH_EN_3:1;
    volatile uint32_t I1SEL_3:1;
    volatile uint32_t O1SEL_3:1;
    uint32_t reserved_1:1;
    volatile uint32_t XDT_EN_2_3:1;
    volatile uint32_t O1F_2:2;
    volatile uint32_t SWAP_2:1;
    volatile uint32_t SH_EN_2:1;
    volatile uint32_t I1SEL_2:1;
    volatile uint32_t O1SEL_2:1;
    uint32_t reserved_2:2;
    volatile uint32_t O1F_1:2;
    volatile uint32_t SWAP_1:1;
    volatile uint32_t SH_EN_1:1;
    volatile uint32_t I1SEL_1:1;
    volatile uint32_t O1SEL_1:1;
    uint32_t reserved_3:1;
    volatile uint32_t XDT_EN_0_1:1;
    volatile uint32_t O1F_0:2;
    volatile uint32_t SWAP_0:1;
    uint32_t reserved_4:1;
    volatile uint32_t I1SEL_0:1;
    volatile uint32_t O1SEL_0:1;
}  bf_GTM_CDTM_DTM_CH_CTRL1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_CTRL1_bf_type B;
} GTM_CDTM_DTM_CH_CTRL1_bf_type;

typedef struct {
    volatile uint32_t DT1_3:1;
    volatile uint32_t SL1_3:1;
    volatile uint32_t OC1_3:1;
    volatile uint32_t POL1_3:1;
    volatile uint32_t DT0_3:1;
    volatile uint32_t SL0_3:1;
    volatile uint32_t OC0_3:1;
    volatile uint32_t POL0_3:1;
    volatile uint32_t DT1_2:1;
    volatile uint32_t SL1_2:1;
    volatile uint32_t OC1_2:1;
    volatile uint32_t POL1_2:1;
    volatile uint32_t DT0_2:1;
    volatile uint32_t SL0_2:1;
    volatile uint32_t OC0_2:1;
    volatile uint32_t POL0_2:1;
    volatile uint32_t DT1_1:1;
    volatile uint32_t SL1_1:1;
    volatile uint32_t OC1_1:1;
    volatile uint32_t POL1_1:1;
    volatile uint32_t DT0_1:1;
    volatile uint32_t SL0_1:1;
    volatile uint32_t OC0_1:1;
    volatile uint32_t POL0_1:1;
    volatile uint32_t DT1_0:1;
    volatile uint32_t SL1_0:1;
    volatile uint32_t OC1_0:1;
    volatile uint32_t POL1_0:1;
    volatile uint32_t DT0_0:1;
    volatile uint32_t SL0_0:1;
    volatile uint32_t OC0_0:1;
    volatile uint32_t POL0_0:1;
}  bf_GTM_CDTM_DTM_CH_CTRL2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_CTRL2_bf_type B;
} GTM_CDTM_DTM_CH_CTRL2_bf_type;

typedef struct {
    volatile uint32_t DT1_3_SR:1;
    volatile uint32_t SL1_3_SR:1;
    volatile uint32_t OC1_3_SR:1;
    volatile uint32_t POL1_3_SR:1;
    volatile uint32_t DT0_3_SR:1;
    volatile uint32_t SL0_3_SR:1;
    volatile uint32_t OC0_3_SR:1;
    volatile uint32_t POL0_3_SR:1;
    volatile uint32_t DT1_2_SR:1;
    volatile uint32_t SL1_2_SR:1;
    volatile uint32_t OC1_2_SR:1;
    volatile uint32_t POL1_2_SR:1;
    volatile uint32_t DT0_2_SR:1;
    volatile uint32_t SL0_2_SR:1;
    volatile uint32_t OC0_2_SR:1;
    volatile uint32_t POL0_2_SR:1;
    volatile uint32_t DT1_1_SR:1;
    volatile uint32_t SL1_1_SR:1;
    volatile uint32_t OC1_1_SR:1;
    volatile uint32_t POL1_1_SR:1;
    volatile uint32_t DT0_1_SR:1;
    volatile uint32_t SL0_1_SR:1;
    volatile uint32_t OC0_1_SR:1;
    volatile uint32_t POL0_1_SR:1;
    volatile uint32_t DT1_0_SR:1;
    volatile uint32_t SL1_0_SR:1;
    volatile uint32_t OC1_0_SR:1;
    volatile uint32_t POL1_0_SR:1;
    volatile uint32_t DT0_0_SR:1;
    volatile uint32_t SL0_0_SR:1;
    volatile uint32_t OC0_0_SR:1;
    volatile uint32_t POL0_0_SR:1;
}  bf_GTM_CDTM_DTM_CH_CTRL2_SR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_CTRL2_SR_bf_type B;
} GTM_CDTM_DTM_CH_CTRL2_SR_bf_type;

typedef struct {
    uint32_t reserved_0:10;
    volatile uint32_t SHIFT_SEL:2;
    uint32_t reserved_1:1;
    volatile uint32_t TIM_SEL:1;
    volatile uint32_t IN_POL:1;
    volatile uint32_t PSU_IN_SEL:1;
    uint32_t reserved_2:6;
    volatile uint32_t RELBLK:10;
}  bf_GTM_CDTM_DTM_PS_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_PS_CTRL_bf_type B;
} GTM_CDTM_DTM_PS_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:6;
    volatile uint32_t RELFALL:10;
    uint32_t reserved_1:6;
    volatile uint32_t RELRISE:10;
}  bf_GTM_CDTM_DTM_CH_DTV_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_DTV_bf_type B;
} GTM_CDTM_DTM_CH_DTV_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t SL1_3_SR_SR:1;
    volatile uint32_t SL0_3_SR_SR:1;
    volatile uint32_t SL1_2_SR_SR:1;
    volatile uint32_t SL0_2_SR_SR:1;
    volatile uint32_t SL1_1_SR_SR:1;
    volatile uint32_t SL0_1_SR_SR:1;
    volatile uint32_t SL1_0_SR_SR:1;
    volatile uint32_t SL0_0_SR_SR:1;
}  bf_GTM_CDTM_DTM_CH_SR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_SR_bf_type B;
} GTM_CDTM_DTM_CH_SR_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t TSEL1_3:1;
    volatile uint32_t TSEL0_3:1;
    volatile uint32_t CIS3:1;
    volatile uint32_t CII3:1;
    uint32_t reserved_1:4;
    volatile uint32_t TSEL1_2:1;
    volatile uint32_t TSEL0_2:1;
    volatile uint32_t CIS2:1;
    volatile uint32_t CII2:1;
    uint32_t reserved_2:4;
    volatile uint32_t TSEL1_1:1;
    volatile uint32_t TSEL0_1:1;
    volatile uint32_t CIS1:1;
    volatile uint32_t CII1:1;
    uint32_t reserved_3:4;
    volatile uint32_t TSEL1_0:1;
    volatile uint32_t TSEL0_0:1;
    volatile uint32_t CIS0:1;
    volatile uint32_t CII0:1;
}  bf_GTM_CDTM_DTM_CH_CTRL3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CDTM_DTM_CH_CTRL3_bf_type B;
} GTM_CDTM_DTM_CH_CTRL3_bf_type;

typedef struct {
    GTM_CDTM_DTM_CTRL_bf_type CTRL; 
    GTM_CDTM_DTM_CH_CTRL1_bf_type CH_CTRL1; 
    GTM_CDTM_DTM_CH_CTRL2_bf_type CH_CTRL2; 
    GTM_CDTM_DTM_CH_CTRL2_SR_bf_type CH_CTRL2_SR; 
    GTM_CDTM_DTM_PS_CTRL_bf_type PS_CTRL; 
    GTM_CDTM_DTM_CH_DTV_bf_type CH_DTV[4]; 
    GTM_CDTM_DTM_CH_SR_bf_type CH_SR; 
    GTM_CDTM_DTM_CH_CTRL3_bf_type CH_CTRL3; 
    volatile uint32_t reserved_0[5];
} GTM_CDTM_DTM_bf_type;

/*************************************************************************
 * module GTM.CDTM
 *************************************************************************/

typedef struct {
    GTM_CDTM_DTM_bf_type DTM[6]; 
    volatile uint32_t reserved_0[160];
} GTM_CDTM_bf_type;

/*************************************************************************
 * module GTM.ATOM.CH
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:7;
    volatile uint32_t RDADDR1:9;
    uint32_t reserved_1:7;
    volatile uint32_t RDADDR0:9;
}  bf_GTM_ATOM_CH_RDADDR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_RDADDR_bf_type B;
} GTM_ATOM_CH_RDADDR_bf_type;

typedef struct {
    volatile uint32_t FREEZE:1;
    volatile uint32_t SOMB:1;
    volatile uint32_t EXT_FUPD:1;
    uint32_t reserved_0:1;
    volatile uint32_t ABM:1;
    volatile uint32_t OSM:1;
    volatile uint32_t SLA:1;
    volatile uint32_t TRIGOUT:1;
    volatile uint32_t EXTTRIGOUT:1;
    volatile uint32_t EXT_TRIG:1;
    volatile uint32_t OSM_TRIG:1;
    volatile uint32_t RST_CCU0:1;
    volatile uint32_t UDMODE:2;
    volatile uint32_t TRIG_PULSE:1;
    volatile uint32_t WR_REQ:1;
    volatile uint32_t ECLK_SRC:1;
    volatile uint32_t CLK_SRC_SR:3;
    volatile uint32_t SL:1;
    volatile uint32_t EUPM:1;
    volatile uint32_t CMP_CTRL:1;
    volatile uint32_t ACB:5;
    volatile uint32_t ARU_EN:1;
    volatile uint32_t TB12_SEL:1;
    volatile uint32_t MODE:2;
}  bf_GTM_ATOM_CH_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_CTRL_bf_type B;
} GTM_ATOM_CH_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SR0:24;
}  bf_GTM_ATOM_CH_SR0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_SR0_bf_type B;
} GTM_ATOM_CH_SR0_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t SR1:24;
}  bf_GTM_ATOM_CH_SR1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_SR1_bf_type B;
} GTM_ATOM_CH_SR1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CM0:24;
}  bf_GTM_ATOM_CH_CM0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_CM0_bf_type B;
} GTM_ATOM_CH_CM0_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CM1:24;
}  bf_GTM_ATOM_CH_CM1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_CM1_bf_type B;
} GTM_ATOM_CH_CM1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CN0:24;
}  bf_GTM_ATOM_CH_CN0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_CN0_bf_type B;
} GTM_ATOM_CH_CN0_bf_type;

typedef struct {
    uint32_t reserved_0:3;
    volatile uint32_t ACBO:5;
    volatile uint32_t DR:1;
    volatile uint32_t WRF:1;
    volatile uint32_t DV:1;
    volatile uint32_t ACBI:5;
    uint32_t reserved_1:15;
    volatile uint32_t OL:1;
}  bf_GTM_ATOM_CH_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_STAT_bf_type B;
} GTM_ATOM_CH_STAT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t CCU1TC:1;
    volatile uint32_t CCU0TC:1;
}  bf_GTM_ATOM_CH_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_IRQ_NOTIFY_bf_type B;
} GTM_ATOM_CH_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t CCU1TC_IRQ_EN:1;
    volatile uint32_t CCU0TC_IRQ_EN:1;
}  bf_GTM_ATOM_CH_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_IRQ_EN_bf_type B;
} GTM_ATOM_CH_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t TRG_CCU1TC:1;
    volatile uint32_t TRG_CCU0TC:1;
}  bf_GTM_ATOM_CH_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_IRQ_FORCINT_bf_type B;
} GTM_ATOM_CH_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_ATOM_CH_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_CH_IRQ_MODE_bf_type B;
} GTM_ATOM_CH_IRQ_MODE_bf_type;

typedef struct {
    GTM_ATOM_CH_RDADDR_bf_type RDADDR; 
    GTM_ATOM_CH_CTRL_bf_type CTRL; 
    GTM_ATOM_CH_SR0_bf_type SR0; 
    GTM_ATOM_CH_SR1_bf_type SR1; 
    GTM_ATOM_CH_CM0_bf_type CM0; 
    GTM_ATOM_CH_CM1_bf_type CM1; 
    GTM_ATOM_CH_CN0_bf_type CN0; 
    GTM_ATOM_CH_STAT_bf_type STAT; 
    GTM_ATOM_CH_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_ATOM_CH_IRQ_EN_bf_type IRQ_EN; 
    GTM_ATOM_CH_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_ATOM_CH_IRQ_MODE_bf_type IRQ_MODE; 
    volatile uint32_t reserved_0[20];
} GTM_ATOM_CH_bf_type;

/*************************************************************************
 * module GTM.ATOM.AGC
 *************************************************************************/

typedef struct {
    volatile uint32_t UPEN_CTRL7:2;
    volatile uint32_t UPEN_CTRL6:2;
    volatile uint32_t UPEN_CTRL5:2;
    volatile uint32_t UPEN_CTRL4:2;
    volatile uint32_t UPEN_CTRL3:2;
    volatile uint32_t UPEN_CTRL2:2;
    volatile uint32_t UPEN_CTRL1:2;
    volatile uint32_t UPEN_CTRL0:2;
    volatile uint32_t RST_CH7:1;
    volatile uint32_t RST_CH6:1;
    volatile uint32_t RST_CH5:1;
    volatile uint32_t RST_CH4:1;
    volatile uint32_t RST_CH3:1;
    volatile uint32_t RST_CH2:1;
    volatile uint32_t RST_CH1:1;
    volatile uint32_t RST_CH0:1;
    uint32_t reserved_0:7;
    volatile uint32_t HOST_TRIG:1;
}  bf_GTM_ATOM_AGC_GLB_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_GLB_CTRL_bf_type B;
} GTM_ATOM_AGC_GLB_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t ENDIS_CTRL7:2;
    volatile uint32_t ENDIS_CTRL6:2;
    volatile uint32_t ENDIS_CTRL5:2;
    volatile uint32_t ENDIS_CTRL4:2;
    volatile uint32_t ENDIS_CTRL3:2;
    volatile uint32_t ENDIS_CTRL2:2;
    volatile uint32_t ENDIS_CTRL1:2;
    volatile uint32_t ENDIS_CTRL0:2;
}  bf_GTM_ATOM_AGC_ENDIS_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_ENDIS_CTRL_bf_type B;
} GTM_ATOM_AGC_ENDIS_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t ENDIS_STAT7:2;
    volatile uint32_t ENDIS_STAT6:2;
    volatile uint32_t ENDIS_STAT5:2;
    volatile uint32_t ENDIS_STAT4:2;
    volatile uint32_t ENDIS_STAT3:2;
    volatile uint32_t ENDIS_STAT2:2;
    volatile uint32_t ENDIS_STAT1:2;
    volatile uint32_t ENDIS_STAT0:2;
}  bf_GTM_ATOM_AGC_ENDIS_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_ENDIS_STAT_bf_type B;
} GTM_ATOM_AGC_ENDIS_STAT_bf_type;

typedef struct {
    uint32_t reserved_0:5;
    volatile uint32_t TBU_SEL:2;
    volatile uint32_t TB_TRIG:1;
    volatile uint32_t ACT_TB:24;
}  bf_GTM_ATOM_AGC_ACT_TB_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_ACT_TB_bf_type B;
} GTM_ATOM_AGC_ACT_TB_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t OUTEN_CTRL7:2;
    volatile uint32_t OUTEN_CTRL6:2;
    volatile uint32_t OUTEN_CTRL5:2;
    volatile uint32_t OUTEN_CTRL4:2;
    volatile uint32_t OUTEN_CTRL3:2;
    volatile uint32_t OUTEN_CTRL2:2;
    volatile uint32_t OUTEN_CTRL1:2;
    volatile uint32_t OUTEN_CTRL0:2;
}  bf_GTM_ATOM_AGC_OUTEN_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_OUTEN_CTRL_bf_type B;
} GTM_ATOM_AGC_OUTEN_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t OUTEN_STAT7:2;
    volatile uint32_t OUTEN_STAT6:2;
    volatile uint32_t OUTEN_STAT5:2;
    volatile uint32_t OUTEN_STAT4:2;
    volatile uint32_t OUTEN_STAT3:2;
    volatile uint32_t OUTEN_STAT2:2;
    volatile uint32_t OUTEN_STAT1:2;
    volatile uint32_t OUTEN_STAT0:2;
}  bf_GTM_ATOM_AGC_OUTEN_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_OUTEN_STAT_bf_type B;
} GTM_ATOM_AGC_OUTEN_STAT_bf_type;

typedef struct {
    volatile uint32_t RSTCN0_CH7:2;
    volatile uint32_t RSTCN0_CH6:2;
    volatile uint32_t RSTCN0_CH5:2;
    volatile uint32_t RSTCN0_CH4:2;
    volatile uint32_t RSTCN0_CH3:2;
    volatile uint32_t RSTCN0_CH2:2;
    volatile uint32_t RSTCN0_CH1:2;
    volatile uint32_t RSTCN0_CH0:2;
    volatile uint32_t FUPD_CTRL7:2;
    volatile uint32_t FUPD_CTRL6:2;
    volatile uint32_t FUPD_CTRL5:2;
    volatile uint32_t FUPD_CTRL4:2;
    volatile uint32_t FUPD_CTRL3:2;
    volatile uint32_t FUPD_CTRL2:2;
    volatile uint32_t FUPD_CTRL1:2;
    volatile uint32_t FUPD_CTRL0:2;
}  bf_GTM_ATOM_AGC_FUPD_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_FUPD_CTRL_bf_type B;
} GTM_ATOM_AGC_FUPD_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t INT_TRIG7:2;
    volatile uint32_t INT_TRIG6:2;
    volatile uint32_t INT_TRIG5:2;
    volatile uint32_t INT_TRIG4:2;
    volatile uint32_t INT_TRIG3:2;
    volatile uint32_t INT_TRIG2:2;
    volatile uint32_t INT_TRIG1:2;
    volatile uint32_t INT_TRIG0:2;
}  bf_GTM_ATOM_AGC_INT_TRIG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_ATOM_AGC_INT_TRIG_bf_type B;
} GTM_ATOM_AGC_INT_TRIG_bf_type;

typedef struct {
    volatile uint32_t reserved_0[16];
    GTM_ATOM_AGC_GLB_CTRL_bf_type GLB_CTRL; 
    GTM_ATOM_AGC_ENDIS_CTRL_bf_type ENDIS_CTRL; 
    GTM_ATOM_AGC_ENDIS_STAT_bf_type ENDIS_STAT; 
    GTM_ATOM_AGC_ACT_TB_bf_type ACT_TB; 
    GTM_ATOM_AGC_OUTEN_CTRL_bf_type OUTEN_CTRL; 
    GTM_ATOM_AGC_OUTEN_STAT_bf_type OUTEN_STAT; 
    GTM_ATOM_AGC_FUPD_CTRL_bf_type FUPD_CTRL; 
    GTM_ATOM_AGC_INT_TRIG_bf_type INT_TRIG; 
    volatile uint32_t reserved_1[8];
} GTM_ATOM_AGC_bf_type;

/*************************************************************************
 * union GTM.ATOM
 *************************************************************************/

typedef union {
    GTM_ATOM_CH_bf_type CH[8]; 
    GTM_ATOM_AGC_bf_type AGC; 
    volatile uint32_t reserved[512];
} GTM_ATOM_bf_type;

/*************************************************************************
 * module GTM.MCS.CH
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R0_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R0_bf_type B;
} GTM_MCS_CH_R0_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R1_bf_type B;
} GTM_MCS_CH_R1_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R2_bf_type B;
} GTM_MCS_CH_R2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R3_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R3_bf_type B;
} GTM_MCS_CH_R3_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R4_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R4_bf_type B;
} GTM_MCS_CH_R4_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R5_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R5_bf_type B;
} GTM_MCS_CH_R5_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R6_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R6_bf_type B;
} GTM_MCS_CH_R6_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DATA:24;
}  bf_GTM_MCS_CH_R7_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_R7_bf_type B;
} GTM_MCS_CH_R7_bf_type;

typedef struct {
    uint32_t reserved_0:13;
    volatile uint32_t SP_CNT:3;
    uint32_t reserved_1:5;
    volatile uint32_t SAT:1;
    volatile uint32_t CWT:1;
    volatile uint32_t CAT:1;
    volatile uint32_t N:1;
    volatile uint32_t V:1;
    volatile uint32_t Z:1;
    volatile uint32_t CY:1;
    uint32_t reserved_2:1;
    volatile uint32_t ERR:1;
    volatile uint32_t IRQ:1;
    volatile uint32_t EN:1;
}  bf_GTM_MCS_CH_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_CTRL_bf_type B;
} GTM_MCS_CH_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t ACB4:1;
    volatile uint32_t ACB3:1;
    volatile uint32_t ACB2:1;
    volatile uint32_t ACB1:1;
    volatile uint32_t ACB0:1;
}  bf_GTM_MCS_CH_ACB_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_ACB_bf_type B;
} GTM_MCS_CH_ACB_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t DATA:8;
}  bf_GTM_MCS_CH_MHB_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_MHB_bf_type B;
} GTM_MCS_CH_MHB_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t PC:16;
}  bf_GTM_MCS_CH_PC_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_PC_bf_type B;
} GTM_MCS_CH_PC_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t ERR_IRQ:1;
    volatile uint32_t STK_ERR_IRQ:1;
    volatile uint32_t MCS_IRQ:1;
}  bf_GTM_MCS_CH_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_IRQ_NOTIFY_bf_type B;
} GTM_MCS_CH_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t ERR_IRQ_EN:1;
    volatile uint32_t STK_ERR_IRQ_EN:1;
    volatile uint32_t MCS_IRQ_EN:1;
}  bf_GTM_MCS_CH_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_IRQ_EN_bf_type B;
} GTM_MCS_CH_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t TRG_ERR_IRQ:1;
    volatile uint32_t TRG_STK_ERR_IRQ:1;
    volatile uint32_t TRG_MCS_IRQ:1;
}  bf_GTM_MCS_CH_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_IRQ_FORCINT_bf_type B;
} GTM_MCS_CH_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_MCS_CH_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_IRQ_MODE_bf_type B;
} GTM_MCS_CH_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:29;
    volatile uint32_t ERR_EIRQ_EN:1;
    volatile uint32_t STK_ERR_EIRQ_EN:1;
    volatile uint32_t MCS_EIRQ_EN0:1;
}  bf_GTM_MCS_CH_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_CH_EIRQ_EN_bf_type B;
} GTM_MCS_CH_EIRQ_EN_bf_type;

typedef struct {
    GTM_MCS_CH_R0_bf_type R0; 
    GTM_MCS_CH_R1_bf_type R1; 
    GTM_MCS_CH_R2_bf_type R2; 
    GTM_MCS_CH_R3_bf_type R3; 
    GTM_MCS_CH_R4_bf_type R4; 
    GTM_MCS_CH_R5_bf_type R5; 
    GTM_MCS_CH_R6_bf_type R6; 
    GTM_MCS_CH_R7_bf_type R7; 
    GTM_MCS_CH_CTRL_bf_type CTRL; 
    GTM_MCS_CH_ACB_bf_type ACB; 
    volatile uint32_t reserved_0[5];
    GTM_MCS_CH_MHB_bf_type MHB; 
    GTM_MCS_CH_PC_bf_type PC; 
    GTM_MCS_CH_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_MCS_CH_IRQ_EN_bf_type IRQ_EN; 
    GTM_MCS_CH_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_MCS_CH_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_MCS_CH_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_1[10];
} GTM_MCS_CH_bf_type;

/*************************************************************************
 * module GTM.MCS.GC
 *************************************************************************/

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRG23:1;
    volatile uint32_t TRG22:1;
    volatile uint32_t TRG21:1;
    volatile uint32_t TRG20:1;
    volatile uint32_t TRG19:1;
    volatile uint32_t TRG18:1;
    volatile uint32_t TRG17:1;
    volatile uint32_t TRG16:1;
    volatile uint32_t TRG15:1;
    volatile uint32_t TRG14:1;
    volatile uint32_t TRG13:1;
    volatile uint32_t TRG12:1;
    volatile uint32_t TRG11:1;
    volatile uint32_t TRG10:1;
    volatile uint32_t TRG9:1;
    volatile uint32_t TRG8:1;
    volatile uint32_t TRG7:1;
    volatile uint32_t TRG6:1;
    volatile uint32_t TRG5:1;
    volatile uint32_t TRG4:1;
    volatile uint32_t TRG3:1;
    volatile uint32_t TRG2:1;
    volatile uint32_t TRG1:1;
    volatile uint32_t TRG0:1;
}  bf_GTM_MCS_GC_CTRG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_CTRG_bf_type B;
} GTM_MCS_GC_CTRG_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t TRG23:1;
    volatile uint32_t TRG22:1;
    volatile uint32_t TRG21:1;
    volatile uint32_t TRG20:1;
    volatile uint32_t TRG19:1;
    volatile uint32_t TRG18:1;
    volatile uint32_t TRG17:1;
    volatile uint32_t TRG16:1;
    volatile uint32_t TRG15:1;
    volatile uint32_t TRG14:1;
    volatile uint32_t TRG13:1;
    volatile uint32_t TRG12:1;
    volatile uint32_t TRG11:1;
    volatile uint32_t TRG10:1;
    volatile uint32_t TRG9:1;
    volatile uint32_t TRG8:1;
    volatile uint32_t TRG7:1;
    volatile uint32_t TRG6:1;
    volatile uint32_t TRG5:1;
    volatile uint32_t TRG4:1;
    volatile uint32_t TRG3:1;
    volatile uint32_t TRG2:1;
    volatile uint32_t TRG1:1;
    volatile uint32_t TRG0:1;
}  bf_GTM_MCS_GC_STRG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_STRG_bf_type B;
} GTM_MCS_GC_STRG_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t WPROT7:2;
    volatile uint32_t WPROT6:2;
    volatile uint32_t WPROT5:2;
    volatile uint32_t WPROT4:2;
    volatile uint32_t WPROT3:2;
    volatile uint32_t WPROT2:2;
    volatile uint32_t WPROT1:2;
    volatile uint32_t WPROT0:2;
}  bf_GTM_MCS_GC_REG_PROT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_REG_PROT_bf_type B;
} GTM_MCS_GC_REG_PROT_bf_type;

typedef struct {
    uint32_t reserved_0:5;
    volatile uint32_t HLT_AEIM_ERR:1;
    volatile uint32_t EN_XOREG:1;
    volatile uint32_t EN_TIM_FOUT:1;
    uint32_t reserved_1:1;
    volatile uint32_t ERR_SRC_ID:3;
    uint32_t reserved_2:2;
    volatile uint32_t HLT_SP_OFL:1;
    volatile uint32_t RAM_RST:1;
    uint32_t reserved_3:4;
    volatile uint32_t SCD_CH:4;
    uint32_t reserved_4:6;
    volatile uint32_t SCD_MODE:2;
}  bf_GTM_MCS_GC_CTRL_STAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_CTRL_STAT_bf_type B;
} GTM_MCS_GC_CTRL_STAT_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t RST7:1;
    volatile uint32_t RST6:1;
    volatile uint32_t RST5:1;
    volatile uint32_t RST4:1;
    volatile uint32_t RST3:1;
    volatile uint32_t RST2:1;
    volatile uint32_t RST1:1;
    volatile uint32_t RST0:1;
}  bf_GTM_MCS_GC_RESET_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_RESET_bf_type B;
} GTM_MCS_GC_RESET_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t CAT7:1;
    volatile uint32_t CAT6:1;
    volatile uint32_t CAT5:1;
    volatile uint32_t CAT4:1;
    volatile uint32_t CAT3:1;
    volatile uint32_t CAT2:1;
    volatile uint32_t CAT1:1;
    volatile uint32_t CAT0:1;
}  bf_GTM_MCS_GC_CAT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_CAT_bf_type B;
} GTM_MCS_GC_CAT_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t CWT7:1;
    volatile uint32_t CWT6:1;
    volatile uint32_t CWT5:1;
    volatile uint32_t CWT4:1;
    volatile uint32_t CWT3:1;
    volatile uint32_t CWT2:1;
    volatile uint32_t CWT1:1;
    volatile uint32_t CWT0:1;
}  bf_GTM_MCS_GC_CWT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_CWT_bf_type B;
} GTM_MCS_GC_CWT_bf_type;

typedef struct {
    uint32_t reserved_0:24;
    volatile uint32_t ERR7:1;
    volatile uint32_t ERR6:1;
    volatile uint32_t ERR5:1;
    volatile uint32_t ERR4:1;
    volatile uint32_t ERR3:1;
    volatile uint32_t ERR2:1;
    volatile uint32_t ERR1:1;
    volatile uint32_t ERR0:1;
}  bf_GTM_MCS_GC_ERR_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_GC_ERR_bf_type B;
} GTM_MCS_GC_ERR_bf_type;

typedef struct {
    volatile uint32_t reserved_0[10];
    GTM_MCS_GC_CTRG_bf_type CTRG; 
    GTM_MCS_GC_STRG_bf_type STRG; 
    volatile uint32_t reserved_1[12];
    GTM_MCS_GC_REG_PROT_bf_type REG_PROT; 
    GTM_MCS_GC_CTRL_STAT_bf_type CTRL_STAT; 
    GTM_MCS_GC_RESET_bf_type RESET; 
    GTM_MCS_GC_CAT_bf_type CAT; 
    GTM_MCS_GC_CWT_bf_type CWT; 
    volatile uint32_t reserved_2[2];
    GTM_MCS_GC_ERR_bf_type ERR; 
} GTM_MCS_GC_bf_type;

/*************************************************************************
 * union GTM.MCS
 *************************************************************************/

typedef union {
    GTM_MCS_CH_bf_type CH[9]; 
    GTM_MCS_GC_bf_type GC; 
    volatile uint32_t reserved[1024];
} GTM_MCS_bf_type;

/*************************************************************************
 * module GTM
 *************************************************************************/

typedef struct {
    volatile uint32_t DEV_CODE2:4;
    volatile uint32_t DEV_CODE1:4;
    volatile uint32_t DEV_CODE0:4;
    volatile uint32_t MAJOR:4;
    volatile uint32_t MINOR:4;
    volatile uint32_t NO:4;
    volatile uint32_t STEP:8;
}  bf_GTM_REV_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_REV_bf_type B;
} GTM_REV_bf_type;

typedef struct {
    uint32_t reserved_0:4;
    volatile uint32_t BRIDGE_MODE_WRDIS:1;
    uint32_t reserved_1:26;
    volatile uint32_t RST:1;
}  bf_GTM_RST_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_RST_bf_type B;
} GTM_RST_bf_type;

typedef struct {
    uint32_t reserved_0:16;
    volatile uint32_t AEIM_CLUSTER:4;
    uint32_t reserved_1:3;
    volatile uint32_t TO_VAL:5;
    uint32_t reserved_2:2;
    volatile uint32_t TO_MODE:1;
    volatile uint32_t RF_PROT:1;
}  bf_GTM_CTRL_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CTRL_bf_type B;
} GTM_CTRL_bf_type;

typedef struct {
    uint32_t reserved_0:11;
    volatile uint32_t TO_W1R0:1;
    volatile uint32_t TO_ADDR:20;
}  bf_GTM_AEI_ADDR_XPT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_AEI_ADDR_XPT_bf_type B;
} GTM_AEI_ADDR_XPT_bf_type;

typedef struct {
    volatile uint32_t CLK_EN_EXP_STATE:4;
    volatile uint32_t CLK_EN_ERR_STATE:4;
    uint32_t reserved_0:15;
    volatile uint32_t CLK_PER_ERR:1;
    volatile uint32_t CLK_EN_ERR:1;
    volatile uint32_t AEIM_USP_BE:1;
    volatile uint32_t AEIM_IM_ADDR:1;
    volatile uint32_t AEIM_USP_ADDR:1;
    volatile uint32_t AEI_USP_BE:1;
    volatile uint32_t AEI_IM_ADDR:1;
    volatile uint32_t AEI_USP_ADDR:1;
    volatile uint32_t AEI_TO_XPT:1;
}  bf_GTM_IRQ_NOTIFY_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_IRQ_NOTIFY_bf_type B;
} GTM_IRQ_NOTIFY_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t CLK_PER_ERR_IRQ_EN:1;
    volatile uint32_t CLK_EN_ERR_IRQ_EN:1;
    volatile uint32_t AEIM_USP_BE_IRQ_EN:1;
    volatile uint32_t AEIM_IM_ADDR_IRQ_EN:1;
    volatile uint32_t AEIM_USP_ADDR_IRQ_EN:1;
    volatile uint32_t AEI_USP_BE_IRQ_EN:1;
    volatile uint32_t AEI_IM_ADDR_IRQ_EN:1;
    volatile uint32_t AEI_USP_ADDR_IRQ_EN:1;
    volatile uint32_t AEI_TO_XPT_IRQ_EN:1;
}  bf_GTM_IRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_IRQ_EN_bf_type B;
} GTM_IRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t TRG_CLK_PER_ERR:1;
    volatile uint32_t TRG_CLK_EN_ERR:1;
    volatile uint32_t TRG_AEIM_USP_BE:1;
    volatile uint32_t TRG_AEIM_IM_ADDR:1;
    volatile uint32_t TRG_AEIM_USP_ADDR:1;
    volatile uint32_t TRG_AEI_USP_BE:1;
    volatile uint32_t TRG_AEI_IM_ADDR:1;
    volatile uint32_t TRG_AEI_USP_ADDR:1;
    volatile uint32_t TRG_AEI_TO_XPT:1;
}  bf_GTM_IRQ_FORCINT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_IRQ_FORCINT_bf_type B;
} GTM_IRQ_FORCINT_bf_type;

typedef struct {
    uint32_t reserved_0:30;
    volatile uint32_t IRQ_MODE:2;
}  bf_GTM_IRQ_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_IRQ_MODE_bf_type B;
} GTM_IRQ_MODE_bf_type;

typedef struct {
    uint32_t reserved_0:23;
    volatile uint32_t CLK_PER_ERR_EIRQ_EN:1;
    volatile uint32_t CLK_EN_ERR_EIRQ_EN:1;
    volatile uint32_t AEIM_USP_BE_EIRQ_EN:1;
    volatile uint32_t AEIM_IM_ADDR_EIRQ_EN:1;
    volatile uint32_t AEIM_USP_ADDR_EIRQ_EN:1;
    volatile uint32_t AEI_USP_BE_EIRQ_EN:1;
    volatile uint32_t AEI_IM_ADDR_EIRQ_EN:1;
    volatile uint32_t AEI_USP_ADDR_EIRQ_EN:1;
    volatile uint32_t AEI_TO_XPT_EIRQ_EN:1;
}  bf_GTM_EIRQ_EN_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_EIRQ_EN_bf_type B;
} GTM_EIRQ_EN_bf_type;

typedef struct {
    uint32_t reserved_0:31;
    volatile uint32_t SRC_IN_MUX:1;
}  bf_GTM_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CFG_bf_type B;
} GTM_CFG_bf_type;

typedef struct {
    uint32_t reserved_0:11;
    volatile uint32_t W1R0:1;
    volatile uint32_t ADDR:20;
}  bf_GTM_AEI_STA_XPT_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_AEI_STA_XPT_bf_type B;
} GTM_AEI_STA_XPT_bf_type;

typedef struct {
    volatile uint32_t BUFF_DPT:8;
    uint32_t reserved_0:7;
    volatile uint32_t BRG_RST:1;
    uint32_t reserved_1:3;
    volatile uint32_t SYNC_INPUT_REG:1;
    uint32_t reserved_2:2;
    volatile uint32_t BUFF_OVL:1;
    volatile uint32_t MODE_UP_PGR:1;
    uint32_t reserved_3:5;
    volatile uint32_t BYPASS_SYNC:1;
    volatile uint32_t MSK_WR_RSP:1;
    volatile uint32_t BRG_MODE:1;
}  bf_GTM_BRIDGE_MODE_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRIDGE_MODE_bf_type B;
} GTM_BRIDGE_MODE_bf_type;

typedef struct {
    volatile uint32_t RSP_TRAN_RDY:6;
    volatile uint32_t FBC:6;
    volatile uint32_t ABT_TRAN_PGR:5;
    volatile uint32_t TRAN_IN_PGR:5;
    volatile uint32_t FIRST_RSP_PTR:5;
    volatile uint32_t NEW_TRAN_PTR:5;
}  bf_GTM_BRIDGE_PTR1_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRIDGE_PTR1_bf_type B;
} GTM_BRIDGE_PTR1_bf_type;

typedef struct {
    uint32_t reserved_0:27;
    volatile uint32_t TRAN_IN_PGR2:5;
}  bf_GTM_BRIDGE_PTR2_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_BRIDGE_PTR2_bf_type B;
} GTM_BRIDGE_PTR2_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t DIS_CLS11:2;
    volatile uint32_t DIS_CLS10:2;
    volatile uint32_t DIS_CLS9:2;
    volatile uint32_t DIS_CLS8:2;
    volatile uint32_t DIS_CLS7:2;
    volatile uint32_t DIS_CLS6:2;
    volatile uint32_t DIS_CLS5:2;
    volatile uint32_t DIS_CLS4:2;
    volatile uint32_t DIS_CLS3:2;
    volatile uint32_t DIS_CLS2:2;
    volatile uint32_t DIS_CLS1:2;
    volatile uint32_t DIS_CLS0:2;
}  bf_GTM_MCS_AEM_DIS_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_AEM_DIS_bf_type B;
} GTM_MCS_AEM_DIS_bf_type;

typedef struct {
    uint32_t reserved_0:8;
    volatile uint32_t CLS11_CLK_DIV:2;
    volatile uint32_t CLS10_CLK_DIV:2;
    volatile uint32_t CLS9_CLK_DIV:2;
    volatile uint32_t CLS8_CLK_DIV:2;
    volatile uint32_t CLS7_CLK_DIV:2;
    volatile uint32_t CLS6_CLK_DIV:2;
    volatile uint32_t CLS5_CLK_DIV:2;
    volatile uint32_t CLS4_CLK_DIV:2;
    volatile uint32_t CLS3_CLK_DIV:2;
    volatile uint32_t CLS2_CLK_DIV:2;
    volatile uint32_t CLS1_CLK_DIV:2;
    volatile uint32_t CLS0_CLK_DIV:2;
}  bf_GTM_CLS_CLK_CFG_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_CLS_CLK_CFG_bf_type B;
} GTM_CLS_CLK_CFG_bf_type;

typedef struct {
    volatile uint32_t DUMMY_BF:32;
}  bf_GTM_SVM_RESERVED_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_SVM_RESERVED_bf_type B;
} GTM_SVM_RESERVED_bf_type;

typedef struct {
    volatile uint32_t DATA:32;
}  bf_GTM_MCS_MEM_bf_type;

typedef union {
    volatile uint32_t U;
    volatile int32_t I;
    bf_GTM_MCS_MEM_bf_type B;
} GTM_MCS_MEM_bf_type;

typedef struct {
    GTM_REV_bf_type REV; 
    GTM_RST_bf_type RST; 
    GTM_CTRL_bf_type CTRL; 
    GTM_AEI_ADDR_XPT_bf_type AEI_ADDR_XPT; 
    GTM_IRQ_NOTIFY_bf_type IRQ_NOTIFY; 
    GTM_IRQ_EN_bf_type IRQ_EN; 
    GTM_IRQ_FORCINT_bf_type IRQ_FORCINT; 
    GTM_IRQ_MODE_bf_type IRQ_MODE; 
    GTM_EIRQ_EN_bf_type EIRQ_EN; 
    volatile uint32_t reserved_0;
    GTM_CFG_bf_type CFG; 
    GTM_AEI_STA_XPT_bf_type AEI_STA_XPT; 
    GTM_BRIDGE_MODE_bf_type BRIDGE_MODE; 
    GTM_BRIDGE_PTR1_bf_type BRIDGE_PTR1; 
    GTM_BRIDGE_PTR2_bf_type BRIDGE_PTR2; 
    GTM_MCS_AEM_DIS_bf_type MCS_AEM_DIS; 
    volatile uint32_t reserved_1[28];
    GTM_CLS_CLK_CFG_bf_type CLS_CLK_CFG; 
    volatile uint32_t reserved_2[3];
    GTM_SVM_RESERVED_bf_type SVM_RESERVED[16]; 
    GTM_TBU_bf_type TBU; 
    GTM_MON_bf_type MON; 
    volatile uint32_t reserved_3[16];
    GTM_CMP_bf_type CMP; 
    volatile uint32_t reserved_4[16];
    GTM_ARU_bf_type ARU; 
    GTM_CMU_bf_type CMU; 
    volatile uint32_t reserved_5[32];
    GTM_BRC_bf_type BRC; 
    volatile uint32_t reserved_6[96];
    GTM_ICM_bf_type ICM; 
    GTM_SPE_bf_type SPE[2]; 				// CAu 
    GTM_SPE_bf_type SPE_reserved[4]; 		//CAu
    volatile uint32_t reserved_7[256];
    GTM_MAP_bf_type MAP; 
    GTM_MCFG_bf_type MCFG; 
    volatile uint32_t reserved_8[32];
    GTM_TIM_bf_type TIM[6]; 				// CAu
    GTM_TIM_bf_type TIM_reserved[2]; 		// CAu 
    volatile uint32_t reserved_9[3072];
    GTM_TOM_bf_type TOM[3]; 				// CAu
    GTM_TOM_bf_type TOM_reserved[3];		// CAu
    volatile uint32_t reserved_10[13312];
    GTM_PSM_bf_type PSM[1]; 				// CAu
    GTM_PSM_bf_type PSM_reserved[2];		// CAu
    volatile uint32_t reserved_11[4096];
    GTM_DPLL_bf_type DPLL; 
    volatile uint32_t reserved_12[8192];
    GTM_MCS_MEM_bf_type MCS_MEM[5][8192];	// CAu 
    GTM_MCS_MEM_bf_type MCS_MEM_res[5][8192];	// CAu 
    volatile uint32_t reserved_13[92160];
    GTM_CCM_bf_type CCM[6]; 				// CAu
    GTM_CCM_bf_type CCM_reserved[6];		// CAu
    volatile uint32_t reserved_14[512];
    GTM_CDTM_bf_type CDTM[5];				// CAu
    GTM_CDTM_bf_type CDTM_reserved[7];		// CAu
    volatile uint32_t reserved_15[1024];
    GTM_ATOM_bf_type ATOM[6]; 				// CAu
    GTM_ATOM_bf_type ATOM_reserved[6]; 		// CAu
    volatile uint32_t reserved_16[2048];
    GTM_MCS_bf_type MCS[5]; 				// CAu
    GTM_MCS_bf_type MCS_reserved[5];		// CAu
    volatile uint32_t reserved_17[6144];
} GTM_bf_type;

#if !defined(GTM_HAL_NO_EXTERN_STMT)
extern GTM_bf_type GTM;
#endif

#define GTM				(*(volatile GTM_bf_type *)	0xf7c60000)

#endif /* _SPC58NN_GTM_H_ */
